/**********************************************************************//**
* @file		AC30M1x64_debug_frmwrk.h
* @brief	Contains some utilities that used for debugging through UART
* @version	1.00
* @date		
* @author	ABOV M team
*
* Copyright(C) 2019, ABOV Semiconductor
* All rights reserved.
*
************************************************************************
* ABOV Disclaimer
*
*IMPORTANT NOTICE ? PLEASE READ CAREFULLY
*ABOV Semiconductor ("ABOV") reserves the right to make changes, corrections, enhancements, 
*modifications, and improvements to ABOV products and/or to this document at any time without notice. 
*ABOV does not give warranties as to the accuracy or completeness of the information included herein.
*Purchasers should obtain the latest relevant information of ABOV products before placing orders. 
*Purchasers are entirely responsible for the choice, selection, and use of ABOV products and 
*ABOV assumes no liability for application assistance or the design of purchaser  products. No license, 
*express or implied, to any intellectual property rights is granted by ABOV herein. 
*ABOV disclaims all express and implied warranties and shall not be responsible or
*liable for any injuries or damages related to use of ABOV products in such unauthorized applications. 
*ABOV and the ABOV logo are trademarks of ABOV.
*All other product or service names are the property of their respective owners. 
*Information in this document supersedes and replaces the information previously
*supplied in any former versions of this document.
*2020 ABOV Semiconductor  All rights reserved
*
**********************************************************************/


#ifndef _DEBUG_FRMWRK_H_
#define _DEBUG_FRMWRK_H_

/* Includes ------------------------------------------------------------------- */
#include "AC30M1x64_hal_uart.h"

#define USED_UART_DEBUG_PORT	0

#if (USED_UART_DEBUG_PORT==0)
#define DEBUG_UART_PORT	U0
#elif (USED_UART_DEBUG_PORT==1)
#define DEBUG_UART_PORT	U1
#endif

#define _DBG(x)	 	_db_msg((UART_Type*)DEBUG_UART_PORT, x)
#define _DBG_(x)	_db_msg_((UART_Type*)DEBUG_UART_PORT, x)
#define _DBC(x)	 	_db_char((UART_Type*)DEBUG_UART_PORT, x)
#define _DBD(x)	 	_db_dec((UART_Type*)DEBUG_UART_PORT, x)
#define _DBD16(x)	 _db_dec_16((UART_Type*)DEBUG_UART_PORT, x)
#define _DBD32(x)	 _db_dec_32((UART_Type*)DEBUG_UART_PORT, x)
#define _DBH(x)	 	_db_hex((UART_Type*)DEBUG_UART_PORT, x)
#define _DBH16(x)	 _db_hex_16((UART_Type*)DEBUG_UART_PORT, x)
#define _DBH32(x)	 _db_hex_32((UART_Type*)DEBUG_UART_PORT, x)
#define _DG			_db_get_char((UART_Type*)DEBUG_UART_PORT)
#define _DG_(x)	_db_get_ch((UART_Type*)DEBUG_UART_PORT,x)
void  cprintf(const  char *format, ...);

extern void (*_db_msg)(UART_Type *UARTx, const void *s);
extern void (*_db_msg_)(UART_Type *UARTx, const void *s);
extern void (*_db_char)(UART_Type *UARTx, uint8_t ch);
extern void (*_db_dec)(UART_Type *UARTx, uint8_t decn);
extern void (*_db_dec_16)(UART_Type *UARTx, uint16_t decn);
extern void (*_db_dec_32)(UART_Type *UARTx, uint32_t decn);
extern void (*_db_hex)(UART_Type *UARTx, uint8_t hexn);
extern void (*_db_hex_16)(UART_Type *UARTx, uint16_t hexn);
extern void (*_db_hex_32)(UART_Type *UARTx, uint32_t hexn);
extern uint8_t (*_db_get_char)(UART_Type *UARTx);
extern uint8_t (*_db_get_ch)(UART_Type *UARTx, uint8_t *ch);

void UARTPutChar (UART_Type *UARTx, uint8_t ch);
void UARTPuts(UART_Type *UARTx, const void *str);
void UARTPuts_(UART_Type *UARTx, const void *str);
void UARTPutDec(UART_Type *UARTx, uint8_t decnum);
void UARTPutDec16(UART_Type *UARTx, uint16_t decnum);
void UARTPutDec32(UART_Type *UARTx, uint32_t decnum);
void UARTPutHex (UART_Type *UARTx, uint8_t hexnum);
void UARTPutHex16 (UART_Type *UARTx, uint16_t hexnum);
void UARTPutHex32 (UART_Type *UARTx, uint32_t hexnum);
uint8_t UARTGetChar (UART_Type *UARTx);
uint8_t UARTGetCh(UART_Type *UARTx, uint8_t *ch);
void debug_frmwrk_init(void);

#endif /* _DEBUG_FRMWRK_H_ */

/* --------------------------------- End Of File ------------------------------ */
