/**********************************************************************
* @file		main_conf.h
* @brief	Contains all macro definitions and function prototypes
* 			support for PCU firmware library on AC30M1x64
* @version	1.00
* @date		
* @author	ABOV M team
*
* Copyright(C) 2019, ABOV Semiconductor
* All rights reserved.
*
**********************************************************************/
#ifndef __AC30M1x64_CONF_H
#define __AC30M1x64_CONF_H

	
/* Includes ------------------------------------------------------------------*/
/* Uncomment the line below to enable peripheral header file inclusion */

#include "AC30M1x64_hal_pcu.h"
#include "AC30M1x64_hal_scu.h"
#include "AC30M1x64_debug_frmwrk.h"
#include "AC30M1x64_hal_uart.h"
#include "AC30M1x64_hal_libcfg.h"
#include "AC30M1x64_hal_adc.h"
#include "AC30M1x64_hal_timer.h"
//#include "AC30M1x64_it.h"


#ifdef __cplusplus
extern "C"
{
#endif	
/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/

/* Initialize all port */
void Port_Init(void); 
/* Configure the system clock to 32 MHz */
void SystemClock_Config(void);

/* ADC_IRQHandler */	
void ADC_IRQHandler_IT(void);
	
/* TIMER0_IRQHandler */	
void TIMER0_IRQHandler_IT(void);	
#ifdef __cplusplus
}
#endif


#endif /* __A34M41x_CONF_H */


