
/****************************************************************************************************//**
 * @file     AC30M1x164.h
 *
 * @brief    CMSIS Cortex-M0 Peripheral Access Layer Header File for
 *           AC30M1x164 from ABOV Semiconductor Co., Ltd..
 *
 * @version  V1.00
 * @date     18. May 2016
 *
 * @note     Generated with SVDConv V2.85b 
 *           from CMSIS SVD File 'AC30M1x164.svd' Version 1.0.0,
 *
 * @par      THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 *           OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 *           MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 *           ARM SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
 *           CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER. 
 *
 *******************************************************************************************************/



/** @addtogroup ABOV Semiconductor Co., Ltd.
  * @{
  */

/** @addtogroup AC30M1x164
  * @{
  */

#ifndef AC30M1x164_H
#define AC30M1x164_H

#ifdef __cplusplus
extern "C" {
#endif


/* -------------------------  Interrupt Number Definition  ------------------------ */

typedef enum {
/* -------------------  Cortex-M0 Processor Exceptions Numbers  ------------------- */
  Reset_IRQn                    = -15,              /*!<   1  Reset Vector, invoked on Power up and warm reset                 */
  NonMaskableInt_IRQn           = -14,              /*!<   2  Non maskable Interrupt, cannot be stopped or preempted           */
  HardFault_IRQn                = -13,              /*!<   3  Hard Fault, all classes of Fault                                 */
  SVCall_IRQn                   =  -5,              /*!<  11  System Service Call via SVC instruction                          */
  DebugMonitor_IRQn             =  -4,              /*!<  12  Debug Monitor                                                    */
  SysTick_IRQn                  =  -1,              /*!<  15  System Tick Timer                                                */
/* --------------------  AC30M1x164 Specific Interrupt Numbers  -------------------- */
  LVDFAIL_IRQn                  =   0,              /*!<   0  LVDFAIL                                                          */
  SYSCLKFAIL_IRQn               =   1,              /*!<   1  SYSCLKFAIL                                                       */
  MOSCFAIL_IRQn                 =   2,              /*!<   2  MOSCFAIL                                                         */
  SOSCFAIL_IRQn                 =   3,              /*!<   3  SOSCFAIL                                                         */
  WDT_IRQn                      =   4,              /*!<   4  WDT                                                              */
  TIMER0_IRQn                   =   5,              /*!<   5  TIMER0                                                           */
  TIMER1_IRQn                   =   6,              /*!<   6  TIMER1                                                           */
  TIMER2_IRQn                   =   7,              /*!<   7  TIMER2                                                           */
  TIMER3_IRQn                   =   8,              /*!<   8  TIMER3                                                           */
  FRT_IRQn                      =   9,              /*!<   9  FRT                                                              */
  GPIOAE_IRQn                   =  10,              /*!<  10  GPIOAE                                                           */
  GPIOAO_IRQn                   =  11,              /*!<  11  GPIOAO                                                           */
  GPIOBE_IRQn                   =  12,              /*!<  12  GPIOBE                                                           */
  GPIOBO_IRQn                   =  13,              /*!<  13  GPIOBO                                                           */
  GPIOCE_IRQn                   =  14,              /*!<  14  GPIOCE                                                           */
  GPIOCO_IRQn                   =  15,              /*!<  15  GPIOCO                                                           */
  GPIODE_IRQn                   =  16,              /*!<  16  GPIODE                                                           */
  GPIODO_IRQn                   =  17,              /*!<  17  GPIODO                                                           */
  MPWM_IRQn                     =  18,              /*!<  18  MPWM                                                             */
  MPWMPROT_IRQn                 =  19,              /*!<  19  MPWMPROT                                                         */
  MPWMOVV_IRQn                  =  20,              /*!<  20  MPWMOVV                                                          */
  IIC_IRQn                      =  21,              /*!<  21  IIC                                                              */
  SPI_IRQn                      =  22,              /*!<  22  SPI                                                              */
  UART0_IRQn                    =  23,              /*!<  23  UART0                                                            */
  UART1_IRQn                    =  24,              /*!<  24  UART1                                                            */
  ADC_IRQn                      =  25               /*!<  25  ADC                                                              */
} IRQn_Type;


/** @addtogroup Configuration_of_CMSIS
  * @{
  */


/* ================================================================================ */
/* ================      Processor and Core Peripheral Section     ================ */
/* ================================================================================ */

/* ----------------Configuration of the Cortex-M0 Processor and Core Peripherals---------------- */
#define __CM0_REV                 0x0100            /*!< Cortex-M0 Core Revision                                               */
#define __MPU_PRESENT                  0            /*!< MPU present or not                                                    */
#define __NVIC_PRIO_BITS               2            /*!< Number of Bits used for Priority Levels                               */
#define __Vendor_SysTickConfig         0            /*!< Set to 1 if different SysTick Config is used                          */
/** @} */ /* End of group Configuration_of_CMSIS */

#include "core_cm0.h"                                /*!< Cortex-M0 processor and core peripherals                              */
#include "system_AC30M1x64.h"                       /*!< AC30M1x164 System                                                      */


/* ================================================================================ */
/* ================       Device Specific Peripheral Section       ================ */
/* ================================================================================ */


/** @addtogroup Device_Peripheral_Registers
  * @{
  */


/* -------------------  Start of section using anonymous unions  ------------------ */
#if defined(__CC_ARM)
  #pragma push
  #pragma anon_unions
#elif defined(__ICCARM__)
  #pragma language=extended
#elif defined(__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined(__TMS470__)
/* anonymous unions are enabled by default */
#elif defined(__TASKING__)
  #pragma warning 586
#else
  #warning Not supported compiler type
#endif



/* ================================================================================ */
/* ================                       SCU                      ================ */
/* ================================================================================ */


/**
  * @brief SYSTEM CONTROL UNIT (SCU)
  */

typedef struct {                                    /*!< (@ 0x40000000) SCU Structure                                          */
  __I  uint32_t  RESERVED;
  __IO uint32_t  SMR;                               /*!< (@ 0x40000004) System Mode Register                                   */
  __IO uint32_t  SRCR;                              /*!< (@ 0x40000008) System Reset Control Register                          */
  __I  uint32_t  RESERVED1;
  __IO uint32_t  WUER;                              /*!< (@ 0x40000010) Wakeup Source Enable Register                          */
  __IO uint32_t  WUSR;                              /*!< (@ 0x40000014) Wakeup Source Status Register                          */
  __IO uint32_t  RSER;                              /*!< (@ 0x40000018) Reset Source Enable Register                           */
  __IO uint32_t  RSSR;                              /*!< (@ 0x4000001C) Reset Source Status Register                           */
  __IO uint32_t  PRER1;                             /*!< (@ 0x40000020) Peripheral Reset Enable Register 1                     */
  __IO uint32_t  PRER2;                             /*!< (@ 0x40000024) Peripheral Reset Enable Register 2                     */
  __IO uint32_t  PER1;                              /*!< (@ 0x40000028) Peripheral Enable Register 1                           */
  __IO uint32_t  PER2;                              /*!< (@ 0x4000002C) Peripheral Enable Register 2                           */
  __IO uint32_t  PCER1;                             /*!< (@ 0x40000030) Peripheral Clock Enable Register 1                     */
  __IO uint32_t  PCER2;                             /*!< (@ 0x40000034) Peripheral Clock Enable Register 2                     */
  __I  uint32_t  RESERVED2[2];
  __IO uint32_t  CSCR;                              /*!< (@ 0x40000040) Clock Source Control Register                          */
  __IO uint32_t  SCCR;                              /*!< (@ 0x40000044) System Clock Control Register                          */
  __IO uint32_t  CMR;                               /*!< (@ 0x40000048) Clock Monitoring Register                              */
  __IO uint32_t  NMIR;                              /*!< (@ 0x4000004C) NMI Control Register                                   */
  __IO uint32_t  COR;                               /*!< (@ 0x40000050) Clock Output Register                                  */
  __I  uint32_t  RESERVED3[4];
  __IO uint32_t  VDCCON;                            /*!< (@ 0x40000064) VDC Control Register                                   */
  __IO uint32_t  LVDCON;                            /*!< (@ 0x40000068) LVD Control Register                                   */
  __IO uint32_t  HSIOSCTRIM;                        /*!< (@ 0x4000006C) High Speed Internal OSC Trim Register                  */
  __IO uint32_t  BISCCON;                           /*!< (@ 0x40000070) Build in self calibration control Register             */
  __IO uint32_t  LSIOSC;                            /*!< (@ 0x40000074) Low Speed Internal OSC Trim Register                   */
  __I  uint32_t  RESERVED4[2];
  __IO uint32_t  EMOSCR;                            /*!< (@ 0x40000080) External Main Oscillator Control Register              */
  __IO uint32_t  EMODR;                             /*!< (@ 0x40000084) External Mode Status Register                          */
  __I  uint32_t  RESERVED5[2];
  __IO uint32_t  MCCR1;                             /*!< (@ 0x40000090) Miscellaneous Clock Control Register 1                 */
  __IO uint32_t  MCCR2;                             /*!< (@ 0x40000094) Miscellaneous Clock Control Register 2                 */
  __IO uint32_t  MCCR3;                             /*!< (@ 0x40000098) Miscellaneous Clock Control Register 3                 */
  __IO uint32_t  MCCR4;                             /*!< (@ 0x4000009C) Miscellaneous Clock Control Register 4                 */
  __IO uint32_t  MCCR5;                             /*!< (@ 0x400000A0) Miscellaneous Clock Control Register 5                 */
  __I  uint32_t  RESERVED6;
  __IO uint32_t  MCCR7;                             /*!< (@ 0x400000A8) Miscellaneous Clock Control Register 7                 */
} SCU_Type;


/* ================================================================================ */
/* ================                       PCA                      ================ */
/* ================================================================================ */


/**
  * @brief PORT CONTROL UNIT (PCA)
  */

typedef struct {                                    /*!< (@ 0x40001000) PCA Structure                                          */
  __IO uint32_t  MR;                                /*!< (@ 0x40001000) PORT n Pin MUX Register                                */
  __IO uint32_t  CR;                                /*!< (@ 0x40001004) PORT n Pin Control Register                            */
  __IO uint32_t  PCR;                               /*!< (@ 0x40001008) PORT n Pull-up Resistor Control Register               */
  __IO uint32_t  DER;                               /*!< (@ 0x4000100C) PORT n Debounce Enable Register                        */
  __IO uint32_t  IER;                               /*!< (@ 0x40001010) PORT n Interrupt Enable Register                       */
  __IO uint32_t  ISR;                               /*!< (@ 0x40001014) PORT n Interrupt Status Register                       */
  __IO uint32_t  ICR;                               /*!< (@ 0x40001018) PORT n Interrupt Control Register                      */
} PCU_Type;


/* ================================================================================ */
/* ================                     PORTEN                     ================ */
/* ================================================================================ */


/**
  * @brief Port Control Mode Enable Register (PORTEN)
  */

typedef struct {                                    /*!< (@ 0x40001FF0) PORTEN Structure                                       */
  __IO uint32_t  EN;                                /*!< (@ 0x40001FF0) Port Access Enable 0x15->0x51                          */
} PORTEN_Type;


/* ================================================================================ */
/* ================                       PA                       ================ */
/* ================================================================================ */


/**
  * @brief GENERAL PURPOSE I/O (PA)
  */

typedef struct {                                    /*!< (@ 0x40002000) PA Structure                                           */
  __IO uint32_t  ODR;                               /*!< (@ 0x40002000) PORT n Output Data Register                            */
  __I  uint32_t  IDR;                               /*!< (@ 0x40002004) PORT n Input Data Register                             */
  __IO uint32_t  BSR;                               /*!< (@ 0x40002008) PORT n Bit Set Register                                */
  __O  uint32_t  BCR;                               /*!< (@ 0x4000200C) PORT n Bit Clear Register                              */
} GPIO_Type;


/* ================================================================================ */
/* ================                       FMC                      ================ */
/* ================================================================================ */


/**
  * @brief FLASH MEMORY CONTROLLER (FMC)
  */

typedef struct {                                    /*!< (@ 0x40000100) FMC Structure                                          */
  __I  uint32_t  RESERVED;
  __IO uint32_t  MR;                                /*!< (@ 0x40000104) Flash Memory Mode Register                             */
  __IO uint32_t  CR;                                /*!< (@ 0x40000108) Flash Memory Control Register                          */
  __IO uint32_t  AR;                                /*!< (@ 0x4000010C) Flash Memory Address Register                          */
  __IO uint32_t  DR;                                /*!< (@ 0x40000110) Flash Memory Data Register                             */
  __IO uint32_t  TMR;                               /*!< (@ 0x40000114) Flash Memory Timer Register                            */
  __I  uint32_t  RESERVED1;
  __IO uint32_t  TICK;                              /*!< (@ 0x4000011C) Flash Memory Tick Timer register                       */
  __IO uint32_t  CRC;                               /*!< (@ 0x40000120) Flash Memory CRC value register                        */
  __I  uint32_t  RESERVED2[3];
  __IO uint32_t  CFG;                               /*!< (@ 0x40000130) Flash Memory CONFIG value register                     */
  __I  uint32_t  RESERVED3[3];
  __IO uint32_t  HWID;                              /*!< (@ 0x40000140) Flash Hardware ID Register                             */
  __IO uint32_t  SIZE;                              /*!< (@ 0x40000144) Flash size option register                             */
  __I  uint32_t  RESERVED4[11];
  __IO uint32_t  BOOTCR;                            /*!< (@ 0x40000174) Boot ROM Remap Clear Register                          */
  __IO uint32_t  WPROT;                             /*!< (@ 0x40000178) Flash Memory Write Protection Register                 */
  __IO uint32_t  RPROT;                             /*!< (@ 0x4000017C) Flash Memory Read Protection Register                  */
} FMC_Type;


/* ================================================================================ */
/* ================                       WDT                      ================ */
/* ================================================================================ */


/**
  * @brief WATCH-DOG TIMER (WDT)
  */

typedef struct {                                    /*!< (@ 0x40000200) WDT Structure                                          */
  __IO uint32_t  LR;                                /*!< (@ 0x40000200) Watchdog Timer Load Register                           */
  __IO uint32_t  CNT;                               /*!< (@ 0x40000204) Watchdog Timer Current Counter Register                */
  __IO uint32_t  CON;                               /*!< (@ 0x40000208) Watchdog Timer Control Register                        */
} WDT_Type;


/* ================================================================================ */
/* ================                       T0                       ================ */
/* ================================================================================ */


/**
  * @brief 16-BIT TIMER (T0)
  */

typedef struct {                                    /*!< (@ 0x40003000) T0 Structure                                           */
  __IO uint32_t  CR1;                               /*!< (@ 0x40003000) Timer n Control Register 1                             */
  __IO uint32_t  CR2;                               /*!< (@ 0x40003004) Timer n Control Register 2                             */
  __IO uint32_t  PRS;                               /*!< (@ 0x40003008) Timer n Prescaler Register                             */
  __IO uint32_t  GRA;                               /*!< (@ 0x4000300C) Timer n General Register A                             */
  __IO uint32_t  GRB;                               /*!< (@ 0x40003010) Timer n General Register B                             */
  __IO uint32_t  CNT;                               /*!< (@ 0x40003014) Timer n Count Register                                 */
  __IO uint32_t  SR;                                /*!< (@ 0x40003018) Timer n Status Register                                */
  __IO uint32_t  IER;                               /*!< (@ 0x4000301C) Timer n Interrupt Enable Register                      */
} TIMER_Type;


/* ================================================================================ */
/* ================                       FRT                      ================ */
/* ================================================================================ */


/**
  * @brief Free-run Timer (FRT)
  */

typedef struct {                                    /*!< (@ 0x40000600) FRT Structure                                          */
  __IO uint32_t  MR;                                /*!< (@ 0x40000600) FRT Mode Register                                      */
  __IO uint32_t  CR;                                /*!< (@ 0x40000604) FRT Control Register                                   */
  __IO uint32_t  PER;                               /*!< (@ 0x40000608) FRTPER FRT Period Match Register                       */
  __IO uint32_t  CNT;                               /*!< (@ 0x4000060C) FRTCNT FRT Counter Register                            */
  __IO uint32_t  SR;                                /*!< (@ 0x40000610) FRTSR FRT Status Register                              */
} FRT_Type;


/* ================================================================================ */
/* ================                       U0                       ================ */
/* ================================================================================ */


/**
  * @brief UNIVERSAL ASYNCHRONOUS RECEIVER/TRANSMITTER (U0)
  */

typedef struct {                                    /*!< (@ 0x40008000) U0 Structure                                           */
  
  union {
    __O  uint32_t  THR;                             /*!< (@ 0x40008000) Transmit Data Hold Register                            */
    __I  uint32_t  RBR;                             /*!< (@ 0x40008000) Receive Buffer Register                                */
  };
  __IO uint32_t  IER;                               /*!< (@ 0x40008004) UART Interrupt Enable Register                         */
  __IO uint32_t  IIR;                               /*!< (@ 0x40008008) UART Interrupt ID Register                             */
  __IO uint32_t  LCR;                               /*!< (@ 0x4000800C) UART Line Control Register                             */
  __IO uint32_t  DCR;                               /*!< (@ 0x40008010) UART Data Control Register                             */
  __IO uint32_t  LSR;                               /*!< (@ 0x40008014) UART Line Status Register                              */
  __I  uint32_t  RESERVED[2];
  __IO uint32_t  BDR;                               /*!< (@ 0x40008020) Baud rate Divisor Latch Register                       */
  __IO uint32_t  BFR;                               /*!< (@ 0x40008024) Baud rate Fraction Counter Register                    */
  __I  uint32_t  RESERVED1[2];
  __IO uint32_t  IDTR;                              /*!< (@ 0x40008030) Inter-frame Delay Time Register                        */
} UART_Type;


/* ================================================================================ */
/* ================                       SP                       ================ */
/* ================================================================================ */


/**
  * @brief SERIAL PERIPHERAL INTERFACE (SP)
  */

typedef struct {                                    /*!< (@ 0x40009000) SP Structure                                           */
  
  union {
    __O  uint32_t  TDR;                             /*!< (@ 0x40009000) SPI n Transmit Data Register                           */
    __I  uint32_t  RDR;                             /*!< (@ 0x40009000) SPI n Receive Data Register                            */
  };
  __IO uint32_t  CR;                                /*!< (@ 0x40009004) SPI n Control Register                                 */
  __IO uint32_t  SR;                                /*!< (@ 0x40009008) SPI n Status Register                                  */
  __IO uint32_t  BR;                                /*!< (@ 0x4000900C) SPI n Baud Rate Register                               */
  __IO uint32_t  EN;                                /*!< (@ 0x40009010) SPI n Enable register                                  */
  __IO uint32_t  LR;                                /*!< (@ 0x40009014) SPI n delay Length Register                            */
} SPI_Type;


/* ================================================================================ */
/* ================                       IC                       ================ */
/* ================================================================================ */


/**
  * @brief IIC Interface (IC)
  */

typedef struct {                                    /*!< (@ 0x4000A000) IC Structure                                           */
  __IO uint32_t  DR;                                /*!< (@ 0x4000A000) IIC Data Register                                      */
  __I  uint32_t  RESERVED;
  __IO uint32_t  SR;                                /*!< (@ 0x4000A008) Status register                                        */
  __IO uint32_t  SAR;                               /*!< (@ 0x4000A00C) IIC Slave Address Register                             */
  __I  uint32_t  RESERVED1;
  __IO uint32_t  CR;                                /*!< (@ 0x4000A014) IIC Control Register                                   */
  __IO uint32_t  SCLL;                              /*!< (@ 0x4000A018) IIC SCL LOW duration Register                          */
  __IO uint32_t  SCLH;                              /*!< (@ 0x4000A01C) IIC SCL HIGH duration Register                         */
  __IO uint32_t  SDH;                               /*!< (@ 0x4000A020) SDA Hold Register                                      */
} IIC_Type;


/* ================================================================================ */
/* ================                       MP                       ================ */
/* ================================================================================ */


/**
  * @brief MOTOR PULSE-WIDTH-MODULATOR (MP)
  */

typedef struct {                                    /*!< (@ 0x40004000) MP Structure                                           */
  __IO uint32_t  MR;                                /*!< (@ 0x40004000) MPWM Mode Register                                     */
  __IO uint32_t  OLR;                               /*!< (@ 0x40004004) MPWM Port Mode Register                                */
  __IO uint32_t  FOLR;                              /*!< (@ 0x40004008) MPWM Force Output Level Register                       */
  __IO uint32_t  PRD;                               /*!< (@ 0x4000400C) MPWM Period Register                                   */
  __IO uint32_t  DUH;                               /*!< (@ 0x40004010) MPWM Duty UH Register                                  */
  __IO uint32_t  DVH;                               /*!< (@ 0x40004014) MPWM Duty VH Register                                  */
  __IO uint32_t  DWH;                               /*!< (@ 0x40004018) MPWM Duty WH Register                                  */
  __IO uint32_t  DUL;                               /*!< (@ 0x4000401C) MPWM Duty UL Register                                  */
  __IO uint32_t  DVL;                               /*!< (@ 0x40004020) MPWM Duty UL Register                                  */
  __IO uint32_t  DWL;                               /*!< (@ 0x40004024) MPWM Duty WL Register                                  */
  __IO uint32_t  CR1;                               /*!< (@ 0x40004028) MPWM Control Register 1                                */
  __IO uint32_t  CR2;                               /*!< (@ 0x4000402C) MPWM Control Register 2                                */
  __IO uint32_t  SR;                                /*!< (@ 0x40004030) MPWM Status Register                                   */
  __IO uint32_t  IER;                               /*!< (@ 0x40004034) MPWM Interrupt Enable Register                         */
  __IO uint32_t  CNT;                               /*!< (@ 0x40004038) MPWM Counter Register                                  */
  __IO uint32_t  DTR;                               /*!< (@ 0x4000403C) MPWM Dead Time Register                                */
  __IO uint32_t  PCR0;                              /*!< (@ 0x40004040) MPWM Protection control Register 0                     */
  __IO uint32_t  PSR0;                              /*!< (@ 0x40004044) MPWM Protection Status Register 0                      */
  __IO uint32_t  PCR1;                              /*!< (@ 0x40004048) MPWM Protection control Register 1                     */
  __IO uint32_t  PSR1;                              /*!< (@ 0x4000404C) MPWM Protection Status Register 1                      */
  __I  uint32_t  RESERVED[2];
  __IO uint32_t  ATR1;                              /*!< (@ 0x40004058) MPWMn ADC Trigger Counter 1 Register                   */
  __IO uint32_t  ATR2;                              /*!< (@ 0x4000405C) MPWMn ADC Trigger Counter 2 Register                   */
  __IO uint32_t  ATR3;                              /*!< (@ 0x40004060) MPWMn ADC Trigger Counter 3 Register                   */
  __IO uint32_t  ATR4;                              /*!< (@ 0x40004064) MPWMn ADC Trigger Counter 4 Register                   */
  __IO uint32_t  ATR5;                              /*!< (@ 0x40004068) MPWMn ADC Trigger Counter 5 Register                   */
  __IO uint32_t  ATR6;                              /*!< (@ 0x4000406C) MPWMn ADC Trigger Counter 6 Register                   */
} MPWM_Type;


/* ================================================================================ */
/* ================                      DIV64                     ================ */
/* ================================================================================ */


/**
  * @brief DIVIDER (DIV64)
  */

typedef struct {                                    /*!< (@ 0x40000500) DIV64 Structure                                        */
  __IO uint32_t  CR;                                /*!< (@ 0x40000500) Divider Control Register                               */
  __IO uint32_t  AREGL;                             /*!< (@ 0x40000504) AREGL (Dividend) Low 32bit Register                    */
  __IO uint32_t  AREGH;                             /*!< (@ 0x40000508) AREG (Dividend) High 32bit Register                    */
  __IO uint32_t  BREG;                              /*!< (@ 0x4000050C) BREG (Divisor) Register                                */
  __IO uint32_t  QREGL;                             /*!< (@ 0x40000510) QREG (Quotient) Low 32bit Register                     */
  __IO uint32_t  QREGH;                             /*!< (@ 0x40000514) QREG (Quotient) High 32bit Register                    */
  __IO uint32_t  RREG;                              /*!< (@ 0x40000518) RREG (Remainter) Register                              */
} DIV64_Type;


/* ================================================================================ */
/* ================                       AD                       ================ */
/* ================================================================================ */


/**
  * @brief 12-BIT A/D CONVERTER (AD)
  */

typedef struct {                                    /*!< (@ 0x4000B000) AD Structure                                           */
  __IO uint32_t  MR;                                /*!< (@ 0x4000B000) ADC Mode Register                                      */
  __IO uint32_t  CSCR;                              /*!< (@ 0x4000B004) Current Sequence/Channel Register                      */
  __IO uint32_t  CCR;                               /*!< (@ 0x4000B008) Clock Control Register                                 */
  __IO uint32_t  TRG;                               /*!< (@ 0x4000B00C) ADC Trigger Selection Register                         */
  __I  uint32_t  RESERVED[2];
  __IO uint32_t  SCSR;                              /*!< (@ 0x4000B018) ADC Sequence Channel Selection Register                */
  __I  uint32_t  RESERVED1;
  __IO uint32_t  CR;                                /*!< (@ 0x4000B020) ADCn Control Register                                  */
  __IO uint32_t  SR;                                /*!< (@ 0x4000B024) ADCn Status Register                                   */
  __IO uint32_t  IER;                               /*!< (@ 0x4000B028) Interrupt Enable Register                              */
  __I  uint32_t  RESERVED2;
  __IO uint32_t  DR0;                               /*!< (@ 0x4000B030) ADC Data Register 0                                    */
  __IO uint32_t  DR1;                               /*!< (@ 0x4000B034) ADC Data Register 1                                    */
  __IO uint32_t  DR2;                               /*!< (@ 0x4000B038) ADC Data Register 2                                    */
  __IO uint32_t  DR3;                               /*!< (@ 0x4000B03C) ADC Data Register 3                                    */
  __IO uint32_t  DR4;                               /*!< (@ 0x4000B040) ADC Data Register 4                                    */
  __IO uint32_t  DR5;                               /*!< (@ 0x4000B044) ADC Data Register 5                                    */
  __IO uint32_t  DR6;                               /*!< (@ 0x4000B048) ADC Data Register 6                                    */
  __IO uint32_t  DR7;                               /*!< (@ 0x4000B04C) ADC Data Register 7                                    */
} ADC_Type;


/* --------------------  End of section using anonymous unions  ------------------- */
#if defined(__CC_ARM)
  #pragma pop
#elif defined(__ICCARM__)
  /* leave anonymous unions enabled */
#elif defined(__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined(__TMS470__)
  /* anonymous unions are enabled by default */
#elif defined(__TASKING__)
  #pragma warning restore
#else
  #warning Not supported compiler type
#endif



/* ================================================================================ */
/* ================          struct 'SCU' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  SCU_SMR  ---------------------------------- */
#define SCU_SMR_PREVMODE_Pos                  4                                                       /*!< SCU SMR: PREVMODE Position              */
#define SCU_SMR_PREVMODE_Msk                  (0x03UL << SCU_SMR_PREVMODE_Pos)                        /*!< SCU SMR: PREVMODE Mask                  */
#define SCU_SMR_VDCAON_Pos                    8                                                       /*!< SCU SMR: VDCAON Position                */
#define SCU_SMR_VDCAON_Msk                    (0x01UL << SCU_SMR_VDCAON_Pos)                          /*!< SCU SMR: VDCAON Mask                    */
#define SCU_SMR_LSIAON_Pos                    9                                                       /*!< SCU SMR: LSIAON Position                */
#define SCU_SMR_LSIAON_Msk                    (0x01UL << SCU_SMR_LSIAON_Pos)                          /*!< SCU SMR: LSIAON Mask                    */

/* ----------------------------------  SCU_SRCR  ---------------------------------- */
#define SCU_SRCR_SWRST_Pos                    0                                                       /*!< SCU SRCR: SWRST Position                */
#define SCU_SRCR_SWRST_Msk                    (0x01UL << SCU_SRCR_SWRST_Pos)                          /*!< SCU SRCR: SWRST Mask                    */
#define SCU_SRCR_STBOP_Pos                    4                                                       /*!< SCU SRCR: STBOP Position                */
#define SCU_SRCR_STBOP_Msk                    (0x01UL << SCU_SRCR_STBOP_Pos)                          /*!< SCU SRCR: STBOP Mask                    */

/* ----------------------------------  SCU_WUER  ---------------------------------- */
#define SCU_WUER_LVDWUE_Pos                   0                                                       /*!< SCU WUER: LVDWUE Position               */
#define SCU_WUER_LVDWUE_Msk                   (0x01UL << SCU_WUER_LVDWUE_Pos)                         /*!< SCU WUER: LVDWUE Mask                   */
#define SCU_WUER_WDTWUE_Pos                   1                                                       /*!< SCU WUER: WDTWUE Position               */
#define SCU_WUER_WDTWUE_Msk                   (0x01UL << SCU_WUER_WDTWUE_Pos)                         /*!< SCU WUER: WDTWUE Mask                   */
#define SCU_WUER_FRTWUE_Pos                   2                                                       /*!< SCU WUER: FRTWUE Position               */
#define SCU_WUER_FRTWUE_Msk                   (0x01UL << SCU_WUER_FRTWUE_Pos)                         /*!< SCU WUER: FRTWUE Mask                   */
#define SCU_WUER_GPIOAWUE_Pos                 8                                                       /*!< SCU WUER: GPIOAWUE Position             */
#define SCU_WUER_GPIOAWUE_Msk                 (0x01UL << SCU_WUER_GPIOAWUE_Pos)                       /*!< SCU WUER: GPIOAWUE Mask                 */
#define SCU_WUER_GPIOBWUE_Pos                 9                                                       /*!< SCU WUER: GPIOBWUE Position             */
#define SCU_WUER_GPIOBWUE_Msk                 (0x01UL << SCU_WUER_GPIOBWUE_Pos)                       /*!< SCU WUER: GPIOBWUE Mask                 */
#define SCU_WUER_GPIOCWUE_Pos                 10                                                      /*!< SCU WUER: GPIOCWUE Position             */
#define SCU_WUER_GPIOCWUE_Msk                 (0x01UL << SCU_WUER_GPIOCWUE_Pos)                       /*!< SCU WUER: GPIOCWUE Mask                 */
#define SCU_WUER_GPIODWUE_Pos                 11                                                      /*!< SCU WUER: GPIODWUE Position             */
#define SCU_WUER_GPIODWUE_Msk                 (0x01UL << SCU_WUER_GPIODWUE_Pos)                       /*!< SCU WUER: GPIODWUE Mask                 */

/* ----------------------------------  SCU_WUSR  ---------------------------------- */
#define SCU_WUSR_LVDWU_Pos                    0                                                       /*!< SCU WUSR: LVDWU Position                */
#define SCU_WUSR_LVDWU_Msk                    (0x01UL << SCU_WUSR_LVDWU_Pos)                          /*!< SCU WUSR: LVDWU Mask                    */
#define SCU_WUSR_WDTWU_Pos                    1                                                       /*!< SCU WUSR: WDTWU Position                */
#define SCU_WUSR_WDTWU_Msk                    (0x01UL << SCU_WUSR_WDTWU_Pos)                          /*!< SCU WUSR: WDTWU Mask                    */
#define SCU_WUSR_FRTWU_Pos                    2                                                       /*!< SCU WUSR: FRTWU Position                */
#define SCU_WUSR_FRTWU_Msk                    (0x01UL << SCU_WUSR_FRTWU_Pos)                          /*!< SCU WUSR: FRTWU Mask                    */
#define SCU_WUSR_GPIOAWU_Pos                  8                                                       /*!< SCU WUSR: GPIOAWU Position              */
#define SCU_WUSR_GPIOAWU_Msk                  (0x01UL << SCU_WUSR_GPIOAWU_Pos)                        /*!< SCU WUSR: GPIOAWU Mask                  */
#define SCU_WUSR_GPIOBWU_Pos                  9                                                       /*!< SCU WUSR: GPIOBWU Position              */
#define SCU_WUSR_GPIOBWU_Msk                  (0x01UL << SCU_WUSR_GPIOBWU_Pos)                        /*!< SCU WUSR: GPIOBWU Mask                  */
#define SCU_WUSR_GPIOCWU_Pos                  10                                                      /*!< SCU WUSR: GPIOCWU Position              */
#define SCU_WUSR_GPIOCWU_Msk                  (0x01UL << SCU_WUSR_GPIOCWU_Pos)                        /*!< SCU WUSR: GPIOCWU Mask                  */
#define SCU_WUSR_GPIODWU_Pos                  11                                                      /*!< SCU WUSR: GPIODWU Position              */
#define SCU_WUSR_GPIODWU_Msk                  (0x01UL << SCU_WUSR_GPIODWU_Pos)                        /*!< SCU WUSR: GPIODWU Mask                  */

/* ----------------------------------  SCU_RSER  ---------------------------------- */
#define SCU_RSER_LVDRST_Pos                   0                                                       /*!< SCU RSER: LVDRST Position               */
#define SCU_RSER_LVDRST_Msk                   (0x01UL << SCU_RSER_LVDRST_Pos)                         /*!< SCU RSER: LVDRST Mask                   */
#define SCU_RSER_MOFRST_Pos                   1                                                       /*!< SCU RSER: MOFRST Position               */
#define SCU_RSER_MOFRST_Msk                   (0x01UL << SCU_RSER_MOFRST_Pos)                         /*!< SCU RSER: MOFRST Mask                   */
#define SCU_RSER_MCKFRST_Pos                  2                                                       /*!< SCU RSER: MCKFRST Position              */
#define SCU_RSER_MCKFRST_Msk                  (0x01UL << SCU_RSER_MCKFRST_Pos)                        /*!< SCU RSER: MCKFRST Mask                  */
#define SCU_RSER_WDTRST_Pos                   3                                                       /*!< SCU RSER: WDTRST Position               */
#define SCU_RSER_WDTRST_Msk                   (0x01UL << SCU_RSER_WDTRST_Pos)                         /*!< SCU RSER: WDTRST Mask                   */
#define SCU_RSER_SWRST_Pos                    4                                                       /*!< SCU RSER: SWRST Position                */
#define SCU_RSER_SWRST_Msk                    (0x01UL << SCU_RSER_SWRST_Pos)                          /*!< SCU RSER: SWRST Mask                    */
#define SCU_RSER_CPURST_Pos                   5                                                       /*!< SCU RSER: CPURST Position               */
#define SCU_RSER_CPURST_Msk                   (0x01UL << SCU_RSER_CPURST_Pos)                         /*!< SCU RSER: CPURST Mask                   */
#define SCU_RSER_PINRST_Pos                   6                                                       /*!< SCU RSER: PINRST Position               */
#define SCU_RSER_PINRST_Msk                   (0x01UL << SCU_RSER_PINRST_Pos)                         /*!< SCU RSER: PINRST Mask                   */
#define SCU_RSER_LOCKUPRST_Pos                7                                                       /*!< SCU RSER: LOCKUPRST Position            */
#define SCU_RSER_LOCKUPRST_Msk                (0x01UL << SCU_RSER_LOCKUPRST_Pos)                      /*!< SCU RSER: LOCKUPRST Mask                */

/* ----------------------------------  SCU_RSSR  ---------------------------------- */
#define SCU_RSSR_LVDRST_Pos                   0                                                       /*!< SCU RSSR: LVDRST Position               */
#define SCU_RSSR_LVDRST_Msk                   (0x01UL << SCU_RSSR_LVDRST_Pos)                         /*!< SCU RSSR: LVDRST Mask                   */
#define SCU_RSSR_MOFRST_Pos                   1                                                       /*!< SCU RSSR: MOFRST Position               */
#define SCU_RSSR_MOFRST_Msk                   (0x01UL << SCU_RSSR_MOFRST_Pos)                         /*!< SCU RSSR: MOFRST Mask                   */
#define SCU_RSSR_MCKFRST_Pos                  2                                                       /*!< SCU RSSR: MCKFRST Position              */
#define SCU_RSSR_MCKFRST_Msk                  (0x01UL << SCU_RSSR_MCKFRST_Pos)                        /*!< SCU RSSR: MCKFRST Mask                  */
#define SCU_RSSR_WDTRST_Pos                   3                                                       /*!< SCU RSSR: WDTRST Position               */
#define SCU_RSSR_WDTRST_Msk                   (0x01UL << SCU_RSSR_WDTRST_Pos)                         /*!< SCU RSSR: WDTRST Mask                   */
#define SCU_RSSR_SWRST_Pos                    4                                                       /*!< SCU RSSR: SWRST Position                */
#define SCU_RSSR_SWRST_Msk                    (0x01UL << SCU_RSSR_SWRST_Pos)                          /*!< SCU RSSR: SWRST Mask                    */
#define SCU_RSSR_CPURST_Pos                   5                                                       /*!< SCU RSSR: CPURST Position               */
#define SCU_RSSR_CPURST_Msk                   (0x01UL << SCU_RSSR_CPURST_Pos)                         /*!< SCU RSSR: CPURST Mask                   */
#define SCU_RSSR_PINRST_Pos                   6                                                       /*!< SCU RSSR: PINRST Position               */
#define SCU_RSSR_PINRST_Msk                   (0x01UL << SCU_RSSR_PINRST_Pos)                         /*!< SCU RSSR: PINRST Mask                   */
#define SCU_RSSR_PORST_Pos                    7                                                       /*!< SCU RSSR: PORST Position                */
#define SCU_RSSR_PORST_Msk                    (0x01UL << SCU_RSSR_PORST_Pos)                          /*!< SCU RSSR: PORST Mask                    */
#define SCU_RSSR_LOCKUPRST_Pos                8                                                       /*!< SCU RSSR: LOCKUPRST Position            */
#define SCU_RSSR_LOCKUPRST_Msk                (0x01UL << SCU_RSSR_LOCKUPRST_Pos)                      /*!< SCU RSSR: LOCKUPRST Mask                */

/* ----------------------------------  SCU_PRER1  --------------------------------- */
#define SCU_PRER1_SCU_Pos                     0                                                       /*!< SCU PRER1: SCU Position                 */
#define SCU_PRER1_SCU_Msk                     (0x01UL << SCU_PRER1_SCU_Pos)                           /*!< SCU PRER1: SCU Mask                     */
#define SCU_PRER1_FMC_Pos                     1                                                       /*!< SCU PRER1: FMC Position                 */
#define SCU_PRER1_FMC_Msk                     (0x01UL << SCU_PRER1_FMC_Pos)                           /*!< SCU PRER1: FMC Mask                     */
#define SCU_PRER1_WDT_Pos                     2                                                       /*!< SCU PRER1: WDT Position                 */
#define SCU_PRER1_WDT_Msk                     (0x01UL << SCU_PRER1_WDT_Pos)                           /*!< SCU PRER1: WDT Mask                     */
#define SCU_PRER1_PCU_Pos                     3                                                       /*!< SCU PRER1: PCU Position                 */
#define SCU_PRER1_PCU_Msk                     (0x01UL << SCU_PRER1_PCU_Pos)                           /*!< SCU PRER1: PCU Mask                     */
#define SCU_PRER1_DIV64_Pos                   5                                                       /*!< SCU PRER1: DIV64 Position               */
#define SCU_PRER1_DIV64_Msk                   (0x01UL << SCU_PRER1_DIV64_Pos)                         /*!< SCU PRER1: DIV64 Mask                   */
#define SCU_PRER1_GPIOA_Pos                   8                                                       /*!< SCU PRER1: GPIOA Position               */
#define SCU_PRER1_GPIOA_Msk                   (0x01UL << SCU_PRER1_GPIOA_Pos)                         /*!< SCU PRER1: GPIOA Mask                   */
#define SCU_PRER1_GPIOB_Pos                   9                                                       /*!< SCU PRER1: GPIOB Position               */
#define SCU_PRER1_GPIOB_Msk                   (0x01UL << SCU_PRER1_GPIOB_Pos)                         /*!< SCU PRER1: GPIOB Mask                   */
#define SCU_PRER1_GPIOC_Pos                   10                                                      /*!< SCU PRER1: GPIOC Position               */
#define SCU_PRER1_GPIOC_Msk                   (0x01UL << SCU_PRER1_GPIOC_Pos)                         /*!< SCU PRER1: GPIOC Mask                   */
#define SCU_PRER1_GPIOD_Pos                   11                                                      /*!< SCU PRER1: GPIOD Position               */
#define SCU_PRER1_GPIOD_Msk                   (0x01UL << SCU_PRER1_GPIOD_Pos)                         /*!< SCU PRER1: GPIOD Mask                   */
#define SCU_PRER1_TIMER0_Pos                  16                                                      /*!< SCU PRER1: TIMER0 Position              */
#define SCU_PRER1_TIMER0_Msk                  (0x01UL << SCU_PRER1_TIMER0_Pos)                        /*!< SCU PRER1: TIMER0 Mask                  */
#define SCU_PRER1_TIMER1_Pos                  17                                                      /*!< SCU PRER1: TIMER1 Position              */
#define SCU_PRER1_TIMER1_Msk                  (0x01UL << SCU_PRER1_TIMER1_Pos)                        /*!< SCU PRER1: TIMER1 Mask                  */
#define SCU_PRER1_TIMER2_Pos                  18                                                      /*!< SCU PRER1: TIMER2 Position              */
#define SCU_PRER1_TIMER2_Msk                  (0x01UL << SCU_PRER1_TIMER2_Pos)                        /*!< SCU PRER1: TIMER2 Mask                  */
#define SCU_PRER1_TIMER3_Pos                  19                                                      /*!< SCU PRER1: TIMER3 Position              */
#define SCU_PRER1_TIMER3_Msk                  (0x01UL << SCU_PRER1_TIMER3_Pos)                        /*!< SCU PRER1: TIMER3 Mask                  */
#define SCU_PRER1_FRT_Pos                     26                                                      /*!< SCU PRER1: FRT Position                 */
#define SCU_PRER1_FRT_Msk                     (0x01UL << SCU_PRER1_FRT_Pos)                           /*!< SCU PRER1: FRT Mask                     */

/* ----------------------------------  SCU_PRER2  --------------------------------- */
#define SCU_PRER2_SPI_Pos                     0                                                       /*!< SCU PRER2: SPI Position                 */
#define SCU_PRER2_SPI_Msk                     (0x01UL << SCU_PRER2_SPI_Pos)                           /*!< SCU PRER2: SPI Mask                     */
#define SCU_PRER2_I2C_Pos                     4                                                       /*!< SCU PRER2: I2C Position                 */
#define SCU_PRER2_I2C_Msk                     (0x01UL << SCU_PRER2_I2C_Pos)                           /*!< SCU PRER2: I2C Mask                     */
#define SCU_PRER2_UART0_Pos                   8                                                       /*!< SCU PRER2: UART0 Position               */
#define SCU_PRER2_UART0_Msk                   (0x01UL << SCU_PRER2_UART0_Pos)                         /*!< SCU PRER2: UART0 Mask                   */
#define SCU_PRER2_UART1_Pos                   9                                                       /*!< SCU PRER2: UART1 Position               */
#define SCU_PRER2_UART1_Msk                   (0x01UL << SCU_PRER2_UART1_Pos)                         /*!< SCU PRER2: UART1 Mask                   */
#define SCU_PRER2_MPWM_Pos                    16                                                      /*!< SCU PRER2: MPWM Position                */
#define SCU_PRER2_MPWM_Msk                    (0x01UL << SCU_PRER2_MPWM_Pos)                          /*!< SCU PRER2: MPWM Mask                    */
#define SCU_PRER2_ADC_Pos                     20                                                      /*!< SCU PRER2: ADC Position                 */
#define SCU_PRER2_ADC_Msk                     (0x01UL << SCU_PRER2_ADC_Pos)                           /*!< SCU PRER2: ADC Mask                     */

/* ----------------------------------  SCU_PER1  ---------------------------------- */
#define SCU_PER1_DIV64_Pos                    5                                                       /*!< SCU PER1: DIV64 Position                */
#define SCU_PER1_DIV64_Msk                    (0x01UL << SCU_PER1_DIV64_Pos)                          /*!< SCU PER1: DIV64 Mask                    */
#define SCU_PER1_GPIOA_Pos                    8                                                       /*!< SCU PER1: GPIOA Position                */
#define SCU_PER1_GPIOA_Msk                    (0x01UL << SCU_PER1_GPIOA_Pos)                          /*!< SCU PER1: GPIOA Mask                    */
#define SCU_PER1_GPIOB_Pos                    9                                                       /*!< SCU PER1: GPIOB Position                */
#define SCU_PER1_GPIOB_Msk                    (0x01UL << SCU_PER1_GPIOB_Pos)                          /*!< SCU PER1: GPIOB Mask                    */
#define SCU_PER1_GPIOC_Pos                    10                                                      /*!< SCU PER1: GPIOC Position                */
#define SCU_PER1_GPIOC_Msk                    (0x01UL << SCU_PER1_GPIOC_Pos)                          /*!< SCU PER1: GPIOC Mask                    */
#define SCU_PER1_GPIOD_Pos                    11                                                      /*!< SCU PER1: GPIOD Position                */
#define SCU_PER1_GPIOD_Msk                    (0x01UL << SCU_PER1_GPIOD_Pos)                          /*!< SCU PER1: GPIOD Mask                    */
#define SCU_PER1_TIMER0_Pos                   16                                                      /*!< SCU PER1: TIMER0 Position               */
#define SCU_PER1_TIMER0_Msk                   (0x01UL << SCU_PER1_TIMER0_Pos)                         /*!< SCU PER1: TIMER0 Mask                   */
#define SCU_PER1_TIMER1_Pos                   17                                                      /*!< SCU PER1: TIMER1 Position               */
#define SCU_PER1_TIMER1_Msk                   (0x01UL << SCU_PER1_TIMER1_Pos)                         /*!< SCU PER1: TIMER1 Mask                   */
#define SCU_PER1_TIMER2_Pos                   18                                                      /*!< SCU PER1: TIMER2 Position               */
#define SCU_PER1_TIMER2_Msk                   (0x01UL << SCU_PER1_TIMER2_Pos)                         /*!< SCU PER1: TIMER2 Mask                   */
#define SCU_PER1_TIMER3_Pos                   19                                                      /*!< SCU PER1: TIMER3 Position               */
#define SCU_PER1_TIMER3_Msk                   (0x01UL << SCU_PER1_TIMER3_Pos)                         /*!< SCU PER1: TIMER3 Mask                   */
#define SCU_PER1_FRT_Pos                      26                                                      /*!< SCU PER1: FRT Position                  */
#define SCU_PER1_FRT_Msk                      (0x01UL << SCU_PER1_FRT_Pos)                            /*!< SCU PER1: FRT Mask                      */

/* ----------------------------------  SCU_PER2  ---------------------------------- */
#define SCU_PER2_SPI_Pos                      0                                                       /*!< SCU PER2: SPI Position                  */
#define SCU_PER2_SPI_Msk                      (0x01UL << SCU_PER2_SPI_Pos)                            /*!< SCU PER2: SPI Mask                      */
#define SCU_PER2_I2C_Pos                      4                                                       /*!< SCU PER2: I2C Position                  */
#define SCU_PER2_I2C_Msk                      (0x01UL << SCU_PER2_I2C_Pos)                            /*!< SCU PER2: I2C Mask                      */
#define SCU_PER2_UART0_Pos                    8                                                       /*!< SCU PER2: UART0 Position                */
#define SCU_PER2_UART0_Msk                    (0x01UL << SCU_PER2_UART0_Pos)                          /*!< SCU PER2: UART0 Mask                    */
#define SCU_PER2_UART1_Pos                    9                                                       /*!< SCU PER2: UART1 Position                */
#define SCU_PER2_UART1_Msk                    (0x01UL << SCU_PER2_UART1_Pos)                          /*!< SCU PER2: UART1 Mask                    */
#define SCU_PER2_MPWM_Pos                     16                                                      /*!< SCU PER2: MPWM Position                 */
#define SCU_PER2_MPWM_Msk                     (0x01UL << SCU_PER2_MPWM_Pos)                           /*!< SCU PER2: MPWM Mask                     */
#define SCU_PER2_ADC_Pos                      20                                                      /*!< SCU PER2: ADC Position                  */
#define SCU_PER2_ADC_Msk                      (0x01UL << SCU_PER2_ADC_Pos)                            /*!< SCU PER2: ADC Mask                      */

/* ----------------------------------  SCU_PCER1  --------------------------------- */
#define SCU_PCER1_DIV64_Pos                   5                                                       /*!< SCU PCER1: DIV64 Position               */
#define SCU_PCER1_DIV64_Msk                   (0x01UL << SCU_PCER1_DIV64_Pos)                         /*!< SCU PCER1: DIV64 Mask                   */
#define SCU_PCER1_GPIOA_Pos                   8                                                       /*!< SCU PCER1: GPIOA Position               */
#define SCU_PCER1_GPIOA_Msk                   (0x01UL << SCU_PCER1_GPIOA_Pos)                         /*!< SCU PCER1: GPIOA Mask                   */
#define SCU_PCER1_GPIOB_Pos                   9                                                       /*!< SCU PCER1: GPIOB Position               */
#define SCU_PCER1_GPIOB_Msk                   (0x01UL << SCU_PCER1_GPIOB_Pos)                         /*!< SCU PCER1: GPIOB Mask                   */
#define SCU_PCER1_GPIOC_Pos                   10                                                      /*!< SCU PCER1: GPIOC Position               */
#define SCU_PCER1_GPIOC_Msk                   (0x01UL << SCU_PCER1_GPIOC_Pos)                         /*!< SCU PCER1: GPIOC Mask                   */
#define SCU_PCER1_GPIOD_Pos                   11                                                      /*!< SCU PCER1: GPIOD Position               */
#define SCU_PCER1_GPIOD_Msk                   (0x01UL << SCU_PCER1_GPIOD_Pos)                         /*!< SCU PCER1: GPIOD Mask                   */
#define SCU_PCER1_TIMER0_Pos                  16                                                      /*!< SCU PCER1: TIMER0 Position              */
#define SCU_PCER1_TIMER0_Msk                  (0x01UL << SCU_PCER1_TIMER0_Pos)                        /*!< SCU PCER1: TIMER0 Mask                  */
#define SCU_PCER1_TIMER1_Pos                  17                                                      /*!< SCU PCER1: TIMER1 Position              */
#define SCU_PCER1_TIMER1_Msk                  (0x01UL << SCU_PCER1_TIMER1_Pos)                        /*!< SCU PCER1: TIMER1 Mask                  */
#define SCU_PCER1_TIMER2_Pos                  18                                                      /*!< SCU PCER1: TIMER2 Position              */
#define SCU_PCER1_TIMER2_Msk                  (0x01UL << SCU_PCER1_TIMER2_Pos)                        /*!< SCU PCER1: TIMER2 Mask                  */
#define SCU_PCER1_TIMER3_Pos                  19                                                      /*!< SCU PCER1: TIMER3 Position              */
#define SCU_PCER1_TIMER3_Msk                  (0x01UL << SCU_PCER1_TIMER3_Pos)                        /*!< SCU PCER1: TIMER3 Mask                  */
#define SCU_PCER1_FRT_Pos                     26                                                      /*!< SCU PCER1: FRT Position                 */
#define SCU_PCER1_FRT_Msk                     (0x01UL << SCU_PCER1_FRT_Pos)                           /*!< SCU PCER1: FRT Mask                     */

/* ----------------------------------  SCU_PCER2  --------------------------------- */
#define SCU_PCER2_SPI_Pos                     0                                                       /*!< SCU PCER2: SPI Position                 */
#define SCU_PCER2_SPI_Msk                     (0x01UL << SCU_PCER2_SPI_Pos)                           /*!< SCU PCER2: SPI Mask                     */
#define SCU_PCER2_I2C_Pos                     4                                                       /*!< SCU PCER2: I2C Position                 */
#define SCU_PCER2_I2C_Msk                     (0x01UL << SCU_PCER2_I2C_Pos)                           /*!< SCU PCER2: I2C Mask                     */
#define SCU_PCER2_UART0_Pos                   8                                                       /*!< SCU PCER2: UART0 Position               */
#define SCU_PCER2_UART0_Msk                   (0x01UL << SCU_PCER2_UART0_Pos)                         /*!< SCU PCER2: UART0 Mask                   */
#define SCU_PCER2_UART1_Pos                   9                                                       /*!< SCU PCER2: UART1 Position               */
#define SCU_PCER2_UART1_Msk                   (0x01UL << SCU_PCER2_UART1_Pos)                         /*!< SCU PCER2: UART1 Mask                   */
#define SCU_PCER2_MPWM_Pos                    16                                                      /*!< SCU PCER2: MPWM Position                */
#define SCU_PCER2_MPWM_Msk                    (0x01UL << SCU_PCER2_MPWM_Pos)                          /*!< SCU PCER2: MPWM Mask                    */
#define SCU_PCER2_ADC_Pos                     20                                                      /*!< SCU PCER2: ADC Position                 */
#define SCU_PCER2_ADC_Msk                     (0x01UL << SCU_PCER2_ADC_Pos)                           /*!< SCU PCER2: ADC Mask                     */

/* ----------------------------------  SCU_CSCR  ---------------------------------- */
#define SCU_CSCR_MOSCCON_Pos                  0                                                       /*!< SCU CSCR: MOSCCON Position              */
#define SCU_CSCR_MOSCCON_Msk                  (0x03UL << SCU_CSCR_MOSCCON_Pos)                        /*!< SCU CSCR: MOSCCON Mask                  */
#define SCU_CSCR_HSICON_Pos                   2                                                       /*!< SCU CSCR: HSICON Position               */
#define SCU_CSCR_HSICON_Msk                   (0x03UL << SCU_CSCR_HSICON_Pos)                         /*!< SCU CSCR: HSICON Mask                   */
#define SCU_CSCR_LSICON_Pos                   4                                                       /*!< SCU CSCR: LSICON Position               */
#define SCU_CSCR_LSICON_Msk                   (0x03UL << SCU_CSCR_LSICON_Pos)                         /*!< SCU CSCR: LSICON Mask                   */
#define SCU_CSCR_SOSCCON_Pos                  6                                                       /*!< SCU CSCR: SOSCCON Position              */
#define SCU_CSCR_SOSCCON_Msk                  (0x03UL << SCU_CSCR_SOSCCON_Pos)                        /*!< SCU CSCR: SOSCCON Mask                  */

/* ----------------------------------  SCU_SCCR  ---------------------------------- */
#define SCU_SCCR_MCLKSEL_Pos                  0                                                       /*!< SCU SCCR: MCLKSEL Position              */
#define SCU_SCCR_MCLKSEL_Msk                  (0x07UL << SCU_SCCR_MCLKSEL_Pos)                        /*!< SCU SCCR: MCLKSEL Mask                  */

/* -----------------------------------  SCU_CMR  ---------------------------------- */
#define SCU_CMR_MOSCSTS_Pos                   0                                                       /*!< SCU CMR: MOSCSTS Position               */
#define SCU_CMR_MOSCSTS_Msk                   (0x01UL << SCU_CMR_MOSCSTS_Pos)                         /*!< SCU CMR: MOSCSTS Mask                   */
#define SCU_CMR_MOSCFAIL_Pos                  1                                                       /*!< SCU CMR: MOSCFAIL Position              */
#define SCU_CMR_MOSCFAIL_Msk                  (0x01UL << SCU_CMR_MOSCFAIL_Pos)                        /*!< SCU CMR: MOSCFAIL Mask                  */
#define SCU_CMR_MOSCIE_Pos                    2                                                       /*!< SCU CMR: MOSCIE Position                */
#define SCU_CMR_MOSCIE_Msk                    (0x01UL << SCU_CMR_MOSCIE_Pos)                          /*!< SCU CMR: MOSCIE Mask                    */
#define SCU_CMR_MOSCMNT_Pos                   3                                                       /*!< SCU CMR: MOSCMNT Position               */
#define SCU_CMR_MOSCMNT_Msk                   (0x01UL << SCU_CMR_MOSCMNT_Pos)                         /*!< SCU CMR: MOSCMNT Mask                   */
#define SCU_CMR_MCLKSTS_Pos                   4                                                       /*!< SCU CMR: MCLKSTS Position               */
#define SCU_CMR_MCLKSTS_Msk                   (0x01UL << SCU_CMR_MCLKSTS_Pos)                         /*!< SCU CMR: MCLKSTS Mask                   */
#define SCU_CMR_MCLKFAIL_Pos                  5                                                       /*!< SCU CMR: MCLKFAIL Position              */
#define SCU_CMR_MCLKFAIL_Msk                  (0x01UL << SCU_CMR_MCLKFAIL_Pos)                        /*!< SCU CMR: MCLKFAIL Mask                  */
#define SCU_CMR_MCLKIE_Pos                    6                                                       /*!< SCU CMR: MCLKIE Position                */
#define SCU_CMR_MCLKIE_Msk                    (0x01UL << SCU_CMR_MCLKIE_Pos)                          /*!< SCU CMR: MCLKIE Mask                    */
#define SCU_CMR_MCLKMNT_Pos                   7                                                       /*!< SCU CMR: MCLKMNT Position               */
#define SCU_CMR_MCLKMNT_Msk                   (0x01UL << SCU_CMR_MCLKMNT_Pos)                         /*!< SCU CMR: MCLKMNT Mask                   */
#define SCU_CMR_SOSCSTS_Pos                   8                                                       /*!< SCU CMR: SOSCSTS Position               */
#define SCU_CMR_SOSCSTS_Msk                   (0x01UL << SCU_CMR_SOSCSTS_Pos)                         /*!< SCU CMR: SOSCSTS Mask                   */
#define SCU_CMR_SOSCFAIL_Pos                  9                                                       /*!< SCU CMR: SOSCFAIL Position              */
#define SCU_CMR_SOSCFAIL_Msk                  (0x01UL << SCU_CMR_SOSCFAIL_Pos)                        /*!< SCU CMR: SOSCFAIL Mask                  */
#define SCU_CMR_SOSCIE_Pos                    10                                                      /*!< SCU CMR: SOSCIE Position                */
#define SCU_CMR_SOSCIE_Msk                    (0x01UL << SCU_CMR_SOSCIE_Pos)                          /*!< SCU CMR: SOSCIE Mask                    */
#define SCU_CMR_SOSCMNT_Pos                   11                                                      /*!< SCU CMR: SOSCMNT Position               */
#define SCU_CMR_SOSCMNT_Msk                   (0x01UL << SCU_CMR_SOSCMNT_Pos)                         /*!< SCU CMR: SOSCMNT Mask                   */
#define SCU_CMR_MCLKREC_Pos                   15                                                      /*!< SCU CMR: MCLKREC Position               */
#define SCU_CMR_MCLKREC_Msk                   (0x01UL << SCU_CMR_MCLKREC_Pos)                         /*!< SCU CMR: MCLKREC Mask                   */

/* ----------------------------------  SCU_NMIR  ---------------------------------- */
#define SCU_NMIR_LVDEN_Pos                    0                                                       /*!< SCU NMIR: LVDEN Position                */
#define SCU_NMIR_LVDEN_Msk                    (0x01UL << SCU_NMIR_LVDEN_Pos)                          /*!< SCU NMIR: LVDEN Mask                    */
#define SCU_NMIR_MCLKFAILEN_Pos               1                                                       /*!< SCU NMIR: MCLKFAILEN Position           */
#define SCU_NMIR_MCLKFAILEN_Msk               (0x01UL << SCU_NMIR_MCLKFAILEN_Pos)                     /*!< SCU NMIR: MCLKFAILEN Mask               */
#define SCU_NMIR_WDTINTEN_Pos                 2                                                       /*!< SCU NMIR: WDTINTEN Position             */
#define SCU_NMIR_WDTINTEN_Msk                 (0x01UL << SCU_NMIR_WDTINTEN_Pos)                       /*!< SCU NMIR: WDTINTEN Mask                 */
#define SCU_NMIR_OVPEN_Pos                    3                                                       /*!< SCU NMIR: OVPEN Position                */
#define SCU_NMIR_OVPEN_Msk                    (0x01UL << SCU_NMIR_OVPEN_Pos)                          /*!< SCU NMIR: OVPEN Mask                    */
#define SCU_NMIR_PROTEN_Pos                   4                                                       /*!< SCU NMIR: PROTEN Position               */
#define SCU_NMIR_PROTEN_Msk                   (0x01UL << SCU_NMIR_PROTEN_Pos)                         /*!< SCU NMIR: PROTEN Mask                   */
#define SCU_NMIR_LVDSTS_Pos                   8                                                       /*!< SCU NMIR: LVDSTS Position               */
#define SCU_NMIR_LVDSTS_Msk                   (0x01UL << SCU_NMIR_LVDSTS_Pos)                         /*!< SCU NMIR: LVDSTS Mask                   */
#define SCU_NMIR_MCLKFAILSTS_Pos              9                                                       /*!< SCU NMIR: MCLKFAILSTS Position          */
#define SCU_NMIR_MCLKFAILSTS_Msk              (0x01UL << SCU_NMIR_MCLKFAILSTS_Pos)                    /*!< SCU NMIR: MCLKFAILSTS Mask              */
#define SCU_NMIR_WDTINTSTS_Pos                10                                                      /*!< SCU NMIR: WDTINTSTS Position            */
#define SCU_NMIR_WDTINTSTS_Msk                (0x01UL << SCU_NMIR_WDTINTSTS_Pos)                      /*!< SCU NMIR: WDTINTSTS Mask                */
#define SCU_NMIR_OVPSTS_Pos                   11                                                      /*!< SCU NMIR: OVPSTS Position               */
#define SCU_NMIR_OVPSTS_Msk                   (0x01UL << SCU_NMIR_OVPSTS_Pos)                         /*!< SCU NMIR: OVPSTS Mask                   */
#define SCU_NMIR_PROTSTS_Pos                  12                                                      /*!< SCU NMIR: PROTSTS Position              */
#define SCU_NMIR_PROTSTS_Msk                  (0x01UL << SCU_NMIR_PROTSTS_Pos)                        /*!< SCU NMIR: PROTSTS Mask                  */
#define SCU_NMIR_ACODE_Pos                    16                                                      /*!< SCU NMIR: ACODE Position                */
#define SCU_NMIR_ACODE_Msk                    (0x0000ffffUL << SCU_NMIR_ACODE_Pos)                    /*!< SCU NMIR: ACODE Mask                    */

/* -----------------------------------  SCU_COR  ---------------------------------- */
#define SCU_COR_CLKODIV_Pos                   0                                                       /*!< SCU COR: CLKODIV Position               */
#define SCU_COR_CLKODIV_Msk                   (0x0fUL << SCU_COR_CLKODIV_Pos)                         /*!< SCU COR: CLKODIV Mask                   */
#define SCU_COR_CLKOEN_Pos                    4                                                       /*!< SCU COR: CLKOEN Position                */
#define SCU_COR_CLKOEN_Msk                    (0x01UL << SCU_COR_CLKOEN_Pos)                          /*!< SCU COR: CLKOEN Mask                    */

/* ---------------------------------  SCU_VDCCON  --------------------------------- */
#define SCU_VDCCON_VDCWDLY_Pos                0                                                       /*!< SCU VDCCON: VDCWDLY Position            */
#define SCU_VDCCON_VDCWDLY_Msk                (0x0fUL << SCU_VDCCON_VDCWDLY_Pos)                      /*!< SCU VDCCON: VDCWDLY Mask                */
#define SCU_VDCCON_VDCDE_Pos                  8                                                       /*!< SCU VDCCON: VDCDE Position              */
#define SCU_VDCCON_VDCDE_Msk                  (0x01UL << SCU_VDCCON_VDCDE_Pos)                        /*!< SCU VDCCON: VDCDE Mask                  */
#define SCU_VDCCON_VDCTRIM_Pos                16                                                      /*!< SCU VDCCON: VDCTRIM Position            */
#define SCU_VDCCON_VDCTRIM_Msk                (0x0fUL << SCU_VDCCON_VDCTRIM_Pos)                      /*!< SCU VDCCON: VDCTRIM Mask                */
#define SCU_VDCCON_VDCTE_Pos                  23                                                      /*!< SCU VDCCON: VDCTE Position              */
#define SCU_VDCCON_VDCTE_Msk                  (0x01UL << SCU_VDCCON_VDCTE_Pos)                        /*!< SCU VDCCON: VDCTE Mask                  */
#define SCU_VDCCON_BIMODE_Pos                 24                                                      /*!< SCU VDCCON: BIMODE Position             */
#define SCU_VDCCON_BIMODE_Msk                 (0x01UL << SCU_VDCCON_BIMODE_Pos)                       /*!< SCU VDCCON: BIMODE Mask                 */
#define SCU_VDCCON_STOPSEL_Pos                25                                                      /*!< SCU VDCCON: STOPSEL Position            */
#define SCU_VDCCON_STOPSEL_Msk                (0x01UL << SCU_VDCCON_STOPSEL_Pos)                      /*!< SCU VDCCON: STOPSEL Mask                */
#define SCU_VDCCON_TC_S_Pos                   26                                                      /*!< SCU VDCCON: TC_S Position               */
#define SCU_VDCCON_TC_S_Msk                   (0x03UL << SCU_VDCCON_TC_S_Pos)                         /*!< SCU VDCCON: TC_S Mask                   */
#define SCU_VDCCON_STOPEN_Pos                 28                                                      /*!< SCU VDCCON: STOPEN Position             */
#define SCU_VDCCON_STOPEN_Msk                 (0x01UL << SCU_VDCCON_STOPEN_Pos)                       /*!< SCU VDCCON: STOPEN Mask                 */
#define SCU_VDCCON_VDCOPT_Pos                 29                                                      /*!< SCU VDCCON: VDCOPT Position             */
#define SCU_VDCCON_VDCOPT_Msk                 (0x01UL << SCU_VDCCON_VDCOPT_Pos)                       /*!< SCU VDCCON: VDCOPT Mask                 */
#define SCU_VDCCON_VDCME_Pos                  31                                                      /*!< SCU VDCCON: VDCME Position              */
#define SCU_VDCCON_VDCME_Msk                  (0x01UL << SCU_VDCCON_VDCME_Pos)                        /*!< SCU VDCCON: VDCME Mask                  */

/* ---------------------------------  SCU_LVDCON  --------------------------------- */
#define SCU_LVDCON_LVDEN_Pos                  0                                                       /*!< SCU LVDCON: LVDEN Position              */
#define SCU_LVDCON_LVDEN_Msk                  (0x01UL << SCU_LVDCON_LVDEN_Pos)                        /*!< SCU LVDCON: LVDEN Mask                  */
#define SCU_LVDCON_LVDLVL_Pos                 1                                                       /*!< SCU LVDCON: LVDLVL Position             */
#define SCU_LVDCON_LVDLVL_Msk                 (0x01UL << SCU_LVDCON_LVDLVL_Pos)                       /*!< SCU LVDCON: LVDLVL Mask                 */
#define SCU_LVDCON_LVDSEL_Pos                 8                                                       /*!< SCU LVDCON: LVDSEL Position             */
#define SCU_LVDCON_LVDSEL_Msk                 (0x03UL << SCU_LVDCON_LVDSEL_Pos)                       /*!< SCU LVDCON: LVDSEL Mask                 */
#define SCU_LVDCON_SELEN_Pos                  15                                                      /*!< SCU LVDCON: SELEN Position              */
#define SCU_LVDCON_SELEN_Msk                  (0x01UL << SCU_LVDCON_SELEN_Pos)                        /*!< SCU LVDCON: SELEN Mask                  */

/* -------------------------------  SCU_HSIOSCTRIM  ------------------------------- */
#define SCU_HSIOSCTRIM_UDCL_Pos               0                                                       /*!< SCU HSIOSCTRIM: UDCL Position           */
#define SCU_HSIOSCTRIM_UDCL_Msk               (0x07UL << SCU_HSIOSCTRIM_UDCL_Pos)                     /*!< SCU HSIOSCTRIM: UDCL Mask               */
#define SCU_HSIOSCTRIM_UDCH_Pos               3                                                       /*!< SCU HSIOSCTRIM: UDCH Position           */
#define SCU_HSIOSCTRIM_UDCH_Msk               (0x03UL << SCU_HSIOSCTRIM_UDCH_Pos)                     /*!< SCU HSIOSCTRIM: UDCH Mask               */
#define SCU_HSIOSCTRIM_UDCEN_Pos              7                                                       /*!< SCU HSIOSCTRIM: UDCEN Position          */
#define SCU_HSIOSCTRIM_UDCEN_Msk              (0x01UL << SCU_HSIOSCTRIM_UDCEN_Pos)                    /*!< SCU HSIOSCTRIM: UDCEN Mask              */
#define SCU_HSIOSCTRIM_LT_LTM_Pos             8                                                       /*!< SCU HSIOSCTRIM: LT_LTM Position         */
#define SCU_HSIOSCTRIM_LT_LTM_Msk             (0x7fUL << SCU_HSIOSCTRIM_LT_LTM_Pos)                   /*!< SCU HSIOSCTRIM: LT_LTM Mask             */
#define SCU_HSIOSCTRIM_LTEN_Pos               15                                                      /*!< SCU HSIOSCTRIM: LTEN Position           */
#define SCU_HSIOSCTRIM_LTEN_Msk               (0x01UL << SCU_HSIOSCTRIM_LTEN_Pos)                     /*!< SCU HSIOSCTRIM: LTEN Mask               */
#define SCU_HSIOSCTRIM_TSL_Pos                16                                                      /*!< SCU HSIOSCTRIM: TSL Position            */
#define SCU_HSIOSCTRIM_TSL_Msk                (0x07UL << SCU_HSIOSCTRIM_TSL_Pos)                      /*!< SCU HSIOSCTRIM: TSL Mask                */
#define SCU_HSIOSCTRIM_TSLEN_Pos              23                                                      /*!< SCU HSIOSCTRIM: TSLEN Position          */
#define SCU_HSIOSCTRIM_TSLEN_Msk              (0x01UL << SCU_HSIOSCTRIM_TSLEN_Pos)                    /*!< SCU HSIOSCTRIM: TSLEN Mask              */
#define SCU_HSIOSCTRIM_ADCALON_Pos            27                                                      /*!< SCU HSIOSCTRIM: ADCALON Position        */
#define SCU_HSIOSCTRIM_ADCALON_Msk            (0x01UL << SCU_HSIOSCTRIM_ADCALON_Pos)                  /*!< SCU HSIOSCTRIM: ADCALON Mask            */
#define SCU_HSIOSCTRIM_REFSEL_Pos             30                                                      /*!< SCU HSIOSCTRIM: REFSEL Position         */
#define SCU_HSIOSCTRIM_REFSEL_Msk             (0x01UL << SCU_HSIOSCTRIM_REFSEL_Pos)                   /*!< SCU HSIOSCTRIM: REFSEL Mask             */
#define SCU_HSIOSCTRIM_BISCON_Pos             31                                                      /*!< SCU HSIOSCTRIM: BISCON Position         */
#define SCU_HSIOSCTRIM_BISCON_Msk             (0x01UL << SCU_HSIOSCTRIM_BISCON_Pos)                   /*!< SCU HSIOSCTRIM: BISCON Mask             */

/* ---------------------------------  SCU_BISCCON  -------------------------------- */
#define SCU_BISCCON_XTAL_COMP_Pos             0                                                       /*!< SCU BISCCON: XTAL_COMP Position         */
#define SCU_BISCCON_XTAL_COMP_Msk             (0x0000ffffUL << SCU_BISCCON_XTAL_COMP_Pos)             /*!< SCU BISCCON: XTAL_COMP Mask             */
#define SCU_BISCCON_INTOSC_COMP_Pos           16                                                      /*!< SCU BISCCON: INTOSC_COMP Position       */
#define SCU_BISCCON_INTOSC_COMP_Msk           (0x0000ffffUL << SCU_BISCCON_INTOSC_COMP_Pos)           /*!< SCU BISCCON: INTOSC_COMP Mask           */

/* ---------------------------------  SCU_LSIOSC  --------------------------------- */
#define SCU_LSIOSC_CTR_Pos                    0                                                       /*!< SCU LSIOSC: CTR Position                */
#define SCU_LSIOSC_CTR_Msk                    (0x0fUL << SCU_LSIOSC_CTR_Pos)                          /*!< SCU LSIOSC: CTR Mask                    */
#define SCU_LSIOSC_CTRTRIMEN_Pos              7                                                       /*!< SCU LSIOSC: CTRTRIMEN Position          */
#define SCU_LSIOSC_CTRTRIMEN_Msk              (0x01UL << SCU_LSIOSC_CTRTRIMEN_Pos)                    /*!< SCU LSIOSC: CTRTRIMEN Mask              */

/* ---------------------------------  SCU_EMOSCR  --------------------------------- */
#define SCU_EMOSCR_INVCLKEN_Pos               0                                                       /*!< SCU EMOSCR: INVCLKEN Position           */
#define SCU_EMOSCR_INVCLKEN_Msk               (0x01UL << SCU_EMOSCR_INVCLKEN_Pos)                     /*!< SCU EMOSCR: INVCLKEN Mask               */
#define SCU_EMOSCR_INVCLKWEN_Pos              7                                                       /*!< SCU EMOSCR: INVCLKWEN Position          */
#define SCU_EMOSCR_INVCLKWEN_Msk              (0x01UL << SCU_EMOSCR_INVCLKWEN_Pos)                    /*!< SCU EMOSCR: INVCLKWEN Mask              */
#define SCU_EMOSCR_FILSKIPEN_Pos              8                                                       /*!< SCU EMOSCR: FILSKIPEN Position          */
#define SCU_EMOSCR_FILSKIPEN_Msk              (0x01UL << SCU_EMOSCR_FILSKIPEN_Pos)                    /*!< SCU EMOSCR: FILSKIPEN Mask              */
#define SCU_EMOSCR_FILSKIPWEN_Pos             15                                                      /*!< SCU EMOSCR: FILSKIPWEN Position         */
#define SCU_EMOSCR_FILSKIPWEN_Msk             (0x01UL << SCU_EMOSCR_FILSKIPWEN_Pos)                   /*!< SCU EMOSCR: FILSKIPWEN Mask             */

/* ----------------------------------  SCU_EMODR  --------------------------------- */
#define SCU_EMODR_BOOT_Pos                    0                                                       /*!< SCU EMODR: BOOT Position                */
#define SCU_EMODR_BOOT_Msk                    (0x01UL << SCU_EMODR_BOOT_Pos)                          /*!< SCU EMODR: BOOT Mask                    */
#define SCU_EMODR_TEST_Pos                    1                                                       /*!< SCU EMODR: TEST Position                */
#define SCU_EMODR_TEST_Msk                    (0x01UL << SCU_EMODR_TEST_Pos)                          /*!< SCU EMODR: TEST Mask                    */
#define SCU_EMODR_SCANMD_Pos                  2                                                       /*!< SCU EMODR: SCANMD Position              */
#define SCU_EMODR_SCANMD_Msk                  (0x01UL << SCU_EMODR_SCANMD_Pos)                        /*!< SCU EMODR: SCANMD Mask                  */

/* ----------------------------------  SCU_MCCR1  --------------------------------- */
#define SCU_MCCR1_STCDIV_Pos                  0                                                       /*!< SCU MCCR1: STCDIV Position              */
#define SCU_MCCR1_STCDIV_Msk                  (0x000000ffUL << SCU_MCCR1_STCDIV_Pos)                  /*!< SCU MCCR1: STCDIV Mask                  */
#define SCU_MCCR1_STCSEL_Pos                  8                                                       /*!< SCU MCCR1: STCSEL Position              */
#define SCU_MCCR1_STCSEL_Msk                  (0x07UL << SCU_MCCR1_STCSEL_Pos)                        /*!< SCU MCCR1: STCSEL Mask                  */

/* ----------------------------------  SCU_MCCR2  --------------------------------- */
#define SCU_MCCR2_PWMDIV_Pos                  0                                                       /*!< SCU MCCR2: PWMDIV Position              */
#define SCU_MCCR2_PWMDIV_Msk                  (0x000000ffUL << SCU_MCCR2_PWMDIV_Pos)                  /*!< SCU MCCR2: PWMDIV Mask                  */
#define SCU_MCCR2_PWMCSEL_Pos                 8                                                       /*!< SCU MCCR2: PWMCSEL Position             */
#define SCU_MCCR2_PWMCSEL_Msk                 (0x07UL << SCU_MCCR2_PWMCSEL_Pos)                       /*!< SCU MCCR2: PWMCSEL Mask                 */

/* ----------------------------------  SCU_MCCR3  --------------------------------- */
#define SCU_MCCR3_WDTDIV_Pos                  0                                                       /*!< SCU MCCR3: WDTDIV Position              */
#define SCU_MCCR3_WDTDIV_Msk                  (0x000000ffUL << SCU_MCCR3_WDTDIV_Pos)                  /*!< SCU MCCR3: WDTDIV Mask                  */
#define SCU_MCCR3_WDTCSEL_Pos                 8                                                       /*!< SCU MCCR3: WDTCSEL Position             */
#define SCU_MCCR3_WDTCSEL_Msk                 (0x07UL << SCU_MCCR3_WDTCSEL_Pos)                       /*!< SCU MCCR3: WDTCSEL Mask                 */
#define SCU_MCCR3_TIMERDIV_Pos                16                                                      /*!< SCU MCCR3: TIMERDIV Position            */
#define SCU_MCCR3_TIMERDIV_Msk                (0x000000ffUL << SCU_MCCR3_TIMERDIV_Pos)                /*!< SCU MCCR3: TIMERDIV Mask                */
#define SCU_MCCR3_TIMERCSEL_Pos               24                                                      /*!< SCU MCCR3: TIMERCSEL Position           */
#define SCU_MCCR3_TIMERCSEL_Msk               (0x07UL << SCU_MCCR3_TIMERCSEL_Pos)                     /*!< SCU MCCR3: TIMERCSEL Mask               */

/* ----------------------------------  SCU_MCCR4  --------------------------------- */
#define SCU_MCCR4_PADDIV_Pos                  0                                                       /*!< SCU MCCR4: PADDIV Position              */
#define SCU_MCCR4_PADDIV_Msk                  (0x000000ffUL << SCU_MCCR4_PADDIV_Pos)                  /*!< SCU MCCR4: PADDIV Mask                  */
#define SCU_MCCR4_PADCSEL_Pos                 8                                                       /*!< SCU MCCR4: PADCSEL Position             */
#define SCU_MCCR4_PADCSEL_Msk                 (0x07UL << SCU_MCCR4_PADCSEL_Pos)                       /*!< SCU MCCR4: PADCSEL Mask                 */
#define SCU_MCCR4_PBDDIV_Pos                  16                                                      /*!< SCU MCCR4: PBDDIV Position              */
#define SCU_MCCR4_PBDDIV_Msk                  (0x000000ffUL << SCU_MCCR4_PBDDIV_Pos)                  /*!< SCU MCCR4: PBDDIV Mask                  */
#define SCU_MCCR4_PBDCSEL_Pos                 24                                                      /*!< SCU MCCR4: PBDCSEL Position             */
#define SCU_MCCR4_PBDCSEL_Msk                 (0x07UL << SCU_MCCR4_PBDCSEL_Pos)                       /*!< SCU MCCR4: PBDCSEL Mask                 */

/* ----------------------------------  SCU_MCCR5  --------------------------------- */
#define SCU_MCCR5_PCDDIV_Pos                  0                                                       /*!< SCU MCCR5: PCDDIV Position              */
#define SCU_MCCR5_PCDDIV_Msk                  (0x000000ffUL << SCU_MCCR5_PCDDIV_Pos)                  /*!< SCU MCCR5: PCDDIV Mask                  */
#define SCU_MCCR5_PCDCSEL_Pos                 8                                                       /*!< SCU MCCR5: PCDCSEL Position             */
#define SCU_MCCR5_PCDCSEL_Msk                 (0x07UL << SCU_MCCR5_PCDCSEL_Pos)                       /*!< SCU MCCR5: PCDCSEL Mask                 */
#define SCU_MCCR5_PDDDIV_Pos                  16                                                      /*!< SCU MCCR5: PDDDIV Position              */
#define SCU_MCCR5_PDDDIV_Msk                  (0x000000ffUL << SCU_MCCR5_PDDDIV_Pos)                  /*!< SCU MCCR5: PDDDIV Mask                  */
#define SCU_MCCR5_PDDCSEL_Pos                 24                                                      /*!< SCU MCCR5: PDDCSEL Position             */
#define SCU_MCCR5_PDDCSEL_Msk                 (0x07UL << SCU_MCCR5_PDDCSEL_Pos)                       /*!< SCU MCCR5: PDDCSEL Mask                 */

/* ----------------------------------  SCU_MCCR7  --------------------------------- */
#define SCU_MCCR7_UARTCDIV_Pos                0                                                       /*!< SCU MCCR7: UARTCDIV Position            */
#define SCU_MCCR7_UARTCDIV_Msk                (0x000000ffUL << SCU_MCCR7_UARTCDIV_Pos)                /*!< SCU MCCR7: UARTCDIV Mask                */
#define SCU_MCCR7_UARTCSEL_Pos                8                                                       /*!< SCU MCCR7: UARTCSEL Position            */
#define SCU_MCCR7_UARTCSEL_Msk                (0x07UL << SCU_MCCR7_UARTCSEL_Pos)                      /*!< SCU MCCR7: UARTCSEL Mask                */
#define SCU_MCCR7_ADCCDIV_Pos                 16                                                      /*!< SCU MCCR7: ADCCDIV Position             */
#define SCU_MCCR7_ADCCDIV_Msk                 (0x000000ffUL << SCU_MCCR7_ADCCDIV_Pos)                 /*!< SCU MCCR7: ADCCDIV Mask                 */
#define SCU_MCCR7_ADCCSEL_Pos                 24                                                      /*!< SCU MCCR7: ADCCSEL Position             */
#define SCU_MCCR7_ADCCSEL_Msk                 (0x07UL << SCU_MCCR7_ADCCSEL_Pos)                       /*!< SCU MCCR7: ADCCSEL Mask                 */


/* ================================================================================ */
/* ================          struct 'PCA' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PCA_MR  ----------------------------------- */
#define PCA_MR_P0_Pos                         0                                                       /*!< PCA MR: P0 Position                     */
#define PCA_MR_P0_Msk                         (0x03UL << PCA_MR_P0_Pos)                               /*!< PCA MR: P0 Mask                         */
#define PCA_MR_P1_Pos                         2                                                       /*!< PCA MR: P1 Position                     */
#define PCA_MR_P1_Msk                         (0x03UL << PCA_MR_P1_Pos)                               /*!< PCA MR: P1 Mask                         */
#define PCA_MR_P2_Pos                         4                                                       /*!< PCA MR: P2 Position                     */
#define PCA_MR_P2_Msk                         (0x03UL << PCA_MR_P2_Pos)                               /*!< PCA MR: P2 Mask                         */
#define PCA_MR_P3_Pos                         6                                                       /*!< PCA MR: P3 Position                     */
#define PCA_MR_P3_Msk                         (0x03UL << PCA_MR_P3_Pos)                               /*!< PCA MR: P3 Mask                         */
#define PCA_MR_P4_Pos                         8                                                       /*!< PCA MR: P4 Position                     */
#define PCA_MR_P4_Msk                         (0x03UL << PCA_MR_P4_Pos)                               /*!< PCA MR: P4 Mask                         */
#define PCA_MR_P5_Pos                         10                                                      /*!< PCA MR: P5 Position                     */
#define PCA_MR_P5_Msk                         (0x03UL << PCA_MR_P5_Pos)                               /*!< PCA MR: P5 Mask                         */
#define PCA_MR_P6_Pos                         12                                                      /*!< PCA MR: P6 Position                     */
#define PCA_MR_P6_Msk                         (0x03UL << PCA_MR_P6_Pos)                               /*!< PCA MR: P6 Mask                         */
#define PCA_MR_P7_Pos                         14                                                      /*!< PCA MR: P7 Position                     */
#define PCA_MR_P7_Msk                         (0x03UL << PCA_MR_P7_Pos)                               /*!< PCA MR: P7 Mask                         */
#define PCA_MR_P8_Pos                         16                                                      /*!< PCA MR: P8 Position                     */
#define PCA_MR_P8_Msk                         (0x03UL << PCA_MR_P8_Pos)                               /*!< PCA MR: P8 Mask                         */
#define PCA_MR_P9_Pos                         18                                                      /*!< PCA MR: P9 Position                     */
#define PCA_MR_P9_Msk                         (0x03UL << PCA_MR_P9_Pos)                               /*!< PCA MR: P9 Mask                         */
#define PCA_MR_P10_Pos                        20                                                      /*!< PCA MR: P10 Position                    */
#define PCA_MR_P10_Msk                        (0x03UL << PCA_MR_P10_Pos)                              /*!< PCA MR: P10 Mask                        */
#define PCA_MR_P11_Pos                        22                                                      /*!< PCA MR: P11 Position                    */
#define PCA_MR_P11_Msk                        (0x03UL << PCA_MR_P11_Pos)                              /*!< PCA MR: P11 Mask                        */
#define PCA_MR_P12_Pos                        24                                                      /*!< PCA MR: P12 Position                    */
#define PCA_MR_P12_Msk                        (0x03UL << PCA_MR_P12_Pos)                              /*!< PCA MR: P12 Mask                        */
#define PCA_MR_P13_Pos                        26                                                      /*!< PCA MR: P13 Position                    */
#define PCA_MR_P13_Msk                        (0x03UL << PCA_MR_P13_Pos)                              /*!< PCA MR: P13 Mask                        */
#define PCA_MR_P14_Pos                        28                                                      /*!< PCA MR: P14 Position                    */
#define PCA_MR_P14_Msk                        (0x03UL << PCA_MR_P14_Pos)                              /*!< PCA MR: P14 Mask                        */
#define PCA_MR_P15_Pos                        30                                                      /*!< PCA MR: P15 Position                    */
#define PCA_MR_P15_Msk                        (0x03UL << PCA_MR_P15_Pos)                              /*!< PCA MR: P15 Mask                        */

/* -----------------------------------  PCA_CR  ----------------------------------- */
#define PCA_CR_P0_Pos                         0                                                       /*!< PCA CR: P0 Position                     */
#define PCA_CR_P0_Msk                         (0x03UL << PCA_CR_P0_Pos)                               /*!< PCA CR: P0 Mask                         */
#define PCA_CR_P1_Pos                         2                                                       /*!< PCA CR: P1 Position                     */
#define PCA_CR_P1_Msk                         (0x03UL << PCA_CR_P1_Pos)                               /*!< PCA CR: P1 Mask                         */
#define PCA_CR_P2_Pos                         4                                                       /*!< PCA CR: P2 Position                     */
#define PCA_CR_P2_Msk                         (0x03UL << PCA_CR_P2_Pos)                               /*!< PCA CR: P2 Mask                         */
#define PCA_CR_P3_Pos                         6                                                       /*!< PCA CR: P3 Position                     */
#define PCA_CR_P3_Msk                         (0x03UL << PCA_CR_P3_Pos)                               /*!< PCA CR: P3 Mask                         */
#define PCA_CR_P4_Pos                         8                                                       /*!< PCA CR: P4 Position                     */
#define PCA_CR_P4_Msk                         (0x03UL << PCA_CR_P4_Pos)                               /*!< PCA CR: P4 Mask                         */
#define PCA_CR_P5_Pos                         10                                                      /*!< PCA CR: P5 Position                     */
#define PCA_CR_P5_Msk                         (0x03UL << PCA_CR_P5_Pos)                               /*!< PCA CR: P5 Mask                         */
#define PCA_CR_P6_Pos                         12                                                      /*!< PCA CR: P6 Position                     */
#define PCA_CR_P6_Msk                         (0x03UL << PCA_CR_P6_Pos)                               /*!< PCA CR: P6 Mask                         */
#define PCA_CR_P7_Pos                         14                                                      /*!< PCA CR: P7 Position                     */
#define PCA_CR_P7_Msk                         (0x03UL << PCA_CR_P7_Pos)                               /*!< PCA CR: P7 Mask                         */
#define PCA_CR_P8_Pos                         16                                                      /*!< PCA CR: P8 Position                     */
#define PCA_CR_P8_Msk                         (0x03UL << PCA_CR_P8_Pos)                               /*!< PCA CR: P8 Mask                         */
#define PCA_CR_P9_Pos                         18                                                      /*!< PCA CR: P9 Position                     */
#define PCA_CR_P9_Msk                         (0x03UL << PCA_CR_P9_Pos)                               /*!< PCA CR: P9 Mask                         */
#define PCA_CR_P10_Pos                        20                                                      /*!< PCA CR: P10 Position                    */
#define PCA_CR_P10_Msk                        (0x03UL << PCA_CR_P10_Pos)                              /*!< PCA CR: P10 Mask                        */
#define PCA_CR_P11_Pos                        22                                                      /*!< PCA CR: P11 Position                    */
#define PCA_CR_P11_Msk                        (0x03UL << PCA_CR_P11_Pos)                              /*!< PCA CR: P11 Mask                        */
#define PCA_CR_P12_Pos                        24                                                      /*!< PCA CR: P12 Position                    */
#define PCA_CR_P12_Msk                        (0x03UL << PCA_CR_P12_Pos)                              /*!< PCA CR: P12 Mask                        */
#define PCA_CR_P13_Pos                        26                                                      /*!< PCA CR: P13 Position                    */
#define PCA_CR_P13_Msk                        (0x03UL << PCA_CR_P13_Pos)                              /*!< PCA CR: P13 Mask                        */
#define PCA_CR_P14_Pos                        28                                                      /*!< PCA CR: P14 Position                    */
#define PCA_CR_P14_Msk                        (0x03UL << PCA_CR_P14_Pos)                              /*!< PCA CR: P14 Mask                        */
#define PCA_CR_P15_Pos                        30                                                      /*!< PCA CR: P15 Position                    */
#define PCA_CR_P15_Msk                        (0x03UL << PCA_CR_P15_Pos)                              /*!< PCA CR: P15 Mask                        */

/* -----------------------------------  PCA_PCR  ---------------------------------- */
#define PCA_PCR_P0_Pos                        0                                                       /*!< PCA PCR: P0 Position                    */
#define PCA_PCR_P0_Msk                        (0x01UL << PCA_PCR_P0_Pos)                              /*!< PCA PCR: P0 Mask                        */
#define PCA_PCR_P1_Pos                        1                                                       /*!< PCA PCR: P1 Position                    */
#define PCA_PCR_P1_Msk                        (0x01UL << PCA_PCR_P1_Pos)                              /*!< PCA PCR: P1 Mask                        */
#define PCA_PCR_P2_Pos                        2                                                       /*!< PCA PCR: P2 Position                    */
#define PCA_PCR_P2_Msk                        (0x01UL << PCA_PCR_P2_Pos)                              /*!< PCA PCR: P2 Mask                        */
#define PCA_PCR_P3_Pos                        3                                                       /*!< PCA PCR: P3 Position                    */
#define PCA_PCR_P3_Msk                        (0x01UL << PCA_PCR_P3_Pos)                              /*!< PCA PCR: P3 Mask                        */
#define PCA_PCR_P4_Pos                        4                                                       /*!< PCA PCR: P4 Position                    */
#define PCA_PCR_P4_Msk                        (0x01UL << PCA_PCR_P4_Pos)                              /*!< PCA PCR: P4 Mask                        */
#define PCA_PCR_P5_Pos                        5                                                       /*!< PCA PCR: P5 Position                    */
#define PCA_PCR_P5_Msk                        (0x01UL << PCA_PCR_P5_Pos)                              /*!< PCA PCR: P5 Mask                        */
#define PCA_PCR_P6_Pos                        6                                                       /*!< PCA PCR: P6 Position                    */
#define PCA_PCR_P6_Msk                        (0x01UL << PCA_PCR_P6_Pos)                              /*!< PCA PCR: P6 Mask                        */
#define PCA_PCR_P7_Pos                        7                                                       /*!< PCA PCR: P7 Position                    */
#define PCA_PCR_P7_Msk                        (0x01UL << PCA_PCR_P7_Pos)                              /*!< PCA PCR: P7 Mask                        */
#define PCA_PCR_P8_Pos                        8                                                       /*!< PCA PCR: P8 Position                    */
#define PCA_PCR_P8_Msk                        (0x01UL << PCA_PCR_P8_Pos)                              /*!< PCA PCR: P8 Mask                        */
#define PCA_PCR_P9_Pos                        9                                                       /*!< PCA PCR: P9 Position                    */
#define PCA_PCR_P9_Msk                        (0x01UL << PCA_PCR_P9_Pos)                              /*!< PCA PCR: P9 Mask                        */
#define PCA_PCR_P10_Pos                       10                                                      /*!< PCA PCR: P10 Position                   */
#define PCA_PCR_P10_Msk                       (0x01UL << PCA_PCR_P10_Pos)                             /*!< PCA PCR: P10 Mask                       */
#define PCA_PCR_P11_Pos                       11                                                      /*!< PCA PCR: P11 Position                   */
#define PCA_PCR_P11_Msk                       (0x01UL << PCA_PCR_P11_Pos)                             /*!< PCA PCR: P11 Mask                       */
#define PCA_PCR_P12_Pos                       12                                                      /*!< PCA PCR: P12 Position                   */
#define PCA_PCR_P12_Msk                       (0x01UL << PCA_PCR_P12_Pos)                             /*!< PCA PCR: P12 Mask                       */
#define PCA_PCR_P13_Pos                       13                                                      /*!< PCA PCR: P13 Position                   */
#define PCA_PCR_P13_Msk                       (0x01UL << PCA_PCR_P13_Pos)                             /*!< PCA PCR: P13 Mask                       */
#define PCA_PCR_P14_Pos                       14                                                      /*!< PCA PCR: P14 Position                   */
#define PCA_PCR_P14_Msk                       (0x01UL << PCA_PCR_P14_Pos)                             /*!< PCA PCR: P14 Mask                       */
#define PCA_PCR_P15_Pos                       15                                                      /*!< PCA PCR: P15 Position                   */
#define PCA_PCR_P15_Msk                       (0x01UL << PCA_PCR_P15_Pos)                             /*!< PCA PCR: P15 Mask                       */

/* -----------------------------------  PCA_DER  ---------------------------------- */
#define PCA_DER_P0_Pos                        0                                                       /*!< PCA DER: P0 Position                    */
#define PCA_DER_P0_Msk                        (0x01UL << PCA_DER_P0_Pos)                              /*!< PCA DER: P0 Mask                        */
#define PCA_DER_P1_Pos                        1                                                       /*!< PCA DER: P1 Position                    */
#define PCA_DER_P1_Msk                        (0x01UL << PCA_DER_P1_Pos)                              /*!< PCA DER: P1 Mask                        */
#define PCA_DER_P2_Pos                        2                                                       /*!< PCA DER: P2 Position                    */
#define PCA_DER_P2_Msk                        (0x01UL << PCA_DER_P2_Pos)                              /*!< PCA DER: P2 Mask                        */
#define PCA_DER_P3_Pos                        3                                                       /*!< PCA DER: P3 Position                    */
#define PCA_DER_P3_Msk                        (0x01UL << PCA_DER_P3_Pos)                              /*!< PCA DER: P3 Mask                        */
#define PCA_DER_P4_Pos                        4                                                       /*!< PCA DER: P4 Position                    */
#define PCA_DER_P4_Msk                        (0x01UL << PCA_DER_P4_Pos)                              /*!< PCA DER: P4 Mask                        */
#define PCA_DER_P5_Pos                        5                                                       /*!< PCA DER: P5 Position                    */
#define PCA_DER_P5_Msk                        (0x01UL << PCA_DER_P5_Pos)                              /*!< PCA DER: P5 Mask                        */
#define PCA_DER_P6_Pos                        6                                                       /*!< PCA DER: P6 Position                    */
#define PCA_DER_P6_Msk                        (0x01UL << PCA_DER_P6_Pos)                              /*!< PCA DER: P6 Mask                        */
#define PCA_DER_P7_Pos                        7                                                       /*!< PCA DER: P7 Position                    */
#define PCA_DER_P7_Msk                        (0x01UL << PCA_DER_P7_Pos)                              /*!< PCA DER: P7 Mask                        */
#define PCA_DER_P8_Pos                        8                                                       /*!< PCA DER: P8 Position                    */
#define PCA_DER_P8_Msk                        (0x01UL << PCA_DER_P8_Pos)                              /*!< PCA DER: P8 Mask                        */
#define PCA_DER_P9_Pos                        9                                                       /*!< PCA DER: P9 Position                    */
#define PCA_DER_P9_Msk                        (0x01UL << PCA_DER_P9_Pos)                              /*!< PCA DER: P9 Mask                        */
#define PCA_DER_P10_Pos                       10                                                      /*!< PCA DER: P10 Position                   */
#define PCA_DER_P10_Msk                       (0x01UL << PCA_DER_P10_Pos)                             /*!< PCA DER: P10 Mask                       */
#define PCA_DER_P11_Pos                       11                                                      /*!< PCA DER: P11 Position                   */
#define PCA_DER_P11_Msk                       (0x01UL << PCA_DER_P11_Pos)                             /*!< PCA DER: P11 Mask                       */
#define PCA_DER_P12_Pos                       12                                                      /*!< PCA DER: P12 Position                   */
#define PCA_DER_P12_Msk                       (0x01UL << PCA_DER_P12_Pos)                             /*!< PCA DER: P12 Mask                       */
#define PCA_DER_P13_Pos                       13                                                      /*!< PCA DER: P13 Position                   */
#define PCA_DER_P13_Msk                       (0x01UL << PCA_DER_P13_Pos)                             /*!< PCA DER: P13 Mask                       */
#define PCA_DER_P14_Pos                       14                                                      /*!< PCA DER: P14 Position                   */
#define PCA_DER_P14_Msk                       (0x01UL << PCA_DER_P14_Pos)                             /*!< PCA DER: P14 Mask                       */
#define PCA_DER_P15_Pos                       15                                                      /*!< PCA DER: P15 Position                   */
#define PCA_DER_P15_Msk                       (0x01UL << PCA_DER_P15_Pos)                             /*!< PCA DER: P15 Mask                       */

/* -----------------------------------  PCA_IER  ---------------------------------- */
#define PCA_IER_P0_Pos                        0                                                       /*!< PCA IER: P0 Position                    */
#define PCA_IER_P0_Msk                        (0x03UL << PCA_IER_P0_Pos)                              /*!< PCA IER: P0 Mask                        */
#define PCA_IER_P1_Pos                        2                                                       /*!< PCA IER: P1 Position                    */
#define PCA_IER_P1_Msk                        (0x03UL << PCA_IER_P1_Pos)                              /*!< PCA IER: P1 Mask                        */
#define PCA_IER_P2_Pos                        4                                                       /*!< PCA IER: P2 Position                    */
#define PCA_IER_P2_Msk                        (0x03UL << PCA_IER_P2_Pos)                              /*!< PCA IER: P2 Mask                        */
#define PCA_IER_P3_Pos                        6                                                       /*!< PCA IER: P3 Position                    */
#define PCA_IER_P3_Msk                        (0x03UL << PCA_IER_P3_Pos)                              /*!< PCA IER: P3 Mask                        */
#define PCA_IER_P4_Pos                        8                                                       /*!< PCA IER: P4 Position                    */
#define PCA_IER_P4_Msk                        (0x03UL << PCA_IER_P4_Pos)                              /*!< PCA IER: P4 Mask                        */
#define PCA_IER_P5_Pos                        10                                                      /*!< PCA IER: P5 Position                    */
#define PCA_IER_P5_Msk                        (0x03UL << PCA_IER_P5_Pos)                              /*!< PCA IER: P5 Mask                        */
#define PCA_IER_P6_Pos                        12                                                      /*!< PCA IER: P6 Position                    */
#define PCA_IER_P6_Msk                        (0x03UL << PCA_IER_P6_Pos)                              /*!< PCA IER: P6 Mask                        */
#define PCA_IER_P7_Pos                        14                                                      /*!< PCA IER: P7 Position                    */
#define PCA_IER_P7_Msk                        (0x03UL << PCA_IER_P7_Pos)                              /*!< PCA IER: P7 Mask                        */
#define PCA_IER_P8_Pos                        16                                                      /*!< PCA IER: P8 Position                    */
#define PCA_IER_P8_Msk                        (0x03UL << PCA_IER_P8_Pos)                              /*!< PCA IER: P8 Mask                        */
#define PCA_IER_P9_Pos                        18                                                      /*!< PCA IER: P9 Position                    */
#define PCA_IER_P9_Msk                        (0x03UL << PCA_IER_P9_Pos)                              /*!< PCA IER: P9 Mask                        */
#define PCA_IER_P10_Pos                       20                                                      /*!< PCA IER: P10 Position                   */
#define PCA_IER_P10_Msk                       (0x03UL << PCA_IER_P10_Pos)                             /*!< PCA IER: P10 Mask                       */
#define PCA_IER_P11_Pos                       22                                                      /*!< PCA IER: P11 Position                   */
#define PCA_IER_P11_Msk                       (0x03UL << PCA_IER_P11_Pos)                             /*!< PCA IER: P11 Mask                       */
#define PCA_IER_P12_Pos                       24                                                      /*!< PCA IER: P12 Position                   */
#define PCA_IER_P12_Msk                       (0x03UL << PCA_IER_P12_Pos)                             /*!< PCA IER: P12 Mask                       */
#define PCA_IER_P13_Pos                       26                                                      /*!< PCA IER: P13 Position                   */
#define PCA_IER_P13_Msk                       (0x03UL << PCA_IER_P13_Pos)                             /*!< PCA IER: P13 Mask                       */
#define PCA_IER_P14_Pos                       28                                                      /*!< PCA IER: P14 Position                   */
#define PCA_IER_P14_Msk                       (0x03UL << PCA_IER_P14_Pos)                             /*!< PCA IER: P14 Mask                       */
#define PCA_IER_P15_Pos                       30                                                      /*!< PCA IER: P15 Position                   */
#define PCA_IER_P15_Msk                       (0x03UL << PCA_IER_P15_Pos)                             /*!< PCA IER: P15 Mask                       */

/* -----------------------------------  PCA_ISR  ---------------------------------- */
#define PCA_ISR_P0_Pos                        0                                                       /*!< PCA ISR: P0 Position                    */
#define PCA_ISR_P0_Msk                        (0x03UL << PCA_ISR_P0_Pos)                              /*!< PCA ISR: P0 Mask                        */
#define PCA_ISR_P1_Pos                        2                                                       /*!< PCA ISR: P1 Position                    */
#define PCA_ISR_P1_Msk                        (0x03UL << PCA_ISR_P1_Pos)                              /*!< PCA ISR: P1 Mask                        */
#define PCA_ISR_P2_Pos                        4                                                       /*!< PCA ISR: P2 Position                    */
#define PCA_ISR_P2_Msk                        (0x03UL << PCA_ISR_P2_Pos)                              /*!< PCA ISR: P2 Mask                        */
#define PCA_ISR_P3_Pos                        6                                                       /*!< PCA ISR: P3 Position                    */
#define PCA_ISR_P3_Msk                        (0x03UL << PCA_ISR_P3_Pos)                              /*!< PCA ISR: P3 Mask                        */
#define PCA_ISR_P4_Pos                        8                                                       /*!< PCA ISR: P4 Position                    */
#define PCA_ISR_P4_Msk                        (0x03UL << PCA_ISR_P4_Pos)                              /*!< PCA ISR: P4 Mask                        */
#define PCA_ISR_P5_Pos                        10                                                      /*!< PCA ISR: P5 Position                    */
#define PCA_ISR_P5_Msk                        (0x03UL << PCA_ISR_P5_Pos)                              /*!< PCA ISR: P5 Mask                        */
#define PCA_ISR_P6_Pos                        12                                                      /*!< PCA ISR: P6 Position                    */
#define PCA_ISR_P6_Msk                        (0x03UL << PCA_ISR_P6_Pos)                              /*!< PCA ISR: P6 Mask                        */
#define PCA_ISR_P7_Pos                        14                                                      /*!< PCA ISR: P7 Position                    */
#define PCA_ISR_P7_Msk                        (0x03UL << PCA_ISR_P7_Pos)                              /*!< PCA ISR: P7 Mask                        */
#define PCA_ISR_P8_Pos                        16                                                      /*!< PCA ISR: P8 Position                    */
#define PCA_ISR_P8_Msk                        (0x03UL << PCA_ISR_P8_Pos)                              /*!< PCA ISR: P8 Mask                        */
#define PCA_ISR_P9_Pos                        18                                                      /*!< PCA ISR: P9 Position                    */
#define PCA_ISR_P9_Msk                        (0x03UL << PCA_ISR_P9_Pos)                              /*!< PCA ISR: P9 Mask                        */
#define PCA_ISR_P10_Pos                       20                                                      /*!< PCA ISR: P10 Position                   */
#define PCA_ISR_P10_Msk                       (0x03UL << PCA_ISR_P10_Pos)                             /*!< PCA ISR: P10 Mask                       */
#define PCA_ISR_P11_Pos                       22                                                      /*!< PCA ISR: P11 Position                   */
#define PCA_ISR_P11_Msk                       (0x03UL << PCA_ISR_P11_Pos)                             /*!< PCA ISR: P11 Mask                       */
#define PCA_ISR_P12_Pos                       24                                                      /*!< PCA ISR: P12 Position                   */
#define PCA_ISR_P12_Msk                       (0x03UL << PCA_ISR_P12_Pos)                             /*!< PCA ISR: P12 Mask                       */
#define PCA_ISR_P13_Pos                       26                                                      /*!< PCA ISR: P13 Position                   */
#define PCA_ISR_P13_Msk                       (0x03UL << PCA_ISR_P13_Pos)                             /*!< PCA ISR: P13 Mask                       */
#define PCA_ISR_P14_Pos                       28                                                      /*!< PCA ISR: P14 Position                   */
#define PCA_ISR_P14_Msk                       (0x03UL << PCA_ISR_P14_Pos)                             /*!< PCA ISR: P14 Mask                       */
#define PCA_ISR_P15_Pos                       30                                                      /*!< PCA ISR: P15 Position                   */
#define PCA_ISR_P15_Msk                       (0x03UL << PCA_ISR_P15_Pos)                             /*!< PCA ISR: P15 Mask                       */

/* -----------------------------------  PCA_ICR  ---------------------------------- */
#define PCA_ICR_P0_Pos                        0                                                       /*!< PCA ICR: P0 Position                    */
#define PCA_ICR_P0_Msk                        (0x03UL << PCA_ICR_P0_Pos)                              /*!< PCA ICR: P0 Mask                        */
#define PCA_ICR_P1_Pos                        2                                                       /*!< PCA ICR: P1 Position                    */
#define PCA_ICR_P1_Msk                        (0x03UL << PCA_ICR_P1_Pos)                              /*!< PCA ICR: P1 Mask                        */
#define PCA_ICR_P2_Pos                        4                                                       /*!< PCA ICR: P2 Position                    */
#define PCA_ICR_P2_Msk                        (0x03UL << PCA_ICR_P2_Pos)                              /*!< PCA ICR: P2 Mask                        */
#define PCA_ICR_P3_Pos                        6                                                       /*!< PCA ICR: P3 Position                    */
#define PCA_ICR_P3_Msk                        (0x03UL << PCA_ICR_P3_Pos)                              /*!< PCA ICR: P3 Mask                        */
#define PCA_ICR_P4_Pos                        8                                                       /*!< PCA ICR: P4 Position                    */
#define PCA_ICR_P4_Msk                        (0x03UL << PCA_ICR_P4_Pos)                              /*!< PCA ICR: P4 Mask                        */
#define PCA_ICR_P5_Pos                        10                                                      /*!< PCA ICR: P5 Position                    */
#define PCA_ICR_P5_Msk                        (0x03UL << PCA_ICR_P5_Pos)                              /*!< PCA ICR: P5 Mask                        */
#define PCA_ICR_P6_Pos                        12                                                      /*!< PCA ICR: P6 Position                    */
#define PCA_ICR_P6_Msk                        (0x03UL << PCA_ICR_P6_Pos)                              /*!< PCA ICR: P6 Mask                        */
#define PCA_ICR_P7_Pos                        14                                                      /*!< PCA ICR: P7 Position                    */
#define PCA_ICR_P7_Msk                        (0x03UL << PCA_ICR_P7_Pos)                              /*!< PCA ICR: P7 Mask                        */
#define PCA_ICR_P8_Pos                        16                                                      /*!< PCA ICR: P8 Position                    */
#define PCA_ICR_P8_Msk                        (0x03UL << PCA_ICR_P8_Pos)                              /*!< PCA ICR: P8 Mask                        */
#define PCA_ICR_P9_Pos                        18                                                      /*!< PCA ICR: P9 Position                    */
#define PCA_ICR_P9_Msk                        (0x03UL << PCA_ICR_P9_Pos)                              /*!< PCA ICR: P9 Mask                        */
#define PCA_ICR_P10_Pos                       20                                                      /*!< PCA ICR: P10 Position                   */
#define PCA_ICR_P10_Msk                       (0x03UL << PCA_ICR_P10_Pos)                             /*!< PCA ICR: P10 Mask                       */
#define PCA_ICR_P11_Pos                       22                                                      /*!< PCA ICR: P11 Position                   */
#define PCA_ICR_P11_Msk                       (0x03UL << PCA_ICR_P11_Pos)                             /*!< PCA ICR: P11 Mask                       */
#define PCA_ICR_P12_Pos                       24                                                      /*!< PCA ICR: P12 Position                   */
#define PCA_ICR_P12_Msk                       (0x03UL << PCA_ICR_P12_Pos)                             /*!< PCA ICR: P12 Mask                       */
#define PCA_ICR_P13_Pos                       26                                                      /*!< PCA ICR: P13 Position                   */
#define PCA_ICR_P13_Msk                       (0x03UL << PCA_ICR_P13_Pos)                             /*!< PCA ICR: P13 Mask                       */
#define PCA_ICR_P14_Pos                       28                                                      /*!< PCA ICR: P14 Position                   */
#define PCA_ICR_P14_Msk                       (0x03UL << PCA_ICR_P14_Pos)                             /*!< PCA ICR: P14 Mask                       */
#define PCA_ICR_P15_Pos                       30                                                      /*!< PCA ICR: P15 Position                   */
#define PCA_ICR_P15_Msk                       (0x03UL << PCA_ICR_P15_Pos)                             /*!< PCA ICR: P15 Mask                       */


/* ================================================================================ */
/* ================          struct 'PCB' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PCB_MR  ----------------------------------- */
#define PCB_MR_P0_Pos                         0                                                       /*!< PCB MR: P0 Position                     */
#define PCB_MR_P0_Msk                         (0x03UL << PCB_MR_P0_Pos)                               /*!< PCB MR: P0 Mask                         */
#define PCB_MR_P1_Pos                         2                                                       /*!< PCB MR: P1 Position                     */
#define PCB_MR_P1_Msk                         (0x03UL << PCB_MR_P1_Pos)                               /*!< PCB MR: P1 Mask                         */
#define PCB_MR_P2_Pos                         4                                                       /*!< PCB MR: P2 Position                     */
#define PCB_MR_P2_Msk                         (0x03UL << PCB_MR_P2_Pos)                               /*!< PCB MR: P2 Mask                         */
#define PCB_MR_P3_Pos                         6                                                       /*!< PCB MR: P3 Position                     */
#define PCB_MR_P3_Msk                         (0x03UL << PCB_MR_P3_Pos)                               /*!< PCB MR: P3 Mask                         */
#define PCB_MR_P4_Pos                         8                                                       /*!< PCB MR: P4 Position                     */
#define PCB_MR_P4_Msk                         (0x03UL << PCB_MR_P4_Pos)                               /*!< PCB MR: P4 Mask                         */
#define PCB_MR_P5_Pos                         10                                                      /*!< PCB MR: P5 Position                     */
#define PCB_MR_P5_Msk                         (0x03UL << PCB_MR_P5_Pos)                               /*!< PCB MR: P5 Mask                         */
#define PCB_MR_P6_Pos                         12                                                      /*!< PCB MR: P6 Position                     */
#define PCB_MR_P6_Msk                         (0x03UL << PCB_MR_P6_Pos)                               /*!< PCB MR: P6 Mask                         */
#define PCB_MR_P7_Pos                         14                                                      /*!< PCB MR: P7 Position                     */
#define PCB_MR_P7_Msk                         (0x03UL << PCB_MR_P7_Pos)                               /*!< PCB MR: P7 Mask                         */
#define PCB_MR_P8_Pos                         16                                                      /*!< PCB MR: P8 Position                     */
#define PCB_MR_P8_Msk                         (0x03UL << PCB_MR_P8_Pos)                               /*!< PCB MR: P8 Mask                         */
#define PCB_MR_P9_Pos                         18                                                      /*!< PCB MR: P9 Position                     */
#define PCB_MR_P9_Msk                         (0x03UL << PCB_MR_P9_Pos)                               /*!< PCB MR: P9 Mask                         */
#define PCB_MR_P10_Pos                        20                                                      /*!< PCB MR: P10 Position                    */
#define PCB_MR_P10_Msk                        (0x03UL << PCB_MR_P10_Pos)                              /*!< PCB MR: P10 Mask                        */
#define PCB_MR_P11_Pos                        22                                                      /*!< PCB MR: P11 Position                    */
#define PCB_MR_P11_Msk                        (0x03UL << PCB_MR_P11_Pos)                              /*!< PCB MR: P11 Mask                        */
#define PCB_MR_P12_Pos                        24                                                      /*!< PCB MR: P12 Position                    */
#define PCB_MR_P12_Msk                        (0x03UL << PCB_MR_P12_Pos)                              /*!< PCB MR: P12 Mask                        */
#define PCB_MR_P13_Pos                        26                                                      /*!< PCB MR: P13 Position                    */
#define PCB_MR_P13_Msk                        (0x03UL << PCB_MR_P13_Pos)                              /*!< PCB MR: P13 Mask                        */
#define PCB_MR_P14_Pos                        28                                                      /*!< PCB MR: P14 Position                    */
#define PCB_MR_P14_Msk                        (0x03UL << PCB_MR_P14_Pos)                              /*!< PCB MR: P14 Mask                        */
#define PCB_MR_P15_Pos                        30                                                      /*!< PCB MR: P15 Position                    */
#define PCB_MR_P15_Msk                        (0x03UL << PCB_MR_P15_Pos)                              /*!< PCB MR: P15 Mask                        */

/* -----------------------------------  PCB_CR  ----------------------------------- */
#define PCB_CR_P0_Pos                         0                                                       /*!< PCB CR: P0 Position                     */
#define PCB_CR_P0_Msk                         (0x03UL << PCB_CR_P0_Pos)                               /*!< PCB CR: P0 Mask                         */
#define PCB_CR_P1_Pos                         2                                                       /*!< PCB CR: P1 Position                     */
#define PCB_CR_P1_Msk                         (0x03UL << PCB_CR_P1_Pos)                               /*!< PCB CR: P1 Mask                         */
#define PCB_CR_P2_Pos                         4                                                       /*!< PCB CR: P2 Position                     */
#define PCB_CR_P2_Msk                         (0x03UL << PCB_CR_P2_Pos)                               /*!< PCB CR: P2 Mask                         */
#define PCB_CR_P3_Pos                         6                                                       /*!< PCB CR: P3 Position                     */
#define PCB_CR_P3_Msk                         (0x03UL << PCB_CR_P3_Pos)                               /*!< PCB CR: P3 Mask                         */
#define PCB_CR_P4_Pos                         8                                                       /*!< PCB CR: P4 Position                     */
#define PCB_CR_P4_Msk                         (0x03UL << PCB_CR_P4_Pos)                               /*!< PCB CR: P4 Mask                         */
#define PCB_CR_P5_Pos                         10                                                      /*!< PCB CR: P5 Position                     */
#define PCB_CR_P5_Msk                         (0x03UL << PCB_CR_P5_Pos)                               /*!< PCB CR: P5 Mask                         */
#define PCB_CR_P6_Pos                         12                                                      /*!< PCB CR: P6 Position                     */
#define PCB_CR_P6_Msk                         (0x03UL << PCB_CR_P6_Pos)                               /*!< PCB CR: P6 Mask                         */
#define PCB_CR_P7_Pos                         14                                                      /*!< PCB CR: P7 Position                     */
#define PCB_CR_P7_Msk                         (0x03UL << PCB_CR_P7_Pos)                               /*!< PCB CR: P7 Mask                         */
#define PCB_CR_P8_Pos                         16                                                      /*!< PCB CR: P8 Position                     */
#define PCB_CR_P8_Msk                         (0x03UL << PCB_CR_P8_Pos)                               /*!< PCB CR: P8 Mask                         */
#define PCB_CR_P9_Pos                         18                                                      /*!< PCB CR: P9 Position                     */
#define PCB_CR_P9_Msk                         (0x03UL << PCB_CR_P9_Pos)                               /*!< PCB CR: P9 Mask                         */
#define PCB_CR_P10_Pos                        20                                                      /*!< PCB CR: P10 Position                    */
#define PCB_CR_P10_Msk                        (0x03UL << PCB_CR_P10_Pos)                              /*!< PCB CR: P10 Mask                        */
#define PCB_CR_P11_Pos                        22                                                      /*!< PCB CR: P11 Position                    */
#define PCB_CR_P11_Msk                        (0x03UL << PCB_CR_P11_Pos)                              /*!< PCB CR: P11 Mask                        */
#define PCB_CR_P12_Pos                        24                                                      /*!< PCB CR: P12 Position                    */
#define PCB_CR_P12_Msk                        (0x03UL << PCB_CR_P12_Pos)                              /*!< PCB CR: P12 Mask                        */
#define PCB_CR_P13_Pos                        26                                                      /*!< PCB CR: P13 Position                    */
#define PCB_CR_P13_Msk                        (0x03UL << PCB_CR_P13_Pos)                              /*!< PCB CR: P13 Mask                        */
#define PCB_CR_P14_Pos                        28                                                      /*!< PCB CR: P14 Position                    */
#define PCB_CR_P14_Msk                        (0x03UL << PCB_CR_P14_Pos)                              /*!< PCB CR: P14 Mask                        */
#define PCB_CR_P15_Pos                        30                                                      /*!< PCB CR: P15 Position                    */
#define PCB_CR_P15_Msk                        (0x03UL << PCB_CR_P15_Pos)                              /*!< PCB CR: P15 Mask                        */

/* -----------------------------------  PCB_PCR  ---------------------------------- */
#define PCB_PCR_P0_Pos                        0                                                       /*!< PCB PCR: P0 Position                    */
#define PCB_PCR_P0_Msk                        (0x01UL << PCB_PCR_P0_Pos)                              /*!< PCB PCR: P0 Mask                        */
#define PCB_PCR_P1_Pos                        1                                                       /*!< PCB PCR: P1 Position                    */
#define PCB_PCR_P1_Msk                        (0x01UL << PCB_PCR_P1_Pos)                              /*!< PCB PCR: P1 Mask                        */
#define PCB_PCR_P2_Pos                        2                                                       /*!< PCB PCR: P2 Position                    */
#define PCB_PCR_P2_Msk                        (0x01UL << PCB_PCR_P2_Pos)                              /*!< PCB PCR: P2 Mask                        */
#define PCB_PCR_P3_Pos                        3                                                       /*!< PCB PCR: P3 Position                    */
#define PCB_PCR_P3_Msk                        (0x01UL << PCB_PCR_P3_Pos)                              /*!< PCB PCR: P3 Mask                        */
#define PCB_PCR_P4_Pos                        4                                                       /*!< PCB PCR: P4 Position                    */
#define PCB_PCR_P4_Msk                        (0x01UL << PCB_PCR_P4_Pos)                              /*!< PCB PCR: P4 Mask                        */
#define PCB_PCR_P5_Pos                        5                                                       /*!< PCB PCR: P5 Position                    */
#define PCB_PCR_P5_Msk                        (0x01UL << PCB_PCR_P5_Pos)                              /*!< PCB PCR: P5 Mask                        */
#define PCB_PCR_P6_Pos                        6                                                       /*!< PCB PCR: P6 Position                    */
#define PCB_PCR_P6_Msk                        (0x01UL << PCB_PCR_P6_Pos)                              /*!< PCB PCR: P6 Mask                        */
#define PCB_PCR_P7_Pos                        7                                                       /*!< PCB PCR: P7 Position                    */
#define PCB_PCR_P7_Msk                        (0x01UL << PCB_PCR_P7_Pos)                              /*!< PCB PCR: P7 Mask                        */
#define PCB_PCR_P8_Pos                        8                                                       /*!< PCB PCR: P8 Position                    */
#define PCB_PCR_P8_Msk                        (0x01UL << PCB_PCR_P8_Pos)                              /*!< PCB PCR: P8 Mask                        */
#define PCB_PCR_P9_Pos                        9                                                       /*!< PCB PCR: P9 Position                    */
#define PCB_PCR_P9_Msk                        (0x01UL << PCB_PCR_P9_Pos)                              /*!< PCB PCR: P9 Mask                        */
#define PCB_PCR_P10_Pos                       10                                                      /*!< PCB PCR: P10 Position                   */
#define PCB_PCR_P10_Msk                       (0x01UL << PCB_PCR_P10_Pos)                             /*!< PCB PCR: P10 Mask                       */
#define PCB_PCR_P11_Pos                       11                                                      /*!< PCB PCR: P11 Position                   */
#define PCB_PCR_P11_Msk                       (0x01UL << PCB_PCR_P11_Pos)                             /*!< PCB PCR: P11 Mask                       */
#define PCB_PCR_P12_Pos                       12                                                      /*!< PCB PCR: P12 Position                   */
#define PCB_PCR_P12_Msk                       (0x01UL << PCB_PCR_P12_Pos)                             /*!< PCB PCR: P12 Mask                       */
#define PCB_PCR_P13_Pos                       13                                                      /*!< PCB PCR: P13 Position                   */
#define PCB_PCR_P13_Msk                       (0x01UL << PCB_PCR_P13_Pos)                             /*!< PCB PCR: P13 Mask                       */
#define PCB_PCR_P14_Pos                       14                                                      /*!< PCB PCR: P14 Position                   */
#define PCB_PCR_P14_Msk                       (0x01UL << PCB_PCR_P14_Pos)                             /*!< PCB PCR: P14 Mask                       */
#define PCB_PCR_P15_Pos                       15                                                      /*!< PCB PCR: P15 Position                   */
#define PCB_PCR_P15_Msk                       (0x01UL << PCB_PCR_P15_Pos)                             /*!< PCB PCR: P15 Mask                       */

/* -----------------------------------  PCB_DER  ---------------------------------- */
#define PCB_DER_P0_Pos                        0                                                       /*!< PCB DER: P0 Position                    */
#define PCB_DER_P0_Msk                        (0x01UL << PCB_DER_P0_Pos)                              /*!< PCB DER: P0 Mask                        */
#define PCB_DER_P1_Pos                        1                                                       /*!< PCB DER: P1 Position                    */
#define PCB_DER_P1_Msk                        (0x01UL << PCB_DER_P1_Pos)                              /*!< PCB DER: P1 Mask                        */
#define PCB_DER_P2_Pos                        2                                                       /*!< PCB DER: P2 Position                    */
#define PCB_DER_P2_Msk                        (0x01UL << PCB_DER_P2_Pos)                              /*!< PCB DER: P2 Mask                        */
#define PCB_DER_P3_Pos                        3                                                       /*!< PCB DER: P3 Position                    */
#define PCB_DER_P3_Msk                        (0x01UL << PCB_DER_P3_Pos)                              /*!< PCB DER: P3 Mask                        */
#define PCB_DER_P4_Pos                        4                                                       /*!< PCB DER: P4 Position                    */
#define PCB_DER_P4_Msk                        (0x01UL << PCB_DER_P4_Pos)                              /*!< PCB DER: P4 Mask                        */
#define PCB_DER_P5_Pos                        5                                                       /*!< PCB DER: P5 Position                    */
#define PCB_DER_P5_Msk                        (0x01UL << PCB_DER_P5_Pos)                              /*!< PCB DER: P5 Mask                        */
#define PCB_DER_P6_Pos                        6                                                       /*!< PCB DER: P6 Position                    */
#define PCB_DER_P6_Msk                        (0x01UL << PCB_DER_P6_Pos)                              /*!< PCB DER: P6 Mask                        */
#define PCB_DER_P7_Pos                        7                                                       /*!< PCB DER: P7 Position                    */
#define PCB_DER_P7_Msk                        (0x01UL << PCB_DER_P7_Pos)                              /*!< PCB DER: P7 Mask                        */
#define PCB_DER_P8_Pos                        8                                                       /*!< PCB DER: P8 Position                    */
#define PCB_DER_P8_Msk                        (0x01UL << PCB_DER_P8_Pos)                              /*!< PCB DER: P8 Mask                        */
#define PCB_DER_P9_Pos                        9                                                       /*!< PCB DER: P9 Position                    */
#define PCB_DER_P9_Msk                        (0x01UL << PCB_DER_P9_Pos)                              /*!< PCB DER: P9 Mask                        */
#define PCB_DER_P10_Pos                       10                                                      /*!< PCB DER: P10 Position                   */
#define PCB_DER_P10_Msk                       (0x01UL << PCB_DER_P10_Pos)                             /*!< PCB DER: P10 Mask                       */
#define PCB_DER_P11_Pos                       11                                                      /*!< PCB DER: P11 Position                   */
#define PCB_DER_P11_Msk                       (0x01UL << PCB_DER_P11_Pos)                             /*!< PCB DER: P11 Mask                       */
#define PCB_DER_P12_Pos                       12                                                      /*!< PCB DER: P12 Position                   */
#define PCB_DER_P12_Msk                       (0x01UL << PCB_DER_P12_Pos)                             /*!< PCB DER: P12 Mask                       */
#define PCB_DER_P13_Pos                       13                                                      /*!< PCB DER: P13 Position                   */
#define PCB_DER_P13_Msk                       (0x01UL << PCB_DER_P13_Pos)                             /*!< PCB DER: P13 Mask                       */
#define PCB_DER_P14_Pos                       14                                                      /*!< PCB DER: P14 Position                   */
#define PCB_DER_P14_Msk                       (0x01UL << PCB_DER_P14_Pos)                             /*!< PCB DER: P14 Mask                       */
#define PCB_DER_P15_Pos                       15                                                      /*!< PCB DER: P15 Position                   */
#define PCB_DER_P15_Msk                       (0x01UL << PCB_DER_P15_Pos)                             /*!< PCB DER: P15 Mask                       */

/* -----------------------------------  PCB_IER  ---------------------------------- */
#define PCB_IER_P0_Pos                        0                                                       /*!< PCB IER: P0 Position                    */
#define PCB_IER_P0_Msk                        (0x03UL << PCB_IER_P0_Pos)                              /*!< PCB IER: P0 Mask                        */
#define PCB_IER_P1_Pos                        2                                                       /*!< PCB IER: P1 Position                    */
#define PCB_IER_P1_Msk                        (0x03UL << PCB_IER_P1_Pos)                              /*!< PCB IER: P1 Mask                        */
#define PCB_IER_P2_Pos                        4                                                       /*!< PCB IER: P2 Position                    */
#define PCB_IER_P2_Msk                        (0x03UL << PCB_IER_P2_Pos)                              /*!< PCB IER: P2 Mask                        */
#define PCB_IER_P3_Pos                        6                                                       /*!< PCB IER: P3 Position                    */
#define PCB_IER_P3_Msk                        (0x03UL << PCB_IER_P3_Pos)                              /*!< PCB IER: P3 Mask                        */
#define PCB_IER_P4_Pos                        8                                                       /*!< PCB IER: P4 Position                    */
#define PCB_IER_P4_Msk                        (0x03UL << PCB_IER_P4_Pos)                              /*!< PCB IER: P4 Mask                        */
#define PCB_IER_P5_Pos                        10                                                      /*!< PCB IER: P5 Position                    */
#define PCB_IER_P5_Msk                        (0x03UL << PCB_IER_P5_Pos)                              /*!< PCB IER: P5 Mask                        */
#define PCB_IER_P6_Pos                        12                                                      /*!< PCB IER: P6 Position                    */
#define PCB_IER_P6_Msk                        (0x03UL << PCB_IER_P6_Pos)                              /*!< PCB IER: P6 Mask                        */
#define PCB_IER_P7_Pos                        14                                                      /*!< PCB IER: P7 Position                    */
#define PCB_IER_P7_Msk                        (0x03UL << PCB_IER_P7_Pos)                              /*!< PCB IER: P7 Mask                        */
#define PCB_IER_P8_Pos                        16                                                      /*!< PCB IER: P8 Position                    */
#define PCB_IER_P8_Msk                        (0x03UL << PCB_IER_P8_Pos)                              /*!< PCB IER: P8 Mask                        */
#define PCB_IER_P9_Pos                        18                                                      /*!< PCB IER: P9 Position                    */
#define PCB_IER_P9_Msk                        (0x03UL << PCB_IER_P9_Pos)                              /*!< PCB IER: P9 Mask                        */
#define PCB_IER_P10_Pos                       20                                                      /*!< PCB IER: P10 Position                   */
#define PCB_IER_P10_Msk                       (0x03UL << PCB_IER_P10_Pos)                             /*!< PCB IER: P10 Mask                       */
#define PCB_IER_P11_Pos                       22                                                      /*!< PCB IER: P11 Position                   */
#define PCB_IER_P11_Msk                       (0x03UL << PCB_IER_P11_Pos)                             /*!< PCB IER: P11 Mask                       */
#define PCB_IER_P12_Pos                       24                                                      /*!< PCB IER: P12 Position                   */
#define PCB_IER_P12_Msk                       (0x03UL << PCB_IER_P12_Pos)                             /*!< PCB IER: P12 Mask                       */
#define PCB_IER_P13_Pos                       26                                                      /*!< PCB IER: P13 Position                   */
#define PCB_IER_P13_Msk                       (0x03UL << PCB_IER_P13_Pos)                             /*!< PCB IER: P13 Mask                       */
#define PCB_IER_P14_Pos                       28                                                      /*!< PCB IER: P14 Position                   */
#define PCB_IER_P14_Msk                       (0x03UL << PCB_IER_P14_Pos)                             /*!< PCB IER: P14 Mask                       */
#define PCB_IER_P15_Pos                       30                                                      /*!< PCB IER: P15 Position                   */
#define PCB_IER_P15_Msk                       (0x03UL << PCB_IER_P15_Pos)                             /*!< PCB IER: P15 Mask                       */

/* -----------------------------------  PCB_ISR  ---------------------------------- */
#define PCB_ISR_P0_Pos                        0                                                       /*!< PCB ISR: P0 Position                    */
#define PCB_ISR_P0_Msk                        (0x03UL << PCB_ISR_P0_Pos)                              /*!< PCB ISR: P0 Mask                        */
#define PCB_ISR_P1_Pos                        2                                                       /*!< PCB ISR: P1 Position                    */
#define PCB_ISR_P1_Msk                        (0x03UL << PCB_ISR_P1_Pos)                              /*!< PCB ISR: P1 Mask                        */
#define PCB_ISR_P2_Pos                        4                                                       /*!< PCB ISR: P2 Position                    */
#define PCB_ISR_P2_Msk                        (0x03UL << PCB_ISR_P2_Pos)                              /*!< PCB ISR: P2 Mask                        */
#define PCB_ISR_P3_Pos                        6                                                       /*!< PCB ISR: P3 Position                    */
#define PCB_ISR_P3_Msk                        (0x03UL << PCB_ISR_P3_Pos)                              /*!< PCB ISR: P3 Mask                        */
#define PCB_ISR_P4_Pos                        8                                                       /*!< PCB ISR: P4 Position                    */
#define PCB_ISR_P4_Msk                        (0x03UL << PCB_ISR_P4_Pos)                              /*!< PCB ISR: P4 Mask                        */
#define PCB_ISR_P5_Pos                        10                                                      /*!< PCB ISR: P5 Position                    */
#define PCB_ISR_P5_Msk                        (0x03UL << PCB_ISR_P5_Pos)                              /*!< PCB ISR: P5 Mask                        */
#define PCB_ISR_P6_Pos                        12                                                      /*!< PCB ISR: P6 Position                    */
#define PCB_ISR_P6_Msk                        (0x03UL << PCB_ISR_P6_Pos)                              /*!< PCB ISR: P6 Mask                        */
#define PCB_ISR_P7_Pos                        14                                                      /*!< PCB ISR: P7 Position                    */
#define PCB_ISR_P7_Msk                        (0x03UL << PCB_ISR_P7_Pos)                              /*!< PCB ISR: P7 Mask                        */
#define PCB_ISR_P8_Pos                        16                                                      /*!< PCB ISR: P8 Position                    */
#define PCB_ISR_P8_Msk                        (0x03UL << PCB_ISR_P8_Pos)                              /*!< PCB ISR: P8 Mask                        */
#define PCB_ISR_P9_Pos                        18                                                      /*!< PCB ISR: P9 Position                    */
#define PCB_ISR_P9_Msk                        (0x03UL << PCB_ISR_P9_Pos)                              /*!< PCB ISR: P9 Mask                        */
#define PCB_ISR_P10_Pos                       20                                                      /*!< PCB ISR: P10 Position                   */
#define PCB_ISR_P10_Msk                       (0x03UL << PCB_ISR_P10_Pos)                             /*!< PCB ISR: P10 Mask                       */
#define PCB_ISR_P11_Pos                       22                                                      /*!< PCB ISR: P11 Position                   */
#define PCB_ISR_P11_Msk                       (0x03UL << PCB_ISR_P11_Pos)                             /*!< PCB ISR: P11 Mask                       */
#define PCB_ISR_P12_Pos                       24                                                      /*!< PCB ISR: P12 Position                   */
#define PCB_ISR_P12_Msk                       (0x03UL << PCB_ISR_P12_Pos)                             /*!< PCB ISR: P12 Mask                       */
#define PCB_ISR_P13_Pos                       26                                                      /*!< PCB ISR: P13 Position                   */
#define PCB_ISR_P13_Msk                       (0x03UL << PCB_ISR_P13_Pos)                             /*!< PCB ISR: P13 Mask                       */
#define PCB_ISR_P14_Pos                       28                                                      /*!< PCB ISR: P14 Position                   */
#define PCB_ISR_P14_Msk                       (0x03UL << PCB_ISR_P14_Pos)                             /*!< PCB ISR: P14 Mask                       */
#define PCB_ISR_P15_Pos                       30                                                      /*!< PCB ISR: P15 Position                   */
#define PCB_ISR_P15_Msk                       (0x03UL << PCB_ISR_P15_Pos)                             /*!< PCB ISR: P15 Mask                       */

/* -----------------------------------  PCB_ICR  ---------------------------------- */
#define PCB_ICR_P0_Pos                        0                                                       /*!< PCB ICR: P0 Position                    */
#define PCB_ICR_P0_Msk                        (0x03UL << PCB_ICR_P0_Pos)                              /*!< PCB ICR: P0 Mask                        */
#define PCB_ICR_P1_Pos                        2                                                       /*!< PCB ICR: P1 Position                    */
#define PCB_ICR_P1_Msk                        (0x03UL << PCB_ICR_P1_Pos)                              /*!< PCB ICR: P1 Mask                        */
#define PCB_ICR_P2_Pos                        4                                                       /*!< PCB ICR: P2 Position                    */
#define PCB_ICR_P2_Msk                        (0x03UL << PCB_ICR_P2_Pos)                              /*!< PCB ICR: P2 Mask                        */
#define PCB_ICR_P3_Pos                        6                                                       /*!< PCB ICR: P3 Position                    */
#define PCB_ICR_P3_Msk                        (0x03UL << PCB_ICR_P3_Pos)                              /*!< PCB ICR: P3 Mask                        */
#define PCB_ICR_P4_Pos                        8                                                       /*!< PCB ICR: P4 Position                    */
#define PCB_ICR_P4_Msk                        (0x03UL << PCB_ICR_P4_Pos)                              /*!< PCB ICR: P4 Mask                        */
#define PCB_ICR_P5_Pos                        10                                                      /*!< PCB ICR: P5 Position                    */
#define PCB_ICR_P5_Msk                        (0x03UL << PCB_ICR_P5_Pos)                              /*!< PCB ICR: P5 Mask                        */
#define PCB_ICR_P6_Pos                        12                                                      /*!< PCB ICR: P6 Position                    */
#define PCB_ICR_P6_Msk                        (0x03UL << PCB_ICR_P6_Pos)                              /*!< PCB ICR: P6 Mask                        */
#define PCB_ICR_P7_Pos                        14                                                      /*!< PCB ICR: P7 Position                    */
#define PCB_ICR_P7_Msk                        (0x03UL << PCB_ICR_P7_Pos)                              /*!< PCB ICR: P7 Mask                        */
#define PCB_ICR_P8_Pos                        16                                                      /*!< PCB ICR: P8 Position                    */
#define PCB_ICR_P8_Msk                        (0x03UL << PCB_ICR_P8_Pos)                              /*!< PCB ICR: P8 Mask                        */
#define PCB_ICR_P9_Pos                        18                                                      /*!< PCB ICR: P9 Position                    */
#define PCB_ICR_P9_Msk                        (0x03UL << PCB_ICR_P9_Pos)                              /*!< PCB ICR: P9 Mask                        */
#define PCB_ICR_P10_Pos                       20                                                      /*!< PCB ICR: P10 Position                   */
#define PCB_ICR_P10_Msk                       (0x03UL << PCB_ICR_P10_Pos)                             /*!< PCB ICR: P10 Mask                       */
#define PCB_ICR_P11_Pos                       22                                                      /*!< PCB ICR: P11 Position                   */
#define PCB_ICR_P11_Msk                       (0x03UL << PCB_ICR_P11_Pos)                             /*!< PCB ICR: P11 Mask                       */
#define PCB_ICR_P12_Pos                       24                                                      /*!< PCB ICR: P12 Position                   */
#define PCB_ICR_P12_Msk                       (0x03UL << PCB_ICR_P12_Pos)                             /*!< PCB ICR: P12 Mask                       */
#define PCB_ICR_P13_Pos                       26                                                      /*!< PCB ICR: P13 Position                   */
#define PCB_ICR_P13_Msk                       (0x03UL << PCB_ICR_P13_Pos)                             /*!< PCB ICR: P13 Mask                       */
#define PCB_ICR_P14_Pos                       28                                                      /*!< PCB ICR: P14 Position                   */
#define PCB_ICR_P14_Msk                       (0x03UL << PCB_ICR_P14_Pos)                             /*!< PCB ICR: P14 Mask                       */
#define PCB_ICR_P15_Pos                       30                                                      /*!< PCB ICR: P15 Position                   */
#define PCB_ICR_P15_Msk                       (0x03UL << PCB_ICR_P15_Pos)                             /*!< PCB ICR: P15 Mask                       */


/* ================================================================================ */
/* ================          struct 'PCC' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PCC_MR  ----------------------------------- */
#define PCC_MR_P0_Pos                         0                                                       /*!< PCC MR: P0 Position                     */
#define PCC_MR_P0_Msk                         (0x03UL << PCC_MR_P0_Pos)                               /*!< PCC MR: P0 Mask                         */
#define PCC_MR_P1_Pos                         2                                                       /*!< PCC MR: P1 Position                     */
#define PCC_MR_P1_Msk                         (0x03UL << PCC_MR_P1_Pos)                               /*!< PCC MR: P1 Mask                         */
#define PCC_MR_P2_Pos                         4                                                       /*!< PCC MR: P2 Position                     */
#define PCC_MR_P2_Msk                         (0x03UL << PCC_MR_P2_Pos)                               /*!< PCC MR: P2 Mask                         */
#define PCC_MR_P3_Pos                         6                                                       /*!< PCC MR: P3 Position                     */
#define PCC_MR_P3_Msk                         (0x03UL << PCC_MR_P3_Pos)                               /*!< PCC MR: P3 Mask                         */
#define PCC_MR_P4_Pos                         8                                                       /*!< PCC MR: P4 Position                     */
#define PCC_MR_P4_Msk                         (0x03UL << PCC_MR_P4_Pos)                               /*!< PCC MR: P4 Mask                         */
#define PCC_MR_P5_Pos                         10                                                      /*!< PCC MR: P5 Position                     */
#define PCC_MR_P5_Msk                         (0x03UL << PCC_MR_P5_Pos)                               /*!< PCC MR: P5 Mask                         */
#define PCC_MR_P6_Pos                         12                                                      /*!< PCC MR: P6 Position                     */
#define PCC_MR_P6_Msk                         (0x03UL << PCC_MR_P6_Pos)                               /*!< PCC MR: P6 Mask                         */
#define PCC_MR_P7_Pos                         14                                                      /*!< PCC MR: P7 Position                     */
#define PCC_MR_P7_Msk                         (0x03UL << PCC_MR_P7_Pos)                               /*!< PCC MR: P7 Mask                         */
#define PCC_MR_P8_Pos                         16                                                      /*!< PCC MR: P8 Position                     */
#define PCC_MR_P8_Msk                         (0x03UL << PCC_MR_P8_Pos)                               /*!< PCC MR: P8 Mask                         */
#define PCC_MR_P9_Pos                         18                                                      /*!< PCC MR: P9 Position                     */
#define PCC_MR_P9_Msk                         (0x03UL << PCC_MR_P9_Pos)                               /*!< PCC MR: P9 Mask                         */
#define PCC_MR_P10_Pos                        20                                                      /*!< PCC MR: P10 Position                    */
#define PCC_MR_P10_Msk                        (0x03UL << PCC_MR_P10_Pos)                              /*!< PCC MR: P10 Mask                        */
#define PCC_MR_P11_Pos                        22                                                      /*!< PCC MR: P11 Position                    */
#define PCC_MR_P11_Msk                        (0x03UL << PCC_MR_P11_Pos)                              /*!< PCC MR: P11 Mask                        */
#define PCC_MR_P12_Pos                        24                                                      /*!< PCC MR: P12 Position                    */
#define PCC_MR_P12_Msk                        (0x03UL << PCC_MR_P12_Pos)                              /*!< PCC MR: P12 Mask                        */
#define PCC_MR_P13_Pos                        26                                                      /*!< PCC MR: P13 Position                    */
#define PCC_MR_P13_Msk                        (0x03UL << PCC_MR_P13_Pos)                              /*!< PCC MR: P13 Mask                        */
#define PCC_MR_P14_Pos                        28                                                      /*!< PCC MR: P14 Position                    */
#define PCC_MR_P14_Msk                        (0x03UL << PCC_MR_P14_Pos)                              /*!< PCC MR: P14 Mask                        */
#define PCC_MR_P15_Pos                        30                                                      /*!< PCC MR: P15 Position                    */
#define PCC_MR_P15_Msk                        (0x03UL << PCC_MR_P15_Pos)                              /*!< PCC MR: P15 Mask                        */

/* -----------------------------------  PCC_CR  ----------------------------------- */
#define PCC_CR_P0_Pos                         0                                                       /*!< PCC CR: P0 Position                     */
#define PCC_CR_P0_Msk                         (0x03UL << PCC_CR_P0_Pos)                               /*!< PCC CR: P0 Mask                         */
#define PCC_CR_P1_Pos                         2                                                       /*!< PCC CR: P1 Position                     */
#define PCC_CR_P1_Msk                         (0x03UL << PCC_CR_P1_Pos)                               /*!< PCC CR: P1 Mask                         */
#define PCC_CR_P2_Pos                         4                                                       /*!< PCC CR: P2 Position                     */
#define PCC_CR_P2_Msk                         (0x03UL << PCC_CR_P2_Pos)                               /*!< PCC CR: P2 Mask                         */
#define PCC_CR_P3_Pos                         6                                                       /*!< PCC CR: P3 Position                     */
#define PCC_CR_P3_Msk                         (0x03UL << PCC_CR_P3_Pos)                               /*!< PCC CR: P3 Mask                         */
#define PCC_CR_P4_Pos                         8                                                       /*!< PCC CR: P4 Position                     */
#define PCC_CR_P4_Msk                         (0x03UL << PCC_CR_P4_Pos)                               /*!< PCC CR: P4 Mask                         */
#define PCC_CR_P5_Pos                         10                                                      /*!< PCC CR: P5 Position                     */
#define PCC_CR_P5_Msk                         (0x03UL << PCC_CR_P5_Pos)                               /*!< PCC CR: P5 Mask                         */
#define PCC_CR_P6_Pos                         12                                                      /*!< PCC CR: P6 Position                     */
#define PCC_CR_P6_Msk                         (0x03UL << PCC_CR_P6_Pos)                               /*!< PCC CR: P6 Mask                         */
#define PCC_CR_P7_Pos                         14                                                      /*!< PCC CR: P7 Position                     */
#define PCC_CR_P7_Msk                         (0x03UL << PCC_CR_P7_Pos)                               /*!< PCC CR: P7 Mask                         */
#define PCC_CR_P8_Pos                         16                                                      /*!< PCC CR: P8 Position                     */
#define PCC_CR_P8_Msk                         (0x03UL << PCC_CR_P8_Pos)                               /*!< PCC CR: P8 Mask                         */
#define PCC_CR_P9_Pos                         18                                                      /*!< PCC CR: P9 Position                     */
#define PCC_CR_P9_Msk                         (0x03UL << PCC_CR_P9_Pos)                               /*!< PCC CR: P9 Mask                         */
#define PCC_CR_P10_Pos                        20                                                      /*!< PCC CR: P10 Position                    */
#define PCC_CR_P10_Msk                        (0x03UL << PCC_CR_P10_Pos)                              /*!< PCC CR: P10 Mask                        */
#define PCC_CR_P11_Pos                        22                                                      /*!< PCC CR: P11 Position                    */
#define PCC_CR_P11_Msk                        (0x03UL << PCC_CR_P11_Pos)                              /*!< PCC CR: P11 Mask                        */
#define PCC_CR_P12_Pos                        24                                                      /*!< PCC CR: P12 Position                    */
#define PCC_CR_P12_Msk                        (0x03UL << PCC_CR_P12_Pos)                              /*!< PCC CR: P12 Mask                        */
#define PCC_CR_P13_Pos                        26                                                      /*!< PCC CR: P13 Position                    */
#define PCC_CR_P13_Msk                        (0x03UL << PCC_CR_P13_Pos)                              /*!< PCC CR: P13 Mask                        */
#define PCC_CR_P14_Pos                        28                                                      /*!< PCC CR: P14 Position                    */
#define PCC_CR_P14_Msk                        (0x03UL << PCC_CR_P14_Pos)                              /*!< PCC CR: P14 Mask                        */
#define PCC_CR_P15_Pos                        30                                                      /*!< PCC CR: P15 Position                    */
#define PCC_CR_P15_Msk                        (0x03UL << PCC_CR_P15_Pos)                              /*!< PCC CR: P15 Mask                        */

/* -----------------------------------  PCC_PCR  ---------------------------------- */
#define PCC_PCR_P0_Pos                        0                                                       /*!< PCC PCR: P0 Position                    */
#define PCC_PCR_P0_Msk                        (0x01UL << PCC_PCR_P0_Pos)                              /*!< PCC PCR: P0 Mask                        */
#define PCC_PCR_P1_Pos                        1                                                       /*!< PCC PCR: P1 Position                    */
#define PCC_PCR_P1_Msk                        (0x01UL << PCC_PCR_P1_Pos)                              /*!< PCC PCR: P1 Mask                        */
#define PCC_PCR_P2_Pos                        2                                                       /*!< PCC PCR: P2 Position                    */
#define PCC_PCR_P2_Msk                        (0x01UL << PCC_PCR_P2_Pos)                              /*!< PCC PCR: P2 Mask                        */
#define PCC_PCR_P3_Pos                        3                                                       /*!< PCC PCR: P3 Position                    */
#define PCC_PCR_P3_Msk                        (0x01UL << PCC_PCR_P3_Pos)                              /*!< PCC PCR: P3 Mask                        */
#define PCC_PCR_P4_Pos                        4                                                       /*!< PCC PCR: P4 Position                    */
#define PCC_PCR_P4_Msk                        (0x01UL << PCC_PCR_P4_Pos)                              /*!< PCC PCR: P4 Mask                        */
#define PCC_PCR_P5_Pos                        5                                                       /*!< PCC PCR: P5 Position                    */
#define PCC_PCR_P5_Msk                        (0x01UL << PCC_PCR_P5_Pos)                              /*!< PCC PCR: P5 Mask                        */
#define PCC_PCR_P6_Pos                        6                                                       /*!< PCC PCR: P6 Position                    */
#define PCC_PCR_P6_Msk                        (0x01UL << PCC_PCR_P6_Pos)                              /*!< PCC PCR: P6 Mask                        */
#define PCC_PCR_P7_Pos                        7                                                       /*!< PCC PCR: P7 Position                    */
#define PCC_PCR_P7_Msk                        (0x01UL << PCC_PCR_P7_Pos)                              /*!< PCC PCR: P7 Mask                        */
#define PCC_PCR_P8_Pos                        8                                                       /*!< PCC PCR: P8 Position                    */
#define PCC_PCR_P8_Msk                        (0x01UL << PCC_PCR_P8_Pos)                              /*!< PCC PCR: P8 Mask                        */
#define PCC_PCR_P9_Pos                        9                                                       /*!< PCC PCR: P9 Position                    */
#define PCC_PCR_P9_Msk                        (0x01UL << PCC_PCR_P9_Pos)                              /*!< PCC PCR: P9 Mask                        */
#define PCC_PCR_P10_Pos                       10                                                      /*!< PCC PCR: P10 Position                   */
#define PCC_PCR_P10_Msk                       (0x01UL << PCC_PCR_P10_Pos)                             /*!< PCC PCR: P10 Mask                       */
#define PCC_PCR_P11_Pos                       11                                                      /*!< PCC PCR: P11 Position                   */
#define PCC_PCR_P11_Msk                       (0x01UL << PCC_PCR_P11_Pos)                             /*!< PCC PCR: P11 Mask                       */
#define PCC_PCR_P12_Pos                       12                                                      /*!< PCC PCR: P12 Position                   */
#define PCC_PCR_P12_Msk                       (0x01UL << PCC_PCR_P12_Pos)                             /*!< PCC PCR: P12 Mask                       */
#define PCC_PCR_P13_Pos                       13                                                      /*!< PCC PCR: P13 Position                   */
#define PCC_PCR_P13_Msk                       (0x01UL << PCC_PCR_P13_Pos)                             /*!< PCC PCR: P13 Mask                       */
#define PCC_PCR_P14_Pos                       14                                                      /*!< PCC PCR: P14 Position                   */
#define PCC_PCR_P14_Msk                       (0x01UL << PCC_PCR_P14_Pos)                             /*!< PCC PCR: P14 Mask                       */
#define PCC_PCR_P15_Pos                       15                                                      /*!< PCC PCR: P15 Position                   */
#define PCC_PCR_P15_Msk                       (0x01UL << PCC_PCR_P15_Pos)                             /*!< PCC PCR: P15 Mask                       */

/* -----------------------------------  PCC_DER  ---------------------------------- */
#define PCC_DER_P0_Pos                        0                                                       /*!< PCC DER: P0 Position                    */
#define PCC_DER_P0_Msk                        (0x01UL << PCC_DER_P0_Pos)                              /*!< PCC DER: P0 Mask                        */
#define PCC_DER_P1_Pos                        1                                                       /*!< PCC DER: P1 Position                    */
#define PCC_DER_P1_Msk                        (0x01UL << PCC_DER_P1_Pos)                              /*!< PCC DER: P1 Mask                        */
#define PCC_DER_P2_Pos                        2                                                       /*!< PCC DER: P2 Position                    */
#define PCC_DER_P2_Msk                        (0x01UL << PCC_DER_P2_Pos)                              /*!< PCC DER: P2 Mask                        */
#define PCC_DER_P3_Pos                        3                                                       /*!< PCC DER: P3 Position                    */
#define PCC_DER_P3_Msk                        (0x01UL << PCC_DER_P3_Pos)                              /*!< PCC DER: P3 Mask                        */
#define PCC_DER_P4_Pos                        4                                                       /*!< PCC DER: P4 Position                    */
#define PCC_DER_P4_Msk                        (0x01UL << PCC_DER_P4_Pos)                              /*!< PCC DER: P4 Mask                        */
#define PCC_DER_P5_Pos                        5                                                       /*!< PCC DER: P5 Position                    */
#define PCC_DER_P5_Msk                        (0x01UL << PCC_DER_P5_Pos)                              /*!< PCC DER: P5 Mask                        */
#define PCC_DER_P6_Pos                        6                                                       /*!< PCC DER: P6 Position                    */
#define PCC_DER_P6_Msk                        (0x01UL << PCC_DER_P6_Pos)                              /*!< PCC DER: P6 Mask                        */
#define PCC_DER_P7_Pos                        7                                                       /*!< PCC DER: P7 Position                    */
#define PCC_DER_P7_Msk                        (0x01UL << PCC_DER_P7_Pos)                              /*!< PCC DER: P7 Mask                        */
#define PCC_DER_P8_Pos                        8                                                       /*!< PCC DER: P8 Position                    */
#define PCC_DER_P8_Msk                        (0x01UL << PCC_DER_P8_Pos)                              /*!< PCC DER: P8 Mask                        */
#define PCC_DER_P9_Pos                        9                                                       /*!< PCC DER: P9 Position                    */
#define PCC_DER_P9_Msk                        (0x01UL << PCC_DER_P9_Pos)                              /*!< PCC DER: P9 Mask                        */
#define PCC_DER_P10_Pos                       10                                                      /*!< PCC DER: P10 Position                   */
#define PCC_DER_P10_Msk                       (0x01UL << PCC_DER_P10_Pos)                             /*!< PCC DER: P10 Mask                       */
#define PCC_DER_P11_Pos                       11                                                      /*!< PCC DER: P11 Position                   */
#define PCC_DER_P11_Msk                       (0x01UL << PCC_DER_P11_Pos)                             /*!< PCC DER: P11 Mask                       */
#define PCC_DER_P12_Pos                       12                                                      /*!< PCC DER: P12 Position                   */
#define PCC_DER_P12_Msk                       (0x01UL << PCC_DER_P12_Pos)                             /*!< PCC DER: P12 Mask                       */
#define PCC_DER_P13_Pos                       13                                                      /*!< PCC DER: P13 Position                   */
#define PCC_DER_P13_Msk                       (0x01UL << PCC_DER_P13_Pos)                             /*!< PCC DER: P13 Mask                       */
#define PCC_DER_P14_Pos                       14                                                      /*!< PCC DER: P14 Position                   */
#define PCC_DER_P14_Msk                       (0x01UL << PCC_DER_P14_Pos)                             /*!< PCC DER: P14 Mask                       */
#define PCC_DER_P15_Pos                       15                                                      /*!< PCC DER: P15 Position                   */
#define PCC_DER_P15_Msk                       (0x01UL << PCC_DER_P15_Pos)                             /*!< PCC DER: P15 Mask                       */

/* -----------------------------------  PCC_IER  ---------------------------------- */
#define PCC_IER_P0_Pos                        0                                                       /*!< PCC IER: P0 Position                    */
#define PCC_IER_P0_Msk                        (0x03UL << PCC_IER_P0_Pos)                              /*!< PCC IER: P0 Mask                        */
#define PCC_IER_P1_Pos                        2                                                       /*!< PCC IER: P1 Position                    */
#define PCC_IER_P1_Msk                        (0x03UL << PCC_IER_P1_Pos)                              /*!< PCC IER: P1 Mask                        */
#define PCC_IER_P2_Pos                        4                                                       /*!< PCC IER: P2 Position                    */
#define PCC_IER_P2_Msk                        (0x03UL << PCC_IER_P2_Pos)                              /*!< PCC IER: P2 Mask                        */
#define PCC_IER_P3_Pos                        6                                                       /*!< PCC IER: P3 Position                    */
#define PCC_IER_P3_Msk                        (0x03UL << PCC_IER_P3_Pos)                              /*!< PCC IER: P3 Mask                        */
#define PCC_IER_P4_Pos                        8                                                       /*!< PCC IER: P4 Position                    */
#define PCC_IER_P4_Msk                        (0x03UL << PCC_IER_P4_Pos)                              /*!< PCC IER: P4 Mask                        */
#define PCC_IER_P5_Pos                        10                                                      /*!< PCC IER: P5 Position                    */
#define PCC_IER_P5_Msk                        (0x03UL << PCC_IER_P5_Pos)                              /*!< PCC IER: P5 Mask                        */
#define PCC_IER_P6_Pos                        12                                                      /*!< PCC IER: P6 Position                    */
#define PCC_IER_P6_Msk                        (0x03UL << PCC_IER_P6_Pos)                              /*!< PCC IER: P6 Mask                        */
#define PCC_IER_P7_Pos                        14                                                      /*!< PCC IER: P7 Position                    */
#define PCC_IER_P7_Msk                        (0x03UL << PCC_IER_P7_Pos)                              /*!< PCC IER: P7 Mask                        */
#define PCC_IER_P8_Pos                        16                                                      /*!< PCC IER: P8 Position                    */
#define PCC_IER_P8_Msk                        (0x03UL << PCC_IER_P8_Pos)                              /*!< PCC IER: P8 Mask                        */
#define PCC_IER_P9_Pos                        18                                                      /*!< PCC IER: P9 Position                    */
#define PCC_IER_P9_Msk                        (0x03UL << PCC_IER_P9_Pos)                              /*!< PCC IER: P9 Mask                        */
#define PCC_IER_P10_Pos                       20                                                      /*!< PCC IER: P10 Position                   */
#define PCC_IER_P10_Msk                       (0x03UL << PCC_IER_P10_Pos)                             /*!< PCC IER: P10 Mask                       */
#define PCC_IER_P11_Pos                       22                                                      /*!< PCC IER: P11 Position                   */
#define PCC_IER_P11_Msk                       (0x03UL << PCC_IER_P11_Pos)                             /*!< PCC IER: P11 Mask                       */
#define PCC_IER_P12_Pos                       24                                                      /*!< PCC IER: P12 Position                   */
#define PCC_IER_P12_Msk                       (0x03UL << PCC_IER_P12_Pos)                             /*!< PCC IER: P12 Mask                       */
#define PCC_IER_P13_Pos                       26                                                      /*!< PCC IER: P13 Position                   */
#define PCC_IER_P13_Msk                       (0x03UL << PCC_IER_P13_Pos)                             /*!< PCC IER: P13 Mask                       */
#define PCC_IER_P14_Pos                       28                                                      /*!< PCC IER: P14 Position                   */
#define PCC_IER_P14_Msk                       (0x03UL << PCC_IER_P14_Pos)                             /*!< PCC IER: P14 Mask                       */
#define PCC_IER_P15_Pos                       30                                                      /*!< PCC IER: P15 Position                   */
#define PCC_IER_P15_Msk                       (0x03UL << PCC_IER_P15_Pos)                             /*!< PCC IER: P15 Mask                       */

/* -----------------------------------  PCC_ISR  ---------------------------------- */
#define PCC_ISR_P0_Pos                        0                                                       /*!< PCC ISR: P0 Position                    */
#define PCC_ISR_P0_Msk                        (0x03UL << PCC_ISR_P0_Pos)                              /*!< PCC ISR: P0 Mask                        */
#define PCC_ISR_P1_Pos                        2                                                       /*!< PCC ISR: P1 Position                    */
#define PCC_ISR_P1_Msk                        (0x03UL << PCC_ISR_P1_Pos)                              /*!< PCC ISR: P1 Mask                        */
#define PCC_ISR_P2_Pos                        4                                                       /*!< PCC ISR: P2 Position                    */
#define PCC_ISR_P2_Msk                        (0x03UL << PCC_ISR_P2_Pos)                              /*!< PCC ISR: P2 Mask                        */
#define PCC_ISR_P3_Pos                        6                                                       /*!< PCC ISR: P3 Position                    */
#define PCC_ISR_P3_Msk                        (0x03UL << PCC_ISR_P3_Pos)                              /*!< PCC ISR: P3 Mask                        */
#define PCC_ISR_P4_Pos                        8                                                       /*!< PCC ISR: P4 Position                    */
#define PCC_ISR_P4_Msk                        (0x03UL << PCC_ISR_P4_Pos)                              /*!< PCC ISR: P4 Mask                        */
#define PCC_ISR_P5_Pos                        10                                                      /*!< PCC ISR: P5 Position                    */
#define PCC_ISR_P5_Msk                        (0x03UL << PCC_ISR_P5_Pos)                              /*!< PCC ISR: P5 Mask                        */
#define PCC_ISR_P6_Pos                        12                                                      /*!< PCC ISR: P6 Position                    */
#define PCC_ISR_P6_Msk                        (0x03UL << PCC_ISR_P6_Pos)                              /*!< PCC ISR: P6 Mask                        */
#define PCC_ISR_P7_Pos                        14                                                      /*!< PCC ISR: P7 Position                    */
#define PCC_ISR_P7_Msk                        (0x03UL << PCC_ISR_P7_Pos)                              /*!< PCC ISR: P7 Mask                        */
#define PCC_ISR_P8_Pos                        16                                                      /*!< PCC ISR: P8 Position                    */
#define PCC_ISR_P8_Msk                        (0x03UL << PCC_ISR_P8_Pos)                              /*!< PCC ISR: P8 Mask                        */
#define PCC_ISR_P9_Pos                        18                                                      /*!< PCC ISR: P9 Position                    */
#define PCC_ISR_P9_Msk                        (0x03UL << PCC_ISR_P9_Pos)                              /*!< PCC ISR: P9 Mask                        */
#define PCC_ISR_P10_Pos                       20                                                      /*!< PCC ISR: P10 Position                   */
#define PCC_ISR_P10_Msk                       (0x03UL << PCC_ISR_P10_Pos)                             /*!< PCC ISR: P10 Mask                       */
#define PCC_ISR_P11_Pos                       22                                                      /*!< PCC ISR: P11 Position                   */
#define PCC_ISR_P11_Msk                       (0x03UL << PCC_ISR_P11_Pos)                             /*!< PCC ISR: P11 Mask                       */
#define PCC_ISR_P12_Pos                       24                                                      /*!< PCC ISR: P12 Position                   */
#define PCC_ISR_P12_Msk                       (0x03UL << PCC_ISR_P12_Pos)                             /*!< PCC ISR: P12 Mask                       */
#define PCC_ISR_P13_Pos                       26                                                      /*!< PCC ISR: P13 Position                   */
#define PCC_ISR_P13_Msk                       (0x03UL << PCC_ISR_P13_Pos)                             /*!< PCC ISR: P13 Mask                       */
#define PCC_ISR_P14_Pos                       28                                                      /*!< PCC ISR: P14 Position                   */
#define PCC_ISR_P14_Msk                       (0x03UL << PCC_ISR_P14_Pos)                             /*!< PCC ISR: P14 Mask                       */
#define PCC_ISR_P15_Pos                       30                                                      /*!< PCC ISR: P15 Position                   */
#define PCC_ISR_P15_Msk                       (0x03UL << PCC_ISR_P15_Pos)                             /*!< PCC ISR: P15 Mask                       */

/* -----------------------------------  PCC_ICR  ---------------------------------- */
#define PCC_ICR_P0_Pos                        0                                                       /*!< PCC ICR: P0 Position                    */
#define PCC_ICR_P0_Msk                        (0x03UL << PCC_ICR_P0_Pos)                              /*!< PCC ICR: P0 Mask                        */
#define PCC_ICR_P1_Pos                        2                                                       /*!< PCC ICR: P1 Position                    */
#define PCC_ICR_P1_Msk                        (0x03UL << PCC_ICR_P1_Pos)                              /*!< PCC ICR: P1 Mask                        */
#define PCC_ICR_P2_Pos                        4                                                       /*!< PCC ICR: P2 Position                    */
#define PCC_ICR_P2_Msk                        (0x03UL << PCC_ICR_P2_Pos)                              /*!< PCC ICR: P2 Mask                        */
#define PCC_ICR_P3_Pos                        6                                                       /*!< PCC ICR: P3 Position                    */
#define PCC_ICR_P3_Msk                        (0x03UL << PCC_ICR_P3_Pos)                              /*!< PCC ICR: P3 Mask                        */
#define PCC_ICR_P4_Pos                        8                                                       /*!< PCC ICR: P4 Position                    */
#define PCC_ICR_P4_Msk                        (0x03UL << PCC_ICR_P4_Pos)                              /*!< PCC ICR: P4 Mask                        */
#define PCC_ICR_P5_Pos                        10                                                      /*!< PCC ICR: P5 Position                    */
#define PCC_ICR_P5_Msk                        (0x03UL << PCC_ICR_P5_Pos)                              /*!< PCC ICR: P5 Mask                        */
#define PCC_ICR_P6_Pos                        12                                                      /*!< PCC ICR: P6 Position                    */
#define PCC_ICR_P6_Msk                        (0x03UL << PCC_ICR_P6_Pos)                              /*!< PCC ICR: P6 Mask                        */
#define PCC_ICR_P7_Pos                        14                                                      /*!< PCC ICR: P7 Position                    */
#define PCC_ICR_P7_Msk                        (0x03UL << PCC_ICR_P7_Pos)                              /*!< PCC ICR: P7 Mask                        */
#define PCC_ICR_P8_Pos                        16                                                      /*!< PCC ICR: P8 Position                    */
#define PCC_ICR_P8_Msk                        (0x03UL << PCC_ICR_P8_Pos)                              /*!< PCC ICR: P8 Mask                        */
#define PCC_ICR_P9_Pos                        18                                                      /*!< PCC ICR: P9 Position                    */
#define PCC_ICR_P9_Msk                        (0x03UL << PCC_ICR_P9_Pos)                              /*!< PCC ICR: P9 Mask                        */
#define PCC_ICR_P10_Pos                       20                                                      /*!< PCC ICR: P10 Position                   */
#define PCC_ICR_P10_Msk                       (0x03UL << PCC_ICR_P10_Pos)                             /*!< PCC ICR: P10 Mask                       */
#define PCC_ICR_P11_Pos                       22                                                      /*!< PCC ICR: P11 Position                   */
#define PCC_ICR_P11_Msk                       (0x03UL << PCC_ICR_P11_Pos)                             /*!< PCC ICR: P11 Mask                       */
#define PCC_ICR_P12_Pos                       24                                                      /*!< PCC ICR: P12 Position                   */
#define PCC_ICR_P12_Msk                       (0x03UL << PCC_ICR_P12_Pos)                             /*!< PCC ICR: P12 Mask                       */
#define PCC_ICR_P13_Pos                       26                                                      /*!< PCC ICR: P13 Position                   */
#define PCC_ICR_P13_Msk                       (0x03UL << PCC_ICR_P13_Pos)                             /*!< PCC ICR: P13 Mask                       */
#define PCC_ICR_P14_Pos                       28                                                      /*!< PCC ICR: P14 Position                   */
#define PCC_ICR_P14_Msk                       (0x03UL << PCC_ICR_P14_Pos)                             /*!< PCC ICR: P14 Mask                       */
#define PCC_ICR_P15_Pos                       30                                                      /*!< PCC ICR: P15 Position                   */
#define PCC_ICR_P15_Msk                       (0x03UL << PCC_ICR_P15_Pos)                             /*!< PCC ICR: P15 Mask                       */


/* ================================================================================ */
/* ================          struct 'PCD' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PCD_MR  ----------------------------------- */
#define PCD_MR_P0_Pos                         0                                                       /*!< PCD MR: P0 Position                     */
#define PCD_MR_P0_Msk                         (0x03UL << PCD_MR_P0_Pos)                               /*!< PCD MR: P0 Mask                         */
#define PCD_MR_P1_Pos                         2                                                       /*!< PCD MR: P1 Position                     */
#define PCD_MR_P1_Msk                         (0x03UL << PCD_MR_P1_Pos)                               /*!< PCD MR: P1 Mask                         */
#define PCD_MR_P2_Pos                         4                                                       /*!< PCD MR: P2 Position                     */
#define PCD_MR_P2_Msk                         (0x03UL << PCD_MR_P2_Pos)                               /*!< PCD MR: P2 Mask                         */
#define PCD_MR_P3_Pos                         6                                                       /*!< PCD MR: P3 Position                     */
#define PCD_MR_P3_Msk                         (0x03UL << PCD_MR_P3_Pos)                               /*!< PCD MR: P3 Mask                         */
#define PCD_MR_P4_Pos                         8                                                       /*!< PCD MR: P4 Position                     */
#define PCD_MR_P4_Msk                         (0x03UL << PCD_MR_P4_Pos)                               /*!< PCD MR: P4 Mask                         */
#define PCD_MR_P5_Pos                         10                                                      /*!< PCD MR: P5 Position                     */
#define PCD_MR_P5_Msk                         (0x03UL << PCD_MR_P5_Pos)                               /*!< PCD MR: P5 Mask                         */
#define PCD_MR_P6_Pos                         12                                                      /*!< PCD MR: P6 Position                     */
#define PCD_MR_P6_Msk                         (0x03UL << PCD_MR_P6_Pos)                               /*!< PCD MR: P6 Mask                         */
#define PCD_MR_P7_Pos                         14                                                      /*!< PCD MR: P7 Position                     */
#define PCD_MR_P7_Msk                         (0x03UL << PCD_MR_P7_Pos)                               /*!< PCD MR: P7 Mask                         */
#define PCD_MR_P8_Pos                         16                                                      /*!< PCD MR: P8 Position                     */
#define PCD_MR_P8_Msk                         (0x03UL << PCD_MR_P8_Pos)                               /*!< PCD MR: P8 Mask                         */
#define PCD_MR_P9_Pos                         18                                                      /*!< PCD MR: P9 Position                     */
#define PCD_MR_P9_Msk                         (0x03UL << PCD_MR_P9_Pos)                               /*!< PCD MR: P9 Mask                         */
#define PCD_MR_P10_Pos                        20                                                      /*!< PCD MR: P10 Position                    */
#define PCD_MR_P10_Msk                        (0x03UL << PCD_MR_P10_Pos)                              /*!< PCD MR: P10 Mask                        */
#define PCD_MR_P11_Pos                        22                                                      /*!< PCD MR: P11 Position                    */
#define PCD_MR_P11_Msk                        (0x03UL << PCD_MR_P11_Pos)                              /*!< PCD MR: P11 Mask                        */
#define PCD_MR_P12_Pos                        24                                                      /*!< PCD MR: P12 Position                    */
#define PCD_MR_P12_Msk                        (0x03UL << PCD_MR_P12_Pos)                              /*!< PCD MR: P12 Mask                        */
#define PCD_MR_P13_Pos                        26                                                      /*!< PCD MR: P13 Position                    */
#define PCD_MR_P13_Msk                        (0x03UL << PCD_MR_P13_Pos)                              /*!< PCD MR: P13 Mask                        */
#define PCD_MR_P14_Pos                        28                                                      /*!< PCD MR: P14 Position                    */
#define PCD_MR_P14_Msk                        (0x03UL << PCD_MR_P14_Pos)                              /*!< PCD MR: P14 Mask                        */
#define PCD_MR_P15_Pos                        30                                                      /*!< PCD MR: P15 Position                    */
#define PCD_MR_P15_Msk                        (0x03UL << PCD_MR_P15_Pos)                              /*!< PCD MR: P15 Mask                        */

/* -----------------------------------  PCD_CR  ----------------------------------- */
#define PCD_CR_P0_Pos                         0                                                       /*!< PCD CR: P0 Position                     */
#define PCD_CR_P0_Msk                         (0x03UL << PCD_CR_P0_Pos)                               /*!< PCD CR: P0 Mask                         */
#define PCD_CR_P1_Pos                         2                                                       /*!< PCD CR: P1 Position                     */
#define PCD_CR_P1_Msk                         (0x03UL << PCD_CR_P1_Pos)                               /*!< PCD CR: P1 Mask                         */
#define PCD_CR_P2_Pos                         4                                                       /*!< PCD CR: P2 Position                     */
#define PCD_CR_P2_Msk                         (0x03UL << PCD_CR_P2_Pos)                               /*!< PCD CR: P2 Mask                         */
#define PCD_CR_P3_Pos                         6                                                       /*!< PCD CR: P3 Position                     */
#define PCD_CR_P3_Msk                         (0x03UL << PCD_CR_P3_Pos)                               /*!< PCD CR: P3 Mask                         */
#define PCD_CR_P4_Pos                         8                                                       /*!< PCD CR: P4 Position                     */
#define PCD_CR_P4_Msk                         (0x03UL << PCD_CR_P4_Pos)                               /*!< PCD CR: P4 Mask                         */
#define PCD_CR_P5_Pos                         10                                                      /*!< PCD CR: P5 Position                     */
#define PCD_CR_P5_Msk                         (0x03UL << PCD_CR_P5_Pos)                               /*!< PCD CR: P5 Mask                         */
#define PCD_CR_P6_Pos                         12                                                      /*!< PCD CR: P6 Position                     */
#define PCD_CR_P6_Msk                         (0x03UL << PCD_CR_P6_Pos)                               /*!< PCD CR: P6 Mask                         */
#define PCD_CR_P7_Pos                         14                                                      /*!< PCD CR: P7 Position                     */
#define PCD_CR_P7_Msk                         (0x03UL << PCD_CR_P7_Pos)                               /*!< PCD CR: P7 Mask                         */
#define PCD_CR_P8_Pos                         16                                                      /*!< PCD CR: P8 Position                     */
#define PCD_CR_P8_Msk                         (0x03UL << PCD_CR_P8_Pos)                               /*!< PCD CR: P8 Mask                         */
#define PCD_CR_P9_Pos                         18                                                      /*!< PCD CR: P9 Position                     */
#define PCD_CR_P9_Msk                         (0x03UL << PCD_CR_P9_Pos)                               /*!< PCD CR: P9 Mask                         */
#define PCD_CR_P10_Pos                        20                                                      /*!< PCD CR: P10 Position                    */
#define PCD_CR_P10_Msk                        (0x03UL << PCD_CR_P10_Pos)                              /*!< PCD CR: P10 Mask                        */
#define PCD_CR_P11_Pos                        22                                                      /*!< PCD CR: P11 Position                    */
#define PCD_CR_P11_Msk                        (0x03UL << PCD_CR_P11_Pos)                              /*!< PCD CR: P11 Mask                        */
#define PCD_CR_P12_Pos                        24                                                      /*!< PCD CR: P12 Position                    */
#define PCD_CR_P12_Msk                        (0x03UL << PCD_CR_P12_Pos)                              /*!< PCD CR: P12 Mask                        */
#define PCD_CR_P13_Pos                        26                                                      /*!< PCD CR: P13 Position                    */
#define PCD_CR_P13_Msk                        (0x03UL << PCD_CR_P13_Pos)                              /*!< PCD CR: P13 Mask                        */
#define PCD_CR_P14_Pos                        28                                                      /*!< PCD CR: P14 Position                    */
#define PCD_CR_P14_Msk                        (0x03UL << PCD_CR_P14_Pos)                              /*!< PCD CR: P14 Mask                        */
#define PCD_CR_P15_Pos                        30                                                      /*!< PCD CR: P15 Position                    */
#define PCD_CR_P15_Msk                        (0x03UL << PCD_CR_P15_Pos)                              /*!< PCD CR: P15 Mask                        */

/* -----------------------------------  PCD_PCR  ---------------------------------- */
#define PCD_PCR_P0_Pos                        0                                                       /*!< PCD PCR: P0 Position                    */
#define PCD_PCR_P0_Msk                        (0x01UL << PCD_PCR_P0_Pos)                              /*!< PCD PCR: P0 Mask                        */
#define PCD_PCR_P1_Pos                        1                                                       /*!< PCD PCR: P1 Position                    */
#define PCD_PCR_P1_Msk                        (0x01UL << PCD_PCR_P1_Pos)                              /*!< PCD PCR: P1 Mask                        */
#define PCD_PCR_P2_Pos                        2                                                       /*!< PCD PCR: P2 Position                    */
#define PCD_PCR_P2_Msk                        (0x01UL << PCD_PCR_P2_Pos)                              /*!< PCD PCR: P2 Mask                        */
#define PCD_PCR_P3_Pos                        3                                                       /*!< PCD PCR: P3 Position                    */
#define PCD_PCR_P3_Msk                        (0x01UL << PCD_PCR_P3_Pos)                              /*!< PCD PCR: P3 Mask                        */
#define PCD_PCR_P4_Pos                        4                                                       /*!< PCD PCR: P4 Position                    */
#define PCD_PCR_P4_Msk                        (0x01UL << PCD_PCR_P4_Pos)                              /*!< PCD PCR: P4 Mask                        */
#define PCD_PCR_P5_Pos                        5                                                       /*!< PCD PCR: P5 Position                    */
#define PCD_PCR_P5_Msk                        (0x01UL << PCD_PCR_P5_Pos)                              /*!< PCD PCR: P5 Mask                        */
#define PCD_PCR_P6_Pos                        6                                                       /*!< PCD PCR: P6 Position                    */
#define PCD_PCR_P6_Msk                        (0x01UL << PCD_PCR_P6_Pos)                              /*!< PCD PCR: P6 Mask                        */
#define PCD_PCR_P7_Pos                        7                                                       /*!< PCD PCR: P7 Position                    */
#define PCD_PCR_P7_Msk                        (0x01UL << PCD_PCR_P7_Pos)                              /*!< PCD PCR: P7 Mask                        */
#define PCD_PCR_P8_Pos                        8                                                       /*!< PCD PCR: P8 Position                    */
#define PCD_PCR_P8_Msk                        (0x01UL << PCD_PCR_P8_Pos)                              /*!< PCD PCR: P8 Mask                        */
#define PCD_PCR_P9_Pos                        9                                                       /*!< PCD PCR: P9 Position                    */
#define PCD_PCR_P9_Msk                        (0x01UL << PCD_PCR_P9_Pos)                              /*!< PCD PCR: P9 Mask                        */
#define PCD_PCR_P10_Pos                       10                                                      /*!< PCD PCR: P10 Position                   */
#define PCD_PCR_P10_Msk                       (0x01UL << PCD_PCR_P10_Pos)                             /*!< PCD PCR: P10 Mask                       */
#define PCD_PCR_P11_Pos                       11                                                      /*!< PCD PCR: P11 Position                   */
#define PCD_PCR_P11_Msk                       (0x01UL << PCD_PCR_P11_Pos)                             /*!< PCD PCR: P11 Mask                       */
#define PCD_PCR_P12_Pos                       12                                                      /*!< PCD PCR: P12 Position                   */
#define PCD_PCR_P12_Msk                       (0x01UL << PCD_PCR_P12_Pos)                             /*!< PCD PCR: P12 Mask                       */
#define PCD_PCR_P13_Pos                       13                                                      /*!< PCD PCR: P13 Position                   */
#define PCD_PCR_P13_Msk                       (0x01UL << PCD_PCR_P13_Pos)                             /*!< PCD PCR: P13 Mask                       */
#define PCD_PCR_P14_Pos                       14                                                      /*!< PCD PCR: P14 Position                   */
#define PCD_PCR_P14_Msk                       (0x01UL << PCD_PCR_P14_Pos)                             /*!< PCD PCR: P14 Mask                       */
#define PCD_PCR_P15_Pos                       15                                                      /*!< PCD PCR: P15 Position                   */
#define PCD_PCR_P15_Msk                       (0x01UL << PCD_PCR_P15_Pos)                             /*!< PCD PCR: P15 Mask                       */

/* -----------------------------------  PCD_DER  ---------------------------------- */
#define PCD_DER_P0_Pos                        0                                                       /*!< PCD DER: P0 Position                    */
#define PCD_DER_P0_Msk                        (0x01UL << PCD_DER_P0_Pos)                              /*!< PCD DER: P0 Mask                        */
#define PCD_DER_P1_Pos                        1                                                       /*!< PCD DER: P1 Position                    */
#define PCD_DER_P1_Msk                        (0x01UL << PCD_DER_P1_Pos)                              /*!< PCD DER: P1 Mask                        */
#define PCD_DER_P2_Pos                        2                                                       /*!< PCD DER: P2 Position                    */
#define PCD_DER_P2_Msk                        (0x01UL << PCD_DER_P2_Pos)                              /*!< PCD DER: P2 Mask                        */
#define PCD_DER_P3_Pos                        3                                                       /*!< PCD DER: P3 Position                    */
#define PCD_DER_P3_Msk                        (0x01UL << PCD_DER_P3_Pos)                              /*!< PCD DER: P3 Mask                        */
#define PCD_DER_P4_Pos                        4                                                       /*!< PCD DER: P4 Position                    */
#define PCD_DER_P4_Msk                        (0x01UL << PCD_DER_P4_Pos)                              /*!< PCD DER: P4 Mask                        */
#define PCD_DER_P5_Pos                        5                                                       /*!< PCD DER: P5 Position                    */
#define PCD_DER_P5_Msk                        (0x01UL << PCD_DER_P5_Pos)                              /*!< PCD DER: P5 Mask                        */
#define PCD_DER_P6_Pos                        6                                                       /*!< PCD DER: P6 Position                    */
#define PCD_DER_P6_Msk                        (0x01UL << PCD_DER_P6_Pos)                              /*!< PCD DER: P6 Mask                        */
#define PCD_DER_P7_Pos                        7                                                       /*!< PCD DER: P7 Position                    */
#define PCD_DER_P7_Msk                        (0x01UL << PCD_DER_P7_Pos)                              /*!< PCD DER: P7 Mask                        */
#define PCD_DER_P8_Pos                        8                                                       /*!< PCD DER: P8 Position                    */
#define PCD_DER_P8_Msk                        (0x01UL << PCD_DER_P8_Pos)                              /*!< PCD DER: P8 Mask                        */
#define PCD_DER_P9_Pos                        9                                                       /*!< PCD DER: P9 Position                    */
#define PCD_DER_P9_Msk                        (0x01UL << PCD_DER_P9_Pos)                              /*!< PCD DER: P9 Mask                        */
#define PCD_DER_P10_Pos                       10                                                      /*!< PCD DER: P10 Position                   */
#define PCD_DER_P10_Msk                       (0x01UL << PCD_DER_P10_Pos)                             /*!< PCD DER: P10 Mask                       */
#define PCD_DER_P11_Pos                       11                                                      /*!< PCD DER: P11 Position                   */
#define PCD_DER_P11_Msk                       (0x01UL << PCD_DER_P11_Pos)                             /*!< PCD DER: P11 Mask                       */
#define PCD_DER_P12_Pos                       12                                                      /*!< PCD DER: P12 Position                   */
#define PCD_DER_P12_Msk                       (0x01UL << PCD_DER_P12_Pos)                             /*!< PCD DER: P12 Mask                       */
#define PCD_DER_P13_Pos                       13                                                      /*!< PCD DER: P13 Position                   */
#define PCD_DER_P13_Msk                       (0x01UL << PCD_DER_P13_Pos)                             /*!< PCD DER: P13 Mask                       */
#define PCD_DER_P14_Pos                       14                                                      /*!< PCD DER: P14 Position                   */
#define PCD_DER_P14_Msk                       (0x01UL << PCD_DER_P14_Pos)                             /*!< PCD DER: P14 Mask                       */
#define PCD_DER_P15_Pos                       15                                                      /*!< PCD DER: P15 Position                   */
#define PCD_DER_P15_Msk                       (0x01UL << PCD_DER_P15_Pos)                             /*!< PCD DER: P15 Mask                       */

/* -----------------------------------  PCD_IER  ---------------------------------- */
#define PCD_IER_P0_Pos                        0                                                       /*!< PCD IER: P0 Position                    */
#define PCD_IER_P0_Msk                        (0x03UL << PCD_IER_P0_Pos)                              /*!< PCD IER: P0 Mask                        */
#define PCD_IER_P1_Pos                        2                                                       /*!< PCD IER: P1 Position                    */
#define PCD_IER_P1_Msk                        (0x03UL << PCD_IER_P1_Pos)                              /*!< PCD IER: P1 Mask                        */
#define PCD_IER_P2_Pos                        4                                                       /*!< PCD IER: P2 Position                    */
#define PCD_IER_P2_Msk                        (0x03UL << PCD_IER_P2_Pos)                              /*!< PCD IER: P2 Mask                        */
#define PCD_IER_P3_Pos                        6                                                       /*!< PCD IER: P3 Position                    */
#define PCD_IER_P3_Msk                        (0x03UL << PCD_IER_P3_Pos)                              /*!< PCD IER: P3 Mask                        */
#define PCD_IER_P4_Pos                        8                                                       /*!< PCD IER: P4 Position                    */
#define PCD_IER_P4_Msk                        (0x03UL << PCD_IER_P4_Pos)                              /*!< PCD IER: P4 Mask                        */
#define PCD_IER_P5_Pos                        10                                                      /*!< PCD IER: P5 Position                    */
#define PCD_IER_P5_Msk                        (0x03UL << PCD_IER_P5_Pos)                              /*!< PCD IER: P5 Mask                        */
#define PCD_IER_P6_Pos                        12                                                      /*!< PCD IER: P6 Position                    */
#define PCD_IER_P6_Msk                        (0x03UL << PCD_IER_P6_Pos)                              /*!< PCD IER: P6 Mask                        */
#define PCD_IER_P7_Pos                        14                                                      /*!< PCD IER: P7 Position                    */
#define PCD_IER_P7_Msk                        (0x03UL << PCD_IER_P7_Pos)                              /*!< PCD IER: P7 Mask                        */
#define PCD_IER_P8_Pos                        16                                                      /*!< PCD IER: P8 Position                    */
#define PCD_IER_P8_Msk                        (0x03UL << PCD_IER_P8_Pos)                              /*!< PCD IER: P8 Mask                        */
#define PCD_IER_P9_Pos                        18                                                      /*!< PCD IER: P9 Position                    */
#define PCD_IER_P9_Msk                        (0x03UL << PCD_IER_P9_Pos)                              /*!< PCD IER: P9 Mask                        */
#define PCD_IER_P10_Pos                       20                                                      /*!< PCD IER: P10 Position                   */
#define PCD_IER_P10_Msk                       (0x03UL << PCD_IER_P10_Pos)                             /*!< PCD IER: P10 Mask                       */
#define PCD_IER_P11_Pos                       22                                                      /*!< PCD IER: P11 Position                   */
#define PCD_IER_P11_Msk                       (0x03UL << PCD_IER_P11_Pos)                             /*!< PCD IER: P11 Mask                       */
#define PCD_IER_P12_Pos                       24                                                      /*!< PCD IER: P12 Position                   */
#define PCD_IER_P12_Msk                       (0x03UL << PCD_IER_P12_Pos)                             /*!< PCD IER: P12 Mask                       */
#define PCD_IER_P13_Pos                       26                                                      /*!< PCD IER: P13 Position                   */
#define PCD_IER_P13_Msk                       (0x03UL << PCD_IER_P13_Pos)                             /*!< PCD IER: P13 Mask                       */
#define PCD_IER_P14_Pos                       28                                                      /*!< PCD IER: P14 Position                   */
#define PCD_IER_P14_Msk                       (0x03UL << PCD_IER_P14_Pos)                             /*!< PCD IER: P14 Mask                       */
#define PCD_IER_P15_Pos                       30                                                      /*!< PCD IER: P15 Position                   */
#define PCD_IER_P15_Msk                       (0x03UL << PCD_IER_P15_Pos)                             /*!< PCD IER: P15 Mask                       */

/* -----------------------------------  PCD_ISR  ---------------------------------- */
#define PCD_ISR_P0_Pos                        0                                                       /*!< PCD ISR: P0 Position                    */
#define PCD_ISR_P0_Msk                        (0x03UL << PCD_ISR_P0_Pos)                              /*!< PCD ISR: P0 Mask                        */
#define PCD_ISR_P1_Pos                        2                                                       /*!< PCD ISR: P1 Position                    */
#define PCD_ISR_P1_Msk                        (0x03UL << PCD_ISR_P1_Pos)                              /*!< PCD ISR: P1 Mask                        */
#define PCD_ISR_P2_Pos                        4                                                       /*!< PCD ISR: P2 Position                    */
#define PCD_ISR_P2_Msk                        (0x03UL << PCD_ISR_P2_Pos)                              /*!< PCD ISR: P2 Mask                        */
#define PCD_ISR_P3_Pos                        6                                                       /*!< PCD ISR: P3 Position                    */
#define PCD_ISR_P3_Msk                        (0x03UL << PCD_ISR_P3_Pos)                              /*!< PCD ISR: P3 Mask                        */
#define PCD_ISR_P4_Pos                        8                                                       /*!< PCD ISR: P4 Position                    */
#define PCD_ISR_P4_Msk                        (0x03UL << PCD_ISR_P4_Pos)                              /*!< PCD ISR: P4 Mask                        */
#define PCD_ISR_P5_Pos                        10                                                      /*!< PCD ISR: P5 Position                    */
#define PCD_ISR_P5_Msk                        (0x03UL << PCD_ISR_P5_Pos)                              /*!< PCD ISR: P5 Mask                        */
#define PCD_ISR_P6_Pos                        12                                                      /*!< PCD ISR: P6 Position                    */
#define PCD_ISR_P6_Msk                        (0x03UL << PCD_ISR_P6_Pos)                              /*!< PCD ISR: P6 Mask                        */
#define PCD_ISR_P7_Pos                        14                                                      /*!< PCD ISR: P7 Position                    */
#define PCD_ISR_P7_Msk                        (0x03UL << PCD_ISR_P7_Pos)                              /*!< PCD ISR: P7 Mask                        */
#define PCD_ISR_P8_Pos                        16                                                      /*!< PCD ISR: P8 Position                    */
#define PCD_ISR_P8_Msk                        (0x03UL << PCD_ISR_P8_Pos)                              /*!< PCD ISR: P8 Mask                        */
#define PCD_ISR_P9_Pos                        18                                                      /*!< PCD ISR: P9 Position                    */
#define PCD_ISR_P9_Msk                        (0x03UL << PCD_ISR_P9_Pos)                              /*!< PCD ISR: P9 Mask                        */
#define PCD_ISR_P10_Pos                       20                                                      /*!< PCD ISR: P10 Position                   */
#define PCD_ISR_P10_Msk                       (0x03UL << PCD_ISR_P10_Pos)                             /*!< PCD ISR: P10 Mask                       */
#define PCD_ISR_P11_Pos                       22                                                      /*!< PCD ISR: P11 Position                   */
#define PCD_ISR_P11_Msk                       (0x03UL << PCD_ISR_P11_Pos)                             /*!< PCD ISR: P11 Mask                       */
#define PCD_ISR_P12_Pos                       24                                                      /*!< PCD ISR: P12 Position                   */
#define PCD_ISR_P12_Msk                       (0x03UL << PCD_ISR_P12_Pos)                             /*!< PCD ISR: P12 Mask                       */
#define PCD_ISR_P13_Pos                       26                                                      /*!< PCD ISR: P13 Position                   */
#define PCD_ISR_P13_Msk                       (0x03UL << PCD_ISR_P13_Pos)                             /*!< PCD ISR: P13 Mask                       */
#define PCD_ISR_P14_Pos                       28                                                      /*!< PCD ISR: P14 Position                   */
#define PCD_ISR_P14_Msk                       (0x03UL << PCD_ISR_P14_Pos)                             /*!< PCD ISR: P14 Mask                       */
#define PCD_ISR_P15_Pos                       30                                                      /*!< PCD ISR: P15 Position                   */
#define PCD_ISR_P15_Msk                       (0x03UL << PCD_ISR_P15_Pos)                             /*!< PCD ISR: P15 Mask                       */

/* -----------------------------------  PCD_ICR  ---------------------------------- */
#define PCD_ICR_P0_Pos                        0                                                       /*!< PCD ICR: P0 Position                    */
#define PCD_ICR_P0_Msk                        (0x03UL << PCD_ICR_P0_Pos)                              /*!< PCD ICR: P0 Mask                        */
#define PCD_ICR_P1_Pos                        2                                                       /*!< PCD ICR: P1 Position                    */
#define PCD_ICR_P1_Msk                        (0x03UL << PCD_ICR_P1_Pos)                              /*!< PCD ICR: P1 Mask                        */
#define PCD_ICR_P2_Pos                        4                                                       /*!< PCD ICR: P2 Position                    */
#define PCD_ICR_P2_Msk                        (0x03UL << PCD_ICR_P2_Pos)                              /*!< PCD ICR: P2 Mask                        */
#define PCD_ICR_P3_Pos                        6                                                       /*!< PCD ICR: P3 Position                    */
#define PCD_ICR_P3_Msk                        (0x03UL << PCD_ICR_P3_Pos)                              /*!< PCD ICR: P3 Mask                        */
#define PCD_ICR_P4_Pos                        8                                                       /*!< PCD ICR: P4 Position                    */
#define PCD_ICR_P4_Msk                        (0x03UL << PCD_ICR_P4_Pos)                              /*!< PCD ICR: P4 Mask                        */
#define PCD_ICR_P5_Pos                        10                                                      /*!< PCD ICR: P5 Position                    */
#define PCD_ICR_P5_Msk                        (0x03UL << PCD_ICR_P5_Pos)                              /*!< PCD ICR: P5 Mask                        */
#define PCD_ICR_P6_Pos                        12                                                      /*!< PCD ICR: P6 Position                    */
#define PCD_ICR_P6_Msk                        (0x03UL << PCD_ICR_P6_Pos)                              /*!< PCD ICR: P6 Mask                        */
#define PCD_ICR_P7_Pos                        14                                                      /*!< PCD ICR: P7 Position                    */
#define PCD_ICR_P7_Msk                        (0x03UL << PCD_ICR_P7_Pos)                              /*!< PCD ICR: P7 Mask                        */
#define PCD_ICR_P8_Pos                        16                                                      /*!< PCD ICR: P8 Position                    */
#define PCD_ICR_P8_Msk                        (0x03UL << PCD_ICR_P8_Pos)                              /*!< PCD ICR: P8 Mask                        */
#define PCD_ICR_P9_Pos                        18                                                      /*!< PCD ICR: P9 Position                    */
#define PCD_ICR_P9_Msk                        (0x03UL << PCD_ICR_P9_Pos)                              /*!< PCD ICR: P9 Mask                        */
#define PCD_ICR_P10_Pos                       20                                                      /*!< PCD ICR: P10 Position                   */
#define PCD_ICR_P10_Msk                       (0x03UL << PCD_ICR_P10_Pos)                             /*!< PCD ICR: P10 Mask                       */
#define PCD_ICR_P11_Pos                       22                                                      /*!< PCD ICR: P11 Position                   */
#define PCD_ICR_P11_Msk                       (0x03UL << PCD_ICR_P11_Pos)                             /*!< PCD ICR: P11 Mask                       */
#define PCD_ICR_P12_Pos                       24                                                      /*!< PCD ICR: P12 Position                   */
#define PCD_ICR_P12_Msk                       (0x03UL << PCD_ICR_P12_Pos)                             /*!< PCD ICR: P12 Mask                       */
#define PCD_ICR_P13_Pos                       26                                                      /*!< PCD ICR: P13 Position                   */
#define PCD_ICR_P13_Msk                       (0x03UL << PCD_ICR_P13_Pos)                             /*!< PCD ICR: P13 Mask                       */
#define PCD_ICR_P14_Pos                       28                                                      /*!< PCD ICR: P14 Position                   */
#define PCD_ICR_P14_Msk                       (0x03UL << PCD_ICR_P14_Pos)                             /*!< PCD ICR: P14 Mask                       */
#define PCD_ICR_P15_Pos                       30                                                      /*!< PCD ICR: P15 Position                   */
#define PCD_ICR_P15_Msk                       (0x03UL << PCD_ICR_P15_Pos)                             /*!< PCD ICR: P15 Mask                       */


/* ================================================================================ */
/* ================           struct 'PA' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PA_ODR  ----------------------------------- */
#define PA_ODR_P0_Pos                         0                                                       /*!< PA ODR: P0 Position                     */
#define PA_ODR_P0_Msk                         (0x01UL << PA_ODR_P0_Pos)                               /*!< PA ODR: P0 Mask                         */
#define PA_ODR_P1_Pos                         1                                                       /*!< PA ODR: P1 Position                     */
#define PA_ODR_P1_Msk                         (0x01UL << PA_ODR_P1_Pos)                               /*!< PA ODR: P1 Mask                         */
#define PA_ODR_P2_Pos                         2                                                       /*!< PA ODR: P2 Position                     */
#define PA_ODR_P2_Msk                         (0x01UL << PA_ODR_P2_Pos)                               /*!< PA ODR: P2 Mask                         */
#define PA_ODR_P3_Pos                         3                                                       /*!< PA ODR: P3 Position                     */
#define PA_ODR_P3_Msk                         (0x01UL << PA_ODR_P3_Pos)                               /*!< PA ODR: P3 Mask                         */
#define PA_ODR_P4_Pos                         4                                                       /*!< PA ODR: P4 Position                     */
#define PA_ODR_P4_Msk                         (0x01UL << PA_ODR_P4_Pos)                               /*!< PA ODR: P4 Mask                         */
#define PA_ODR_P5_Pos                         5                                                       /*!< PA ODR: P5 Position                     */
#define PA_ODR_P5_Msk                         (0x01UL << PA_ODR_P5_Pos)                               /*!< PA ODR: P5 Mask                         */
#define PA_ODR_P6_Pos                         6                                                       /*!< PA ODR: P6 Position                     */
#define PA_ODR_P6_Msk                         (0x01UL << PA_ODR_P6_Pos)                               /*!< PA ODR: P6 Mask                         */
#define PA_ODR_P7_Pos                         7                                                       /*!< PA ODR: P7 Position                     */
#define PA_ODR_P7_Msk                         (0x01UL << PA_ODR_P7_Pos)                               /*!< PA ODR: P7 Mask                         */
#define PA_ODR_P8_Pos                         8                                                       /*!< PA ODR: P8 Position                     */
#define PA_ODR_P8_Msk                         (0x01UL << PA_ODR_P8_Pos)                               /*!< PA ODR: P8 Mask                         */
#define PA_ODR_P9_Pos                         9                                                       /*!< PA ODR: P9 Position                     */
#define PA_ODR_P9_Msk                         (0x01UL << PA_ODR_P9_Pos)                               /*!< PA ODR: P9 Mask                         */
#define PA_ODR_P10_Pos                        10                                                      /*!< PA ODR: P10 Position                    */
#define PA_ODR_P10_Msk                        (0x01UL << PA_ODR_P10_Pos)                              /*!< PA ODR: P10 Mask                        */
#define PA_ODR_P11_Pos                        11                                                      /*!< PA ODR: P11 Position                    */
#define PA_ODR_P11_Msk                        (0x01UL << PA_ODR_P11_Pos)                              /*!< PA ODR: P11 Mask                        */
#define PA_ODR_P12_Pos                        12                                                      /*!< PA ODR: P12 Position                    */
#define PA_ODR_P12_Msk                        (0x01UL << PA_ODR_P12_Pos)                              /*!< PA ODR: P12 Mask                        */
#define PA_ODR_P13_Pos                        13                                                      /*!< PA ODR: P13 Position                    */
#define PA_ODR_P13_Msk                        (0x01UL << PA_ODR_P13_Pos)                              /*!< PA ODR: P13 Mask                        */
#define PA_ODR_P14_Pos                        14                                                      /*!< PA ODR: P14 Position                    */
#define PA_ODR_P14_Msk                        (0x01UL << PA_ODR_P14_Pos)                              /*!< PA ODR: P14 Mask                        */
#define PA_ODR_P15_Pos                        15                                                      /*!< PA ODR: P15 Position                    */
#define PA_ODR_P15_Msk                        (0x01UL << PA_ODR_P15_Pos)                              /*!< PA ODR: P15 Mask                        */

/* -----------------------------------  PA_IDR  ----------------------------------- */
#define PA_IDR_P0_Pos                         0                                                       /*!< PA IDR: P0 Position                     */
#define PA_IDR_P0_Msk                         (0x01UL << PA_IDR_P0_Pos)                               /*!< PA IDR: P0 Mask                         */
#define PA_IDR_P1_Pos                         1                                                       /*!< PA IDR: P1 Position                     */
#define PA_IDR_P1_Msk                         (0x01UL << PA_IDR_P1_Pos)                               /*!< PA IDR: P1 Mask                         */
#define PA_IDR_P2_Pos                         2                                                       /*!< PA IDR: P2 Position                     */
#define PA_IDR_P2_Msk                         (0x01UL << PA_IDR_P2_Pos)                               /*!< PA IDR: P2 Mask                         */
#define PA_IDR_P3_Pos                         3                                                       /*!< PA IDR: P3 Position                     */
#define PA_IDR_P3_Msk                         (0x01UL << PA_IDR_P3_Pos)                               /*!< PA IDR: P3 Mask                         */
#define PA_IDR_P4_Pos                         4                                                       /*!< PA IDR: P4 Position                     */
#define PA_IDR_P4_Msk                         (0x01UL << PA_IDR_P4_Pos)                               /*!< PA IDR: P4 Mask                         */
#define PA_IDR_P5_Pos                         5                                                       /*!< PA IDR: P5 Position                     */
#define PA_IDR_P5_Msk                         (0x01UL << PA_IDR_P5_Pos)                               /*!< PA IDR: P5 Mask                         */
#define PA_IDR_P6_Pos                         6                                                       /*!< PA IDR: P6 Position                     */
#define PA_IDR_P6_Msk                         (0x01UL << PA_IDR_P6_Pos)                               /*!< PA IDR: P6 Mask                         */
#define PA_IDR_P7_Pos                         7                                                       /*!< PA IDR: P7 Position                     */
#define PA_IDR_P7_Msk                         (0x01UL << PA_IDR_P7_Pos)                               /*!< PA IDR: P7 Mask                         */
#define PA_IDR_P8_Pos                         8                                                       /*!< PA IDR: P8 Position                     */
#define PA_IDR_P8_Msk                         (0x01UL << PA_IDR_P8_Pos)                               /*!< PA IDR: P8 Mask                         */
#define PA_IDR_P9_Pos                         9                                                       /*!< PA IDR: P9 Position                     */
#define PA_IDR_P9_Msk                         (0x01UL << PA_IDR_P9_Pos)                               /*!< PA IDR: P9 Mask                         */
#define PA_IDR_P10_Pos                        10                                                      /*!< PA IDR: P10 Position                    */
#define PA_IDR_P10_Msk                        (0x01UL << PA_IDR_P10_Pos)                              /*!< PA IDR: P10 Mask                        */
#define PA_IDR_P11_Pos                        11                                                      /*!< PA IDR: P11 Position                    */
#define PA_IDR_P11_Msk                        (0x01UL << PA_IDR_P11_Pos)                              /*!< PA IDR: P11 Mask                        */
#define PA_IDR_P12_Pos                        12                                                      /*!< PA IDR: P12 Position                    */
#define PA_IDR_P12_Msk                        (0x01UL << PA_IDR_P12_Pos)                              /*!< PA IDR: P12 Mask                        */
#define PA_IDR_P13_Pos                        13                                                      /*!< PA IDR: P13 Position                    */
#define PA_IDR_P13_Msk                        (0x01UL << PA_IDR_P13_Pos)                              /*!< PA IDR: P13 Mask                        */
#define PA_IDR_P14_Pos                        14                                                      /*!< PA IDR: P14 Position                    */
#define PA_IDR_P14_Msk                        (0x01UL << PA_IDR_P14_Pos)                              /*!< PA IDR: P14 Mask                        */
#define PA_IDR_P15_Pos                        15                                                      /*!< PA IDR: P15 Position                    */
#define PA_IDR_P15_Msk                        (0x01UL << PA_IDR_P15_Pos)                              /*!< PA IDR: P15 Mask                        */

/* -----------------------------------  PA_BSR  ----------------------------------- */
#define PA_BSR_P0_Pos                         0                                                       /*!< PA BSR: P0 Position                     */
#define PA_BSR_P0_Msk                         (0x01UL << PA_BSR_P0_Pos)                               /*!< PA BSR: P0 Mask                         */
#define PA_BSR_P1_Pos                         1                                                       /*!< PA BSR: P1 Position                     */
#define PA_BSR_P1_Msk                         (0x01UL << PA_BSR_P1_Pos)                               /*!< PA BSR: P1 Mask                         */
#define PA_BSR_P2_Pos                         2                                                       /*!< PA BSR: P2 Position                     */
#define PA_BSR_P2_Msk                         (0x01UL << PA_BSR_P2_Pos)                               /*!< PA BSR: P2 Mask                         */
#define PA_BSR_P3_Pos                         3                                                       /*!< PA BSR: P3 Position                     */
#define PA_BSR_P3_Msk                         (0x01UL << PA_BSR_P3_Pos)                               /*!< PA BSR: P3 Mask                         */
#define PA_BSR_P4_Pos                         4                                                       /*!< PA BSR: P4 Position                     */
#define PA_BSR_P4_Msk                         (0x01UL << PA_BSR_P4_Pos)                               /*!< PA BSR: P4 Mask                         */
#define PA_BSR_P5_Pos                         5                                                       /*!< PA BSR: P5 Position                     */
#define PA_BSR_P5_Msk                         (0x01UL << PA_BSR_P5_Pos)                               /*!< PA BSR: P5 Mask                         */
#define PA_BSR_P6_Pos                         6                                                       /*!< PA BSR: P6 Position                     */
#define PA_BSR_P6_Msk                         (0x01UL << PA_BSR_P6_Pos)                               /*!< PA BSR: P6 Mask                         */
#define PA_BSR_P7_Pos                         7                                                       /*!< PA BSR: P7 Position                     */
#define PA_BSR_P7_Msk                         (0x01UL << PA_BSR_P7_Pos)                               /*!< PA BSR: P7 Mask                         */
#define PA_BSR_P8_Pos                         8                                                       /*!< PA BSR: P8 Position                     */
#define PA_BSR_P8_Msk                         (0x01UL << PA_BSR_P8_Pos)                               /*!< PA BSR: P8 Mask                         */
#define PA_BSR_P9_Pos                         9                                                       /*!< PA BSR: P9 Position                     */
#define PA_BSR_P9_Msk                         (0x01UL << PA_BSR_P9_Pos)                               /*!< PA BSR: P9 Mask                         */
#define PA_BSR_P10_Pos                        10                                                      /*!< PA BSR: P10 Position                    */
#define PA_BSR_P10_Msk                        (0x01UL << PA_BSR_P10_Pos)                              /*!< PA BSR: P10 Mask                        */
#define PA_BSR_P11_Pos                        11                                                      /*!< PA BSR: P11 Position                    */
#define PA_BSR_P11_Msk                        (0x01UL << PA_BSR_P11_Pos)                              /*!< PA BSR: P11 Mask                        */
#define PA_BSR_P12_Pos                        12                                                      /*!< PA BSR: P12 Position                    */
#define PA_BSR_P12_Msk                        (0x01UL << PA_BSR_P12_Pos)                              /*!< PA BSR: P12 Mask                        */
#define PA_BSR_P13_Pos                        13                                                      /*!< PA BSR: P13 Position                    */
#define PA_BSR_P13_Msk                        (0x01UL << PA_BSR_P13_Pos)                              /*!< PA BSR: P13 Mask                        */
#define PA_BSR_P14_Pos                        14                                                      /*!< PA BSR: P14 Position                    */
#define PA_BSR_P14_Msk                        (0x01UL << PA_BSR_P14_Pos)                              /*!< PA BSR: P14 Mask                        */
#define PA_BSR_P15_Pos                        15                                                      /*!< PA BSR: P15 Position                    */
#define PA_BSR_P15_Msk                        (0x01UL << PA_BSR_P15_Pos)                              /*!< PA BSR: P15 Mask                        */

/* -----------------------------------  PA_BCR  ----------------------------------- */
#define PA_BCR_P0_Pos                         0                                                       /*!< PA BCR: P0 Position                     */
#define PA_BCR_P0_Msk                         (0x01UL << PA_BCR_P0_Pos)                               /*!< PA BCR: P0 Mask                         */
#define PA_BCR_P1_Pos                         1                                                       /*!< PA BCR: P1 Position                     */
#define PA_BCR_P1_Msk                         (0x01UL << PA_BCR_P1_Pos)                               /*!< PA BCR: P1 Mask                         */
#define PA_BCR_P2_Pos                         2                                                       /*!< PA BCR: P2 Position                     */
#define PA_BCR_P2_Msk                         (0x01UL << PA_BCR_P2_Pos)                               /*!< PA BCR: P2 Mask                         */
#define PA_BCR_P3_Pos                         3                                                       /*!< PA BCR: P3 Position                     */
#define PA_BCR_P3_Msk                         (0x01UL << PA_BCR_P3_Pos)                               /*!< PA BCR: P3 Mask                         */
#define PA_BCR_P4_Pos                         4                                                       /*!< PA BCR: P4 Position                     */
#define PA_BCR_P4_Msk                         (0x01UL << PA_BCR_P4_Pos)                               /*!< PA BCR: P4 Mask                         */
#define PA_BCR_P5_Pos                         5                                                       /*!< PA BCR: P5 Position                     */
#define PA_BCR_P5_Msk                         (0x01UL << PA_BCR_P5_Pos)                               /*!< PA BCR: P5 Mask                         */
#define PA_BCR_P6_Pos                         6                                                       /*!< PA BCR: P6 Position                     */
#define PA_BCR_P6_Msk                         (0x01UL << PA_BCR_P6_Pos)                               /*!< PA BCR: P6 Mask                         */
#define PA_BCR_P7_Pos                         7                                                       /*!< PA BCR: P7 Position                     */
#define PA_BCR_P7_Msk                         (0x01UL << PA_BCR_P7_Pos)                               /*!< PA BCR: P7 Mask                         */
#define PA_BCR_P8_Pos                         8                                                       /*!< PA BCR: P8 Position                     */
#define PA_BCR_P8_Msk                         (0x01UL << PA_BCR_P8_Pos)                               /*!< PA BCR: P8 Mask                         */
#define PA_BCR_P9_Pos                         9                                                       /*!< PA BCR: P9 Position                     */
#define PA_BCR_P9_Msk                         (0x01UL << PA_BCR_P9_Pos)                               /*!< PA BCR: P9 Mask                         */
#define PA_BCR_P10_Pos                        10                                                      /*!< PA BCR: P10 Position                    */
#define PA_BCR_P10_Msk                        (0x01UL << PA_BCR_P10_Pos)                              /*!< PA BCR: P10 Mask                        */
#define PA_BCR_P11_Pos                        11                                                      /*!< PA BCR: P11 Position                    */
#define PA_BCR_P11_Msk                        (0x01UL << PA_BCR_P11_Pos)                              /*!< PA BCR: P11 Mask                        */
#define PA_BCR_P12_Pos                        12                                                      /*!< PA BCR: P12 Position                    */
#define PA_BCR_P12_Msk                        (0x01UL << PA_BCR_P12_Pos)                              /*!< PA BCR: P12 Mask                        */
#define PA_BCR_P13_Pos                        13                                                      /*!< PA BCR: P13 Position                    */
#define PA_BCR_P13_Msk                        (0x01UL << PA_BCR_P13_Pos)                              /*!< PA BCR: P13 Mask                        */
#define PA_BCR_P14_Pos                        14                                                      /*!< PA BCR: P14 Position                    */
#define PA_BCR_P14_Msk                        (0x01UL << PA_BCR_P14_Pos)                              /*!< PA BCR: P14 Mask                        */
#define PA_BCR_P15_Pos                        15                                                      /*!< PA BCR: P15 Position                    */
#define PA_BCR_P15_Msk                        (0x01UL << PA_BCR_P15_Pos)                              /*!< PA BCR: P15 Mask                        */


/* ================================================================================ */
/* ================           struct 'PB' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PB_ODR  ----------------------------------- */
#define PB_ODR_P0_Pos                         0                                                       /*!< PB ODR: P0 Position                     */
#define PB_ODR_P0_Msk                         (0x01UL << PB_ODR_P0_Pos)                               /*!< PB ODR: P0 Mask                         */
#define PB_ODR_P1_Pos                         1                                                       /*!< PB ODR: P1 Position                     */
#define PB_ODR_P1_Msk                         (0x01UL << PB_ODR_P1_Pos)                               /*!< PB ODR: P1 Mask                         */
#define PB_ODR_P2_Pos                         2                                                       /*!< PB ODR: P2 Position                     */
#define PB_ODR_P2_Msk                         (0x01UL << PB_ODR_P2_Pos)                               /*!< PB ODR: P2 Mask                         */
#define PB_ODR_P3_Pos                         3                                                       /*!< PB ODR: P3 Position                     */
#define PB_ODR_P3_Msk                         (0x01UL << PB_ODR_P3_Pos)                               /*!< PB ODR: P3 Mask                         */
#define PB_ODR_P4_Pos                         4                                                       /*!< PB ODR: P4 Position                     */
#define PB_ODR_P4_Msk                         (0x01UL << PB_ODR_P4_Pos)                               /*!< PB ODR: P4 Mask                         */
#define PB_ODR_P5_Pos                         5                                                       /*!< PB ODR: P5 Position                     */
#define PB_ODR_P5_Msk                         (0x01UL << PB_ODR_P5_Pos)                               /*!< PB ODR: P5 Mask                         */
#define PB_ODR_P6_Pos                         6                                                       /*!< PB ODR: P6 Position                     */
#define PB_ODR_P6_Msk                         (0x01UL << PB_ODR_P6_Pos)                               /*!< PB ODR: P6 Mask                         */
#define PB_ODR_P7_Pos                         7                                                       /*!< PB ODR: P7 Position                     */
#define PB_ODR_P7_Msk                         (0x01UL << PB_ODR_P7_Pos)                               /*!< PB ODR: P7 Mask                         */
#define PB_ODR_P8_Pos                         8                                                       /*!< PB ODR: P8 Position                     */
#define PB_ODR_P8_Msk                         (0x01UL << PB_ODR_P8_Pos)                               /*!< PB ODR: P8 Mask                         */
#define PB_ODR_P9_Pos                         9                                                       /*!< PB ODR: P9 Position                     */
#define PB_ODR_P9_Msk                         (0x01UL << PB_ODR_P9_Pos)                               /*!< PB ODR: P9 Mask                         */
#define PB_ODR_P10_Pos                        10                                                      /*!< PB ODR: P10 Position                    */
#define PB_ODR_P10_Msk                        (0x01UL << PB_ODR_P10_Pos)                              /*!< PB ODR: P10 Mask                        */
#define PB_ODR_P11_Pos                        11                                                      /*!< PB ODR: P11 Position                    */
#define PB_ODR_P11_Msk                        (0x01UL << PB_ODR_P11_Pos)                              /*!< PB ODR: P11 Mask                        */
#define PB_ODR_P12_Pos                        12                                                      /*!< PB ODR: P12 Position                    */
#define PB_ODR_P12_Msk                        (0x01UL << PB_ODR_P12_Pos)                              /*!< PB ODR: P12 Mask                        */
#define PB_ODR_P13_Pos                        13                                                      /*!< PB ODR: P13 Position                    */
#define PB_ODR_P13_Msk                        (0x01UL << PB_ODR_P13_Pos)                              /*!< PB ODR: P13 Mask                        */
#define PB_ODR_P14_Pos                        14                                                      /*!< PB ODR: P14 Position                    */
#define PB_ODR_P14_Msk                        (0x01UL << PB_ODR_P14_Pos)                              /*!< PB ODR: P14 Mask                        */
#define PB_ODR_P15_Pos                        15                                                      /*!< PB ODR: P15 Position                    */
#define PB_ODR_P15_Msk                        (0x01UL << PB_ODR_P15_Pos)                              /*!< PB ODR: P15 Mask                        */

/* -----------------------------------  PB_IDR  ----------------------------------- */
#define PB_IDR_P0_Pos                         0                                                       /*!< PB IDR: P0 Position                     */
#define PB_IDR_P0_Msk                         (0x01UL << PB_IDR_P0_Pos)                               /*!< PB IDR: P0 Mask                         */
#define PB_IDR_P1_Pos                         1                                                       /*!< PB IDR: P1 Position                     */
#define PB_IDR_P1_Msk                         (0x01UL << PB_IDR_P1_Pos)                               /*!< PB IDR: P1 Mask                         */
#define PB_IDR_P2_Pos                         2                                                       /*!< PB IDR: P2 Position                     */
#define PB_IDR_P2_Msk                         (0x01UL << PB_IDR_P2_Pos)                               /*!< PB IDR: P2 Mask                         */
#define PB_IDR_P3_Pos                         3                                                       /*!< PB IDR: P3 Position                     */
#define PB_IDR_P3_Msk                         (0x01UL << PB_IDR_P3_Pos)                               /*!< PB IDR: P3 Mask                         */
#define PB_IDR_P4_Pos                         4                                                       /*!< PB IDR: P4 Position                     */
#define PB_IDR_P4_Msk                         (0x01UL << PB_IDR_P4_Pos)                               /*!< PB IDR: P4 Mask                         */
#define PB_IDR_P5_Pos                         5                                                       /*!< PB IDR: P5 Position                     */
#define PB_IDR_P5_Msk                         (0x01UL << PB_IDR_P5_Pos)                               /*!< PB IDR: P5 Mask                         */
#define PB_IDR_P6_Pos                         6                                                       /*!< PB IDR: P6 Position                     */
#define PB_IDR_P6_Msk                         (0x01UL << PB_IDR_P6_Pos)                               /*!< PB IDR: P6 Mask                         */
#define PB_IDR_P7_Pos                         7                                                       /*!< PB IDR: P7 Position                     */
#define PB_IDR_P7_Msk                         (0x01UL << PB_IDR_P7_Pos)                               /*!< PB IDR: P7 Mask                         */
#define PB_IDR_P8_Pos                         8                                                       /*!< PB IDR: P8 Position                     */
#define PB_IDR_P8_Msk                         (0x01UL << PB_IDR_P8_Pos)                               /*!< PB IDR: P8 Mask                         */
#define PB_IDR_P9_Pos                         9                                                       /*!< PB IDR: P9 Position                     */
#define PB_IDR_P9_Msk                         (0x01UL << PB_IDR_P9_Pos)                               /*!< PB IDR: P9 Mask                         */
#define PB_IDR_P10_Pos                        10                                                      /*!< PB IDR: P10 Position                    */
#define PB_IDR_P10_Msk                        (0x01UL << PB_IDR_P10_Pos)                              /*!< PB IDR: P10 Mask                        */
#define PB_IDR_P11_Pos                        11                                                      /*!< PB IDR: P11 Position                    */
#define PB_IDR_P11_Msk                        (0x01UL << PB_IDR_P11_Pos)                              /*!< PB IDR: P11 Mask                        */
#define PB_IDR_P12_Pos                        12                                                      /*!< PB IDR: P12 Position                    */
#define PB_IDR_P12_Msk                        (0x01UL << PB_IDR_P12_Pos)                              /*!< PB IDR: P12 Mask                        */
#define PB_IDR_P13_Pos                        13                                                      /*!< PB IDR: P13 Position                    */
#define PB_IDR_P13_Msk                        (0x01UL << PB_IDR_P13_Pos)                              /*!< PB IDR: P13 Mask                        */
#define PB_IDR_P14_Pos                        14                                                      /*!< PB IDR: P14 Position                    */
#define PB_IDR_P14_Msk                        (0x01UL << PB_IDR_P14_Pos)                              /*!< PB IDR: P14 Mask                        */
#define PB_IDR_P15_Pos                        15                                                      /*!< PB IDR: P15 Position                    */
#define PB_IDR_P15_Msk                        (0x01UL << PB_IDR_P15_Pos)                              /*!< PB IDR: P15 Mask                        */

/* -----------------------------------  PB_BSR  ----------------------------------- */
#define PB_BSR_P0_Pos                         0                                                       /*!< PB BSR: P0 Position                     */
#define PB_BSR_P0_Msk                         (0x01UL << PB_BSR_P0_Pos)                               /*!< PB BSR: P0 Mask                         */
#define PB_BSR_P1_Pos                         1                                                       /*!< PB BSR: P1 Position                     */
#define PB_BSR_P1_Msk                         (0x01UL << PB_BSR_P1_Pos)                               /*!< PB BSR: P1 Mask                         */
#define PB_BSR_P2_Pos                         2                                                       /*!< PB BSR: P2 Position                     */
#define PB_BSR_P2_Msk                         (0x01UL << PB_BSR_P2_Pos)                               /*!< PB BSR: P2 Mask                         */
#define PB_BSR_P3_Pos                         3                                                       /*!< PB BSR: P3 Position                     */
#define PB_BSR_P3_Msk                         (0x01UL << PB_BSR_P3_Pos)                               /*!< PB BSR: P3 Mask                         */
#define PB_BSR_P4_Pos                         4                                                       /*!< PB BSR: P4 Position                     */
#define PB_BSR_P4_Msk                         (0x01UL << PB_BSR_P4_Pos)                               /*!< PB BSR: P4 Mask                         */
#define PB_BSR_P5_Pos                         5                                                       /*!< PB BSR: P5 Position                     */
#define PB_BSR_P5_Msk                         (0x01UL << PB_BSR_P5_Pos)                               /*!< PB BSR: P5 Mask                         */
#define PB_BSR_P6_Pos                         6                                                       /*!< PB BSR: P6 Position                     */
#define PB_BSR_P6_Msk                         (0x01UL << PB_BSR_P6_Pos)                               /*!< PB BSR: P6 Mask                         */
#define PB_BSR_P7_Pos                         7                                                       /*!< PB BSR: P7 Position                     */
#define PB_BSR_P7_Msk                         (0x01UL << PB_BSR_P7_Pos)                               /*!< PB BSR: P7 Mask                         */
#define PB_BSR_P8_Pos                         8                                                       /*!< PB BSR: P8 Position                     */
#define PB_BSR_P8_Msk                         (0x01UL << PB_BSR_P8_Pos)                               /*!< PB BSR: P8 Mask                         */
#define PB_BSR_P9_Pos                         9                                                       /*!< PB BSR: P9 Position                     */
#define PB_BSR_P9_Msk                         (0x01UL << PB_BSR_P9_Pos)                               /*!< PB BSR: P9 Mask                         */
#define PB_BSR_P10_Pos                        10                                                      /*!< PB BSR: P10 Position                    */
#define PB_BSR_P10_Msk                        (0x01UL << PB_BSR_P10_Pos)                              /*!< PB BSR: P10 Mask                        */
#define PB_BSR_P11_Pos                        11                                                      /*!< PB BSR: P11 Position                    */
#define PB_BSR_P11_Msk                        (0x01UL << PB_BSR_P11_Pos)                              /*!< PB BSR: P11 Mask                        */
#define PB_BSR_P12_Pos                        12                                                      /*!< PB BSR: P12 Position                    */
#define PB_BSR_P12_Msk                        (0x01UL << PB_BSR_P12_Pos)                              /*!< PB BSR: P12 Mask                        */
#define PB_BSR_P13_Pos                        13                                                      /*!< PB BSR: P13 Position                    */
#define PB_BSR_P13_Msk                        (0x01UL << PB_BSR_P13_Pos)                              /*!< PB BSR: P13 Mask                        */
#define PB_BSR_P14_Pos                        14                                                      /*!< PB BSR: P14 Position                    */
#define PB_BSR_P14_Msk                        (0x01UL << PB_BSR_P14_Pos)                              /*!< PB BSR: P14 Mask                        */
#define PB_BSR_P15_Pos                        15                                                      /*!< PB BSR: P15 Position                    */
#define PB_BSR_P15_Msk                        (0x01UL << PB_BSR_P15_Pos)                              /*!< PB BSR: P15 Mask                        */

/* -----------------------------------  PB_BCR  ----------------------------------- */
#define PB_BCR_P0_Pos                         0                                                       /*!< PB BCR: P0 Position                     */
#define PB_BCR_P0_Msk                         (0x01UL << PB_BCR_P0_Pos)                               /*!< PB BCR: P0 Mask                         */
#define PB_BCR_P1_Pos                         1                                                       /*!< PB BCR: P1 Position                     */
#define PB_BCR_P1_Msk                         (0x01UL << PB_BCR_P1_Pos)                               /*!< PB BCR: P1 Mask                         */
#define PB_BCR_P2_Pos                         2                                                       /*!< PB BCR: P2 Position                     */
#define PB_BCR_P2_Msk                         (0x01UL << PB_BCR_P2_Pos)                               /*!< PB BCR: P2 Mask                         */
#define PB_BCR_P3_Pos                         3                                                       /*!< PB BCR: P3 Position                     */
#define PB_BCR_P3_Msk                         (0x01UL << PB_BCR_P3_Pos)                               /*!< PB BCR: P3 Mask                         */
#define PB_BCR_P4_Pos                         4                                                       /*!< PB BCR: P4 Position                     */
#define PB_BCR_P4_Msk                         (0x01UL << PB_BCR_P4_Pos)                               /*!< PB BCR: P4 Mask                         */
#define PB_BCR_P5_Pos                         5                                                       /*!< PB BCR: P5 Position                     */
#define PB_BCR_P5_Msk                         (0x01UL << PB_BCR_P5_Pos)                               /*!< PB BCR: P5 Mask                         */
#define PB_BCR_P6_Pos                         6                                                       /*!< PB BCR: P6 Position                     */
#define PB_BCR_P6_Msk                         (0x01UL << PB_BCR_P6_Pos)                               /*!< PB BCR: P6 Mask                         */
#define PB_BCR_P7_Pos                         7                                                       /*!< PB BCR: P7 Position                     */
#define PB_BCR_P7_Msk                         (0x01UL << PB_BCR_P7_Pos)                               /*!< PB BCR: P7 Mask                         */
#define PB_BCR_P8_Pos                         8                                                       /*!< PB BCR: P8 Position                     */
#define PB_BCR_P8_Msk                         (0x01UL << PB_BCR_P8_Pos)                               /*!< PB BCR: P8 Mask                         */
#define PB_BCR_P9_Pos                         9                                                       /*!< PB BCR: P9 Position                     */
#define PB_BCR_P9_Msk                         (0x01UL << PB_BCR_P9_Pos)                               /*!< PB BCR: P9 Mask                         */
#define PB_BCR_P10_Pos                        10                                                      /*!< PB BCR: P10 Position                    */
#define PB_BCR_P10_Msk                        (0x01UL << PB_BCR_P10_Pos)                              /*!< PB BCR: P10 Mask                        */
#define PB_BCR_P11_Pos                        11                                                      /*!< PB BCR: P11 Position                    */
#define PB_BCR_P11_Msk                        (0x01UL << PB_BCR_P11_Pos)                              /*!< PB BCR: P11 Mask                        */
#define PB_BCR_P12_Pos                        12                                                      /*!< PB BCR: P12 Position                    */
#define PB_BCR_P12_Msk                        (0x01UL << PB_BCR_P12_Pos)                              /*!< PB BCR: P12 Mask                        */
#define PB_BCR_P13_Pos                        13                                                      /*!< PB BCR: P13 Position                    */
#define PB_BCR_P13_Msk                        (0x01UL << PB_BCR_P13_Pos)                              /*!< PB BCR: P13 Mask                        */
#define PB_BCR_P14_Pos                        14                                                      /*!< PB BCR: P14 Position                    */
#define PB_BCR_P14_Msk                        (0x01UL << PB_BCR_P14_Pos)                              /*!< PB BCR: P14 Mask                        */
#define PB_BCR_P15_Pos                        15                                                      /*!< PB BCR: P15 Position                    */
#define PB_BCR_P15_Msk                        (0x01UL << PB_BCR_P15_Pos)                              /*!< PB BCR: P15 Mask                        */


/* ================================================================================ */
/* ================           struct 'PC' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PC_ODR  ----------------------------------- */
#define PC_ODR_P0_Pos                         0                                                       /*!< PC ODR: P0 Position                     */
#define PC_ODR_P0_Msk                         (0x01UL << PC_ODR_P0_Pos)                               /*!< PC ODR: P0 Mask                         */
#define PC_ODR_P1_Pos                         1                                                       /*!< PC ODR: P1 Position                     */
#define PC_ODR_P1_Msk                         (0x01UL << PC_ODR_P1_Pos)                               /*!< PC ODR: P1 Mask                         */
#define PC_ODR_P2_Pos                         2                                                       /*!< PC ODR: P2 Position                     */
#define PC_ODR_P2_Msk                         (0x01UL << PC_ODR_P2_Pos)                               /*!< PC ODR: P2 Mask                         */
#define PC_ODR_P3_Pos                         3                                                       /*!< PC ODR: P3 Position                     */
#define PC_ODR_P3_Msk                         (0x01UL << PC_ODR_P3_Pos)                               /*!< PC ODR: P3 Mask                         */
#define PC_ODR_P4_Pos                         4                                                       /*!< PC ODR: P4 Position                     */
#define PC_ODR_P4_Msk                         (0x01UL << PC_ODR_P4_Pos)                               /*!< PC ODR: P4 Mask                         */
#define PC_ODR_P5_Pos                         5                                                       /*!< PC ODR: P5 Position                     */
#define PC_ODR_P5_Msk                         (0x01UL << PC_ODR_P5_Pos)                               /*!< PC ODR: P5 Mask                         */
#define PC_ODR_P6_Pos                         6                                                       /*!< PC ODR: P6 Position                     */
#define PC_ODR_P6_Msk                         (0x01UL << PC_ODR_P6_Pos)                               /*!< PC ODR: P6 Mask                         */
#define PC_ODR_P7_Pos                         7                                                       /*!< PC ODR: P7 Position                     */
#define PC_ODR_P7_Msk                         (0x01UL << PC_ODR_P7_Pos)                               /*!< PC ODR: P7 Mask                         */
#define PC_ODR_P8_Pos                         8                                                       /*!< PC ODR: P8 Position                     */
#define PC_ODR_P8_Msk                         (0x01UL << PC_ODR_P8_Pos)                               /*!< PC ODR: P8 Mask                         */
#define PC_ODR_P9_Pos                         9                                                       /*!< PC ODR: P9 Position                     */
#define PC_ODR_P9_Msk                         (0x01UL << PC_ODR_P9_Pos)                               /*!< PC ODR: P9 Mask                         */
#define PC_ODR_P10_Pos                        10                                                      /*!< PC ODR: P10 Position                    */
#define PC_ODR_P10_Msk                        (0x01UL << PC_ODR_P10_Pos)                              /*!< PC ODR: P10 Mask                        */
#define PC_ODR_P11_Pos                        11                                                      /*!< PC ODR: P11 Position                    */
#define PC_ODR_P11_Msk                        (0x01UL << PC_ODR_P11_Pos)                              /*!< PC ODR: P11 Mask                        */
#define PC_ODR_P12_Pos                        12                                                      /*!< PC ODR: P12 Position                    */
#define PC_ODR_P12_Msk                        (0x01UL << PC_ODR_P12_Pos)                              /*!< PC ODR: P12 Mask                        */
#define PC_ODR_P13_Pos                        13                                                      /*!< PC ODR: P13 Position                    */
#define PC_ODR_P13_Msk                        (0x01UL << PC_ODR_P13_Pos)                              /*!< PC ODR: P13 Mask                        */
#define PC_ODR_P14_Pos                        14                                                      /*!< PC ODR: P14 Position                    */
#define PC_ODR_P14_Msk                        (0x01UL << PC_ODR_P14_Pos)                              /*!< PC ODR: P14 Mask                        */
#define PC_ODR_P15_Pos                        15                                                      /*!< PC ODR: P15 Position                    */
#define PC_ODR_P15_Msk                        (0x01UL << PC_ODR_P15_Pos)                              /*!< PC ODR: P15 Mask                        */

/* -----------------------------------  PC_IDR  ----------------------------------- */
#define PC_IDR_P0_Pos                         0                                                       /*!< PC IDR: P0 Position                     */
#define PC_IDR_P0_Msk                         (0x01UL << PC_IDR_P0_Pos)                               /*!< PC IDR: P0 Mask                         */
#define PC_IDR_P1_Pos                         1                                                       /*!< PC IDR: P1 Position                     */
#define PC_IDR_P1_Msk                         (0x01UL << PC_IDR_P1_Pos)                               /*!< PC IDR: P1 Mask                         */
#define PC_IDR_P2_Pos                         2                                                       /*!< PC IDR: P2 Position                     */
#define PC_IDR_P2_Msk                         (0x01UL << PC_IDR_P2_Pos)                               /*!< PC IDR: P2 Mask                         */
#define PC_IDR_P3_Pos                         3                                                       /*!< PC IDR: P3 Position                     */
#define PC_IDR_P3_Msk                         (0x01UL << PC_IDR_P3_Pos)                               /*!< PC IDR: P3 Mask                         */
#define PC_IDR_P4_Pos                         4                                                       /*!< PC IDR: P4 Position                     */
#define PC_IDR_P4_Msk                         (0x01UL << PC_IDR_P4_Pos)                               /*!< PC IDR: P4 Mask                         */
#define PC_IDR_P5_Pos                         5                                                       /*!< PC IDR: P5 Position                     */
#define PC_IDR_P5_Msk                         (0x01UL << PC_IDR_P5_Pos)                               /*!< PC IDR: P5 Mask                         */
#define PC_IDR_P6_Pos                         6                                                       /*!< PC IDR: P6 Position                     */
#define PC_IDR_P6_Msk                         (0x01UL << PC_IDR_P6_Pos)                               /*!< PC IDR: P6 Mask                         */
#define PC_IDR_P7_Pos                         7                                                       /*!< PC IDR: P7 Position                     */
#define PC_IDR_P7_Msk                         (0x01UL << PC_IDR_P7_Pos)                               /*!< PC IDR: P7 Mask                         */
#define PC_IDR_P8_Pos                         8                                                       /*!< PC IDR: P8 Position                     */
#define PC_IDR_P8_Msk                         (0x01UL << PC_IDR_P8_Pos)                               /*!< PC IDR: P8 Mask                         */
#define PC_IDR_P9_Pos                         9                                                       /*!< PC IDR: P9 Position                     */
#define PC_IDR_P9_Msk                         (0x01UL << PC_IDR_P9_Pos)                               /*!< PC IDR: P9 Mask                         */
#define PC_IDR_P10_Pos                        10                                                      /*!< PC IDR: P10 Position                    */
#define PC_IDR_P10_Msk                        (0x01UL << PC_IDR_P10_Pos)                              /*!< PC IDR: P10 Mask                        */
#define PC_IDR_P11_Pos                        11                                                      /*!< PC IDR: P11 Position                    */
#define PC_IDR_P11_Msk                        (0x01UL << PC_IDR_P11_Pos)                              /*!< PC IDR: P11 Mask                        */
#define PC_IDR_P12_Pos                        12                                                      /*!< PC IDR: P12 Position                    */
#define PC_IDR_P12_Msk                        (0x01UL << PC_IDR_P12_Pos)                              /*!< PC IDR: P12 Mask                        */
#define PC_IDR_P13_Pos                        13                                                      /*!< PC IDR: P13 Position                    */
#define PC_IDR_P13_Msk                        (0x01UL << PC_IDR_P13_Pos)                              /*!< PC IDR: P13 Mask                        */
#define PC_IDR_P14_Pos                        14                                                      /*!< PC IDR: P14 Position                    */
#define PC_IDR_P14_Msk                        (0x01UL << PC_IDR_P14_Pos)                              /*!< PC IDR: P14 Mask                        */
#define PC_IDR_P15_Pos                        15                                                      /*!< PC IDR: P15 Position                    */
#define PC_IDR_P15_Msk                        (0x01UL << PC_IDR_P15_Pos)                              /*!< PC IDR: P15 Mask                        */

/* -----------------------------------  PC_BSR  ----------------------------------- */
#define PC_BSR_P0_Pos                         0                                                       /*!< PC BSR: P0 Position                     */
#define PC_BSR_P0_Msk                         (0x01UL << PC_BSR_P0_Pos)                               /*!< PC BSR: P0 Mask                         */
#define PC_BSR_P1_Pos                         1                                                       /*!< PC BSR: P1 Position                     */
#define PC_BSR_P1_Msk                         (0x01UL << PC_BSR_P1_Pos)                               /*!< PC BSR: P1 Mask                         */
#define PC_BSR_P2_Pos                         2                                                       /*!< PC BSR: P2 Position                     */
#define PC_BSR_P2_Msk                         (0x01UL << PC_BSR_P2_Pos)                               /*!< PC BSR: P2 Mask                         */
#define PC_BSR_P3_Pos                         3                                                       /*!< PC BSR: P3 Position                     */
#define PC_BSR_P3_Msk                         (0x01UL << PC_BSR_P3_Pos)                               /*!< PC BSR: P3 Mask                         */
#define PC_BSR_P4_Pos                         4                                                       /*!< PC BSR: P4 Position                     */
#define PC_BSR_P4_Msk                         (0x01UL << PC_BSR_P4_Pos)                               /*!< PC BSR: P4 Mask                         */
#define PC_BSR_P5_Pos                         5                                                       /*!< PC BSR: P5 Position                     */
#define PC_BSR_P5_Msk                         (0x01UL << PC_BSR_P5_Pos)                               /*!< PC BSR: P5 Mask                         */
#define PC_BSR_P6_Pos                         6                                                       /*!< PC BSR: P6 Position                     */
#define PC_BSR_P6_Msk                         (0x01UL << PC_BSR_P6_Pos)                               /*!< PC BSR: P6 Mask                         */
#define PC_BSR_P7_Pos                         7                                                       /*!< PC BSR: P7 Position                     */
#define PC_BSR_P7_Msk                         (0x01UL << PC_BSR_P7_Pos)                               /*!< PC BSR: P7 Mask                         */
#define PC_BSR_P8_Pos                         8                                                       /*!< PC BSR: P8 Position                     */
#define PC_BSR_P8_Msk                         (0x01UL << PC_BSR_P8_Pos)                               /*!< PC BSR: P8 Mask                         */
#define PC_BSR_P9_Pos                         9                                                       /*!< PC BSR: P9 Position                     */
#define PC_BSR_P9_Msk                         (0x01UL << PC_BSR_P9_Pos)                               /*!< PC BSR: P9 Mask                         */
#define PC_BSR_P10_Pos                        10                                                      /*!< PC BSR: P10 Position                    */
#define PC_BSR_P10_Msk                        (0x01UL << PC_BSR_P10_Pos)                              /*!< PC BSR: P10 Mask                        */
#define PC_BSR_P11_Pos                        11                                                      /*!< PC BSR: P11 Position                    */
#define PC_BSR_P11_Msk                        (0x01UL << PC_BSR_P11_Pos)                              /*!< PC BSR: P11 Mask                        */
#define PC_BSR_P12_Pos                        12                                                      /*!< PC BSR: P12 Position                    */
#define PC_BSR_P12_Msk                        (0x01UL << PC_BSR_P12_Pos)                              /*!< PC BSR: P12 Mask                        */
#define PC_BSR_P13_Pos                        13                                                      /*!< PC BSR: P13 Position                    */
#define PC_BSR_P13_Msk                        (0x01UL << PC_BSR_P13_Pos)                              /*!< PC BSR: P13 Mask                        */
#define PC_BSR_P14_Pos                        14                                                      /*!< PC BSR: P14 Position                    */
#define PC_BSR_P14_Msk                        (0x01UL << PC_BSR_P14_Pos)                              /*!< PC BSR: P14 Mask                        */
#define PC_BSR_P15_Pos                        15                                                      /*!< PC BSR: P15 Position                    */
#define PC_BSR_P15_Msk                        (0x01UL << PC_BSR_P15_Pos)                              /*!< PC BSR: P15 Mask                        */

/* -----------------------------------  PC_BCR  ----------------------------------- */
#define PC_BCR_P0_Pos                         0                                                       /*!< PC BCR: P0 Position                     */
#define PC_BCR_P0_Msk                         (0x01UL << PC_BCR_P0_Pos)                               /*!< PC BCR: P0 Mask                         */
#define PC_BCR_P1_Pos                         1                                                       /*!< PC BCR: P1 Position                     */
#define PC_BCR_P1_Msk                         (0x01UL << PC_BCR_P1_Pos)                               /*!< PC BCR: P1 Mask                         */
#define PC_BCR_P2_Pos                         2                                                       /*!< PC BCR: P2 Position                     */
#define PC_BCR_P2_Msk                         (0x01UL << PC_BCR_P2_Pos)                               /*!< PC BCR: P2 Mask                         */
#define PC_BCR_P3_Pos                         3                                                       /*!< PC BCR: P3 Position                     */
#define PC_BCR_P3_Msk                         (0x01UL << PC_BCR_P3_Pos)                               /*!< PC BCR: P3 Mask                         */
#define PC_BCR_P4_Pos                         4                                                       /*!< PC BCR: P4 Position                     */
#define PC_BCR_P4_Msk                         (0x01UL << PC_BCR_P4_Pos)                               /*!< PC BCR: P4 Mask                         */
#define PC_BCR_P5_Pos                         5                                                       /*!< PC BCR: P5 Position                     */
#define PC_BCR_P5_Msk                         (0x01UL << PC_BCR_P5_Pos)                               /*!< PC BCR: P5 Mask                         */
#define PC_BCR_P6_Pos                         6                                                       /*!< PC BCR: P6 Position                     */
#define PC_BCR_P6_Msk                         (0x01UL << PC_BCR_P6_Pos)                               /*!< PC BCR: P6 Mask                         */
#define PC_BCR_P7_Pos                         7                                                       /*!< PC BCR: P7 Position                     */
#define PC_BCR_P7_Msk                         (0x01UL << PC_BCR_P7_Pos)                               /*!< PC BCR: P7 Mask                         */
#define PC_BCR_P8_Pos                         8                                                       /*!< PC BCR: P8 Position                     */
#define PC_BCR_P8_Msk                         (0x01UL << PC_BCR_P8_Pos)                               /*!< PC BCR: P8 Mask                         */
#define PC_BCR_P9_Pos                         9                                                       /*!< PC BCR: P9 Position                     */
#define PC_BCR_P9_Msk                         (0x01UL << PC_BCR_P9_Pos)                               /*!< PC BCR: P9 Mask                         */
#define PC_BCR_P10_Pos                        10                                                      /*!< PC BCR: P10 Position                    */
#define PC_BCR_P10_Msk                        (0x01UL << PC_BCR_P10_Pos)                              /*!< PC BCR: P10 Mask                        */
#define PC_BCR_P11_Pos                        11                                                      /*!< PC BCR: P11 Position                    */
#define PC_BCR_P11_Msk                        (0x01UL << PC_BCR_P11_Pos)                              /*!< PC BCR: P11 Mask                        */
#define PC_BCR_P12_Pos                        12                                                      /*!< PC BCR: P12 Position                    */
#define PC_BCR_P12_Msk                        (0x01UL << PC_BCR_P12_Pos)                              /*!< PC BCR: P12 Mask                        */
#define PC_BCR_P13_Pos                        13                                                      /*!< PC BCR: P13 Position                    */
#define PC_BCR_P13_Msk                        (0x01UL << PC_BCR_P13_Pos)                              /*!< PC BCR: P13 Mask                        */
#define PC_BCR_P14_Pos                        14                                                      /*!< PC BCR: P14 Position                    */
#define PC_BCR_P14_Msk                        (0x01UL << PC_BCR_P14_Pos)                              /*!< PC BCR: P14 Mask                        */
#define PC_BCR_P15_Pos                        15                                                      /*!< PC BCR: P15 Position                    */
#define PC_BCR_P15_Msk                        (0x01UL << PC_BCR_P15_Pos)                              /*!< PC BCR: P15 Mask                        */


/* ================================================================================ */
/* ================           struct 'PD' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PD_ODR  ----------------------------------- */
#define PD_ODR_P0_Pos                         0                                                       /*!< PD ODR: P0 Position                     */
#define PD_ODR_P0_Msk                         (0x01UL << PD_ODR_P0_Pos)                               /*!< PD ODR: P0 Mask                         */
#define PD_ODR_P1_Pos                         1                                                       /*!< PD ODR: P1 Position                     */
#define PD_ODR_P1_Msk                         (0x01UL << PD_ODR_P1_Pos)                               /*!< PD ODR: P1 Mask                         */
#define PD_ODR_P2_Pos                         2                                                       /*!< PD ODR: P2 Position                     */
#define PD_ODR_P2_Msk                         (0x01UL << PD_ODR_P2_Pos)                               /*!< PD ODR: P2 Mask                         */
#define PD_ODR_P3_Pos                         3                                                       /*!< PD ODR: P3 Position                     */
#define PD_ODR_P3_Msk                         (0x01UL << PD_ODR_P3_Pos)                               /*!< PD ODR: P3 Mask                         */
#define PD_ODR_P4_Pos                         4                                                       /*!< PD ODR: P4 Position                     */
#define PD_ODR_P4_Msk                         (0x01UL << PD_ODR_P4_Pos)                               /*!< PD ODR: P4 Mask                         */
#define PD_ODR_P5_Pos                         5                                                       /*!< PD ODR: P5 Position                     */
#define PD_ODR_P5_Msk                         (0x01UL << PD_ODR_P5_Pos)                               /*!< PD ODR: P5 Mask                         */
#define PD_ODR_P6_Pos                         6                                                       /*!< PD ODR: P6 Position                     */
#define PD_ODR_P6_Msk                         (0x01UL << PD_ODR_P6_Pos)                               /*!< PD ODR: P6 Mask                         */
#define PD_ODR_P7_Pos                         7                                                       /*!< PD ODR: P7 Position                     */
#define PD_ODR_P7_Msk                         (0x01UL << PD_ODR_P7_Pos)                               /*!< PD ODR: P7 Mask                         */
#define PD_ODR_P8_Pos                         8                                                       /*!< PD ODR: P8 Position                     */
#define PD_ODR_P8_Msk                         (0x01UL << PD_ODR_P8_Pos)                               /*!< PD ODR: P8 Mask                         */
#define PD_ODR_P9_Pos                         9                                                       /*!< PD ODR: P9 Position                     */
#define PD_ODR_P9_Msk                         (0x01UL << PD_ODR_P9_Pos)                               /*!< PD ODR: P9 Mask                         */
#define PD_ODR_P10_Pos                        10                                                      /*!< PD ODR: P10 Position                    */
#define PD_ODR_P10_Msk                        (0x01UL << PD_ODR_P10_Pos)                              /*!< PD ODR: P10 Mask                        */
#define PD_ODR_P11_Pos                        11                                                      /*!< PD ODR: P11 Position                    */
#define PD_ODR_P11_Msk                        (0x01UL << PD_ODR_P11_Pos)                              /*!< PD ODR: P11 Mask                        */
#define PD_ODR_P12_Pos                        12                                                      /*!< PD ODR: P12 Position                    */
#define PD_ODR_P12_Msk                        (0x01UL << PD_ODR_P12_Pos)                              /*!< PD ODR: P12 Mask                        */
#define PD_ODR_P13_Pos                        13                                                      /*!< PD ODR: P13 Position                    */
#define PD_ODR_P13_Msk                        (0x01UL << PD_ODR_P13_Pos)                              /*!< PD ODR: P13 Mask                        */
#define PD_ODR_P14_Pos                        14                                                      /*!< PD ODR: P14 Position                    */
#define PD_ODR_P14_Msk                        (0x01UL << PD_ODR_P14_Pos)                              /*!< PD ODR: P14 Mask                        */
#define PD_ODR_P15_Pos                        15                                                      /*!< PD ODR: P15 Position                    */
#define PD_ODR_P15_Msk                        (0x01UL << PD_ODR_P15_Pos)                              /*!< PD ODR: P15 Mask                        */

/* -----------------------------------  PD_IDR  ----------------------------------- */
#define PD_IDR_P0_Pos                         0                                                       /*!< PD IDR: P0 Position                     */
#define PD_IDR_P0_Msk                         (0x01UL << PD_IDR_P0_Pos)                               /*!< PD IDR: P0 Mask                         */
#define PD_IDR_P1_Pos                         1                                                       /*!< PD IDR: P1 Position                     */
#define PD_IDR_P1_Msk                         (0x01UL << PD_IDR_P1_Pos)                               /*!< PD IDR: P1 Mask                         */
#define PD_IDR_P2_Pos                         2                                                       /*!< PD IDR: P2 Position                     */
#define PD_IDR_P2_Msk                         (0x01UL << PD_IDR_P2_Pos)                               /*!< PD IDR: P2 Mask                         */
#define PD_IDR_P3_Pos                         3                                                       /*!< PD IDR: P3 Position                     */
#define PD_IDR_P3_Msk                         (0x01UL << PD_IDR_P3_Pos)                               /*!< PD IDR: P3 Mask                         */
#define PD_IDR_P4_Pos                         4                                                       /*!< PD IDR: P4 Position                     */
#define PD_IDR_P4_Msk                         (0x01UL << PD_IDR_P4_Pos)                               /*!< PD IDR: P4 Mask                         */
#define PD_IDR_P5_Pos                         5                                                       /*!< PD IDR: P5 Position                     */
#define PD_IDR_P5_Msk                         (0x01UL << PD_IDR_P5_Pos)                               /*!< PD IDR: P5 Mask                         */
#define PD_IDR_P6_Pos                         6                                                       /*!< PD IDR: P6 Position                     */
#define PD_IDR_P6_Msk                         (0x01UL << PD_IDR_P6_Pos)                               /*!< PD IDR: P6 Mask                         */
#define PD_IDR_P7_Pos                         7                                                       /*!< PD IDR: P7 Position                     */
#define PD_IDR_P7_Msk                         (0x01UL << PD_IDR_P7_Pos)                               /*!< PD IDR: P7 Mask                         */
#define PD_IDR_P8_Pos                         8                                                       /*!< PD IDR: P8 Position                     */
#define PD_IDR_P8_Msk                         (0x01UL << PD_IDR_P8_Pos)                               /*!< PD IDR: P8 Mask                         */
#define PD_IDR_P9_Pos                         9                                                       /*!< PD IDR: P9 Position                     */
#define PD_IDR_P9_Msk                         (0x01UL << PD_IDR_P9_Pos)                               /*!< PD IDR: P9 Mask                         */
#define PD_IDR_P10_Pos                        10                                                      /*!< PD IDR: P10 Position                    */
#define PD_IDR_P10_Msk                        (0x01UL << PD_IDR_P10_Pos)                              /*!< PD IDR: P10 Mask                        */
#define PD_IDR_P11_Pos                        11                                                      /*!< PD IDR: P11 Position                    */
#define PD_IDR_P11_Msk                        (0x01UL << PD_IDR_P11_Pos)                              /*!< PD IDR: P11 Mask                        */
#define PD_IDR_P12_Pos                        12                                                      /*!< PD IDR: P12 Position                    */
#define PD_IDR_P12_Msk                        (0x01UL << PD_IDR_P12_Pos)                              /*!< PD IDR: P12 Mask                        */
#define PD_IDR_P13_Pos                        13                                                      /*!< PD IDR: P13 Position                    */
#define PD_IDR_P13_Msk                        (0x01UL << PD_IDR_P13_Pos)                              /*!< PD IDR: P13 Mask                        */
#define PD_IDR_P14_Pos                        14                                                      /*!< PD IDR: P14 Position                    */
#define PD_IDR_P14_Msk                        (0x01UL << PD_IDR_P14_Pos)                              /*!< PD IDR: P14 Mask                        */
#define PD_IDR_P15_Pos                        15                                                      /*!< PD IDR: P15 Position                    */
#define PD_IDR_P15_Msk                        (0x01UL << PD_IDR_P15_Pos)                              /*!< PD IDR: P15 Mask                        */

/* -----------------------------------  PD_BSR  ----------------------------------- */
#define PD_BSR_P0_Pos                         0                                                       /*!< PD BSR: P0 Position                     */
#define PD_BSR_P0_Msk                         (0x01UL << PD_BSR_P0_Pos)                               /*!< PD BSR: P0 Mask                         */
#define PD_BSR_P1_Pos                         1                                                       /*!< PD BSR: P1 Position                     */
#define PD_BSR_P1_Msk                         (0x01UL << PD_BSR_P1_Pos)                               /*!< PD BSR: P1 Mask                         */
#define PD_BSR_P2_Pos                         2                                                       /*!< PD BSR: P2 Position                     */
#define PD_BSR_P2_Msk                         (0x01UL << PD_BSR_P2_Pos)                               /*!< PD BSR: P2 Mask                         */
#define PD_BSR_P3_Pos                         3                                                       /*!< PD BSR: P3 Position                     */
#define PD_BSR_P3_Msk                         (0x01UL << PD_BSR_P3_Pos)                               /*!< PD BSR: P3 Mask                         */
#define PD_BSR_P4_Pos                         4                                                       /*!< PD BSR: P4 Position                     */
#define PD_BSR_P4_Msk                         (0x01UL << PD_BSR_P4_Pos)                               /*!< PD BSR: P4 Mask                         */
#define PD_BSR_P5_Pos                         5                                                       /*!< PD BSR: P5 Position                     */
#define PD_BSR_P5_Msk                         (0x01UL << PD_BSR_P5_Pos)                               /*!< PD BSR: P5 Mask                         */
#define PD_BSR_P6_Pos                         6                                                       /*!< PD BSR: P6 Position                     */
#define PD_BSR_P6_Msk                         (0x01UL << PD_BSR_P6_Pos)                               /*!< PD BSR: P6 Mask                         */
#define PD_BSR_P7_Pos                         7                                                       /*!< PD BSR: P7 Position                     */
#define PD_BSR_P7_Msk                         (0x01UL << PD_BSR_P7_Pos)                               /*!< PD BSR: P7 Mask                         */
#define PD_BSR_P8_Pos                         8                                                       /*!< PD BSR: P8 Position                     */
#define PD_BSR_P8_Msk                         (0x01UL << PD_BSR_P8_Pos)                               /*!< PD BSR: P8 Mask                         */
#define PD_BSR_P9_Pos                         9                                                       /*!< PD BSR: P9 Position                     */
#define PD_BSR_P9_Msk                         (0x01UL << PD_BSR_P9_Pos)                               /*!< PD BSR: P9 Mask                         */
#define PD_BSR_P10_Pos                        10                                                      /*!< PD BSR: P10 Position                    */
#define PD_BSR_P10_Msk                        (0x01UL << PD_BSR_P10_Pos)                              /*!< PD BSR: P10 Mask                        */
#define PD_BSR_P11_Pos                        11                                                      /*!< PD BSR: P11 Position                    */
#define PD_BSR_P11_Msk                        (0x01UL << PD_BSR_P11_Pos)                              /*!< PD BSR: P11 Mask                        */
#define PD_BSR_P12_Pos                        12                                                      /*!< PD BSR: P12 Position                    */
#define PD_BSR_P12_Msk                        (0x01UL << PD_BSR_P12_Pos)                              /*!< PD BSR: P12 Mask                        */
#define PD_BSR_P13_Pos                        13                                                      /*!< PD BSR: P13 Position                    */
#define PD_BSR_P13_Msk                        (0x01UL << PD_BSR_P13_Pos)                              /*!< PD BSR: P13 Mask                        */
#define PD_BSR_P14_Pos                        14                                                      /*!< PD BSR: P14 Position                    */
#define PD_BSR_P14_Msk                        (0x01UL << PD_BSR_P14_Pos)                              /*!< PD BSR: P14 Mask                        */
#define PD_BSR_P15_Pos                        15                                                      /*!< PD BSR: P15 Position                    */
#define PD_BSR_P15_Msk                        (0x01UL << PD_BSR_P15_Pos)                              /*!< PD BSR: P15 Mask                        */

/* -----------------------------------  PD_BCR  ----------------------------------- */
#define PD_BCR_P0_Pos                         0                                                       /*!< PD BCR: P0 Position                     */
#define PD_BCR_P0_Msk                         (0x01UL << PD_BCR_P0_Pos)                               /*!< PD BCR: P0 Mask                         */
#define PD_BCR_P1_Pos                         1                                                       /*!< PD BCR: P1 Position                     */
#define PD_BCR_P1_Msk                         (0x01UL << PD_BCR_P1_Pos)                               /*!< PD BCR: P1 Mask                         */
#define PD_BCR_P2_Pos                         2                                                       /*!< PD BCR: P2 Position                     */
#define PD_BCR_P2_Msk                         (0x01UL << PD_BCR_P2_Pos)                               /*!< PD BCR: P2 Mask                         */
#define PD_BCR_P3_Pos                         3                                                       /*!< PD BCR: P3 Position                     */
#define PD_BCR_P3_Msk                         (0x01UL << PD_BCR_P3_Pos)                               /*!< PD BCR: P3 Mask                         */
#define PD_BCR_P4_Pos                         4                                                       /*!< PD BCR: P4 Position                     */
#define PD_BCR_P4_Msk                         (0x01UL << PD_BCR_P4_Pos)                               /*!< PD BCR: P4 Mask                         */
#define PD_BCR_P5_Pos                         5                                                       /*!< PD BCR: P5 Position                     */
#define PD_BCR_P5_Msk                         (0x01UL << PD_BCR_P5_Pos)                               /*!< PD BCR: P5 Mask                         */
#define PD_BCR_P6_Pos                         6                                                       /*!< PD BCR: P6 Position                     */
#define PD_BCR_P6_Msk                         (0x01UL << PD_BCR_P6_Pos)                               /*!< PD BCR: P6 Mask                         */
#define PD_BCR_P7_Pos                         7                                                       /*!< PD BCR: P7 Position                     */
#define PD_BCR_P7_Msk                         (0x01UL << PD_BCR_P7_Pos)                               /*!< PD BCR: P7 Mask                         */
#define PD_BCR_P8_Pos                         8                                                       /*!< PD BCR: P8 Position                     */
#define PD_BCR_P8_Msk                         (0x01UL << PD_BCR_P8_Pos)                               /*!< PD BCR: P8 Mask                         */
#define PD_BCR_P9_Pos                         9                                                       /*!< PD BCR: P9 Position                     */
#define PD_BCR_P9_Msk                         (0x01UL << PD_BCR_P9_Pos)                               /*!< PD BCR: P9 Mask                         */
#define PD_BCR_P10_Pos                        10                                                      /*!< PD BCR: P10 Position                    */
#define PD_BCR_P10_Msk                        (0x01UL << PD_BCR_P10_Pos)                              /*!< PD BCR: P10 Mask                        */
#define PD_BCR_P11_Pos                        11                                                      /*!< PD BCR: P11 Position                    */
#define PD_BCR_P11_Msk                        (0x01UL << PD_BCR_P11_Pos)                              /*!< PD BCR: P11 Mask                        */
#define PD_BCR_P12_Pos                        12                                                      /*!< PD BCR: P12 Position                    */
#define PD_BCR_P12_Msk                        (0x01UL << PD_BCR_P12_Pos)                              /*!< PD BCR: P12 Mask                        */
#define PD_BCR_P13_Pos                        13                                                      /*!< PD BCR: P13 Position                    */
#define PD_BCR_P13_Msk                        (0x01UL << PD_BCR_P13_Pos)                              /*!< PD BCR: P13 Mask                        */
#define PD_BCR_P14_Pos                        14                                                      /*!< PD BCR: P14 Position                    */
#define PD_BCR_P14_Msk                        (0x01UL << PD_BCR_P14_Pos)                              /*!< PD BCR: P14 Mask                        */
#define PD_BCR_P15_Pos                        15                                                      /*!< PD BCR: P15 Position                    */
#define PD_BCR_P15_Msk                        (0x01UL << PD_BCR_P15_Pos)                              /*!< PD BCR: P15 Mask                        */


/* ================================================================================ */
/* ================          struct 'FMC' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  FMC_MR  ----------------------------------- */
#define FMC_MR_ACODE_Pos                      0                                                       /*!< FMC MR: ACODE Position                  */
#define FMC_MR_ACODE_Msk                      (0x000000ffUL << FMC_MR_ACODE_Pos)                      /*!< FMC MR: ACODE Mask                      */
#define FMC_MR_FMOD_Pos                       8                                                       /*!< FMC MR: FMOD Position                   */
#define FMC_MR_FMOD_Msk                       (0x01UL << FMC_MR_FMOD_Pos)                             /*!< FMC MR: FMOD Mask                       */
#define FMC_MR_FEMOD_Pos                      9                                                       /*!< FMC MR: FEMOD Position                  */
#define FMC_MR_FEMOD_Msk                      (0x01UL << FMC_MR_FEMOD_Pos)                            /*!< FMC MR: FEMOD Mask                      */
#define FMC_MR_TRM_Pos                        16                                                      /*!< FMC MR: TRM Position                    */
#define FMC_MR_TRM_Msk                        (0x01UL << FMC_MR_TRM_Pos)                              /*!< FMC MR: TRM Mask                        */
#define FMC_MR_TRMEN_Pos                      17                                                      /*!< FMC MR: TRMEN Position                  */
#define FMC_MR_TRMEN_Msk                      (0x01UL << FMC_MR_TRMEN_Pos)                            /*!< FMC MR: TRMEN Mask                      */
#define FMC_MR_PROTEN_Pos                     21                                                      /*!< FMC MR: PROTEN Position                 */
#define FMC_MR_PROTEN_Msk                     (0x01UL << FMC_MR_PROTEN_Pos)                           /*!< FMC MR: PROTEN Mask                     */
#define FMC_MR_AMBAEN_Pos                     22                                                      /*!< FMC MR: AMBAEN Position                 */
#define FMC_MR_AMBAEN_Msk                     (0x01UL << FMC_MR_AMBAEN_Pos)                           /*!< FMC MR: AMBAEN Mask                     */
#define FMC_MR_TESTEN_Pos                     23                                                      /*!< FMC MR: TESTEN Position                 */
#define FMC_MR_TESTEN_Msk                     (0x01UL << FMC_MR_TESTEN_Pos)                           /*!< FMC MR: TESTEN Mask                     */
#define FMC_MR_IDLE_Pos                       24                                                      /*!< FMC MR: IDLE Position                   */
#define FMC_MR_IDLE_Msk                       (0x01UL << FMC_MR_IDLE_Pos)                             /*!< FMC MR: IDLE Mask                       */

/* -----------------------------------  FMC_CR  ----------------------------------- */
#define FMC_CR_PBR_Pos                        0                                                       /*!< FMC CR: PBR Position                    */
#define FMC_CR_PBR_Msk                        (0x01UL << FMC_CR_PBR_Pos)                              /*!< FMC CR: PBR Mask                        */
#define FMC_CR_ERS_Pos                        1                                                       /*!< FMC CR: ERS Position                    */
#define FMC_CR_ERS_Msk                        (0x01UL << FMC_CR_ERS_Pos)                              /*!< FMC CR: ERS Mask                        */
#define FMC_CR_PGM_Pos                        2                                                       /*!< FMC CR: PGM Position                    */
#define FMC_CR_PGM_Msk                        (0x01UL << FMC_CR_PGM_Pos)                              /*!< FMC CR: PGM Mask                        */
#define FMC_CR_PBLD_Pos                       3                                                       /*!< FMC CR: PBLD Position                   */
#define FMC_CR_PBLD_Msk                       (0x01UL << FMC_CR_PBLD_Pos)                             /*!< FMC CR: PBLD Mask                       */
#define FMC_CR_WE_Pos                         4                                                       /*!< FMC CR: WE Position                     */
#define FMC_CR_WE_Msk                         (0x01UL << FMC_CR_WE_Pos)                               /*!< FMC CR: WE Mask                         */
#define FMC_CR_PMODE_Pos                      5                                                       /*!< FMC CR: PMODE Position                  */
#define FMC_CR_PMODE_Msk                      (0x01UL << FMC_CR_PMODE_Pos)                            /*!< FMC CR: PMODE Mask                      */
#define FMC_CR_PPGM_Pos                       6                                                       /*!< FMC CR: PPGM Position                   */
#define FMC_CR_PPGM_Msk                       (0x01UL << FMC_CR_PPGM_Pos)                             /*!< FMC CR: PPGM Mask                       */
#define FMC_CR_SUBACT_Pos                     7                                                       /*!< FMC CR: SUBACT Position                 */
#define FMC_CR_SUBACT_Msk                     (0x01UL << FMC_CR_SUBACT_Pos)                           /*!< FMC CR: SUBACT Mask                     */
#define FMC_CR_AEF_Pos                        8                                                       /*!< FMC CR: AEF Position                    */
#define FMC_CR_AEF_Msk                        (0x01UL << FMC_CR_AEF_Pos)                              /*!< FMC CR: AEF Mask                        */
#define FMC_CR_AEE_Pos                        9                                                       /*!< FMC CR: AEE Position                    */
#define FMC_CR_AEE_Msk                        (0x01UL << FMC_CR_AEE_Pos)                              /*!< FMC CR: AEE Mask                        */
#define FMC_CR_OTPE_Pos                       10                                                      /*!< FMC CR: OTPE Position                   */
#define FMC_CR_OTPE_Msk                       (0x01UL << FMC_CR_OTPE_Pos)                             /*!< FMC CR: OTPE Mask                       */
#define FMC_CR_DMYE_Pos                       11                                                      /*!< FMC CR: DMYE Position                   */
#define FMC_CR_DMYE_Msk                       (0x01UL << FMC_CR_DMYE_Pos)                             /*!< FMC CR: DMYE Mask                       */
#define FMC_CR_BLKE_Pos                       12                                                      /*!< FMC CR: BLKE Position                   */
#define FMC_CR_BLKE_Msk                       (0x01UL << FMC_CR_BLKE_Pos)                             /*!< FMC CR: BLKE Mask                       */
#define FMC_CR_PVER_Pos                       13                                                      /*!< FMC CR: PVER Position                   */
#define FMC_CR_PVER_Msk                       (0x01UL << FMC_CR_PVER_Pos)                             /*!< FMC CR: PVER Mask                       */
#define FMC_CR_EVER_Pos                       14                                                      /*!< FMC CR: EVER Position                   */
#define FMC_CR_EVER_Msk                       (0x01UL << FMC_CR_EVER_Pos)                             /*!< FMC CR: EVER Mask                       */
#define FMC_CR_VPPOUT_Pos                     15                                                      /*!< FMC CR: VPPOUT Position                 */
#define FMC_CR_VPPOUT_Msk                     (0x01UL << FMC_CR_VPPOUT_Pos)                           /*!< FMC CR: VPPOUT Mask                     */
#define FMC_CR_TEST_Pos                       16                                                      /*!< FMC CR: TEST Position                   */
#define FMC_CR_TEST_Msk                       (0x03UL << FMC_CR_TEST_Pos)                             /*!< FMC CR: TEST Mask                       */
#define FMC_CR_TMREN_Pos                      20                                                      /*!< FMC CR: TMREN Position                  */
#define FMC_CR_TMREN_Msk                      (0x01UL << FMC_CR_TMREN_Pos)                            /*!< FMC CR: TMREN Mask                      */
#define FMC_CR_OTP0_Pos                       28                                                      /*!< FMC CR: OTP0 Position                   */
#define FMC_CR_OTP0_Msk                       (0x01UL << FMC_CR_OTP0_Pos)                             /*!< FMC CR: OTP0 Mask                       */
#define FMC_CR_OTP1_Pos                       29                                                      /*!< FMC CR: OTP1 Position                   */
#define FMC_CR_OTP1_Msk                       (0x01UL << FMC_CR_OTP1_Pos)                             /*!< FMC CR: OTP1 Mask                       */
#define FMC_CR_OTP2_Pos                       30                                                      /*!< FMC CR: OTP2 Position                   */
#define FMC_CR_OTP2_Msk                       (0x01UL << FMC_CR_OTP2_Pos)                             /*!< FMC CR: OTP2 Mask                       */
#define FMC_CR_OTP3_Pos                       31                                                      /*!< FMC CR: OTP3 Position                   */
#define FMC_CR_OTP3_Msk                       (0x01UL << FMC_CR_OTP3_Pos)                             /*!< FMC CR: OTP3 Mask                       */

/* -----------------------------------  FMC_AR  ----------------------------------- */
#define FMC_AR_FADDR_Pos                      0                                                       /*!< FMC AR: FADDR Position                  */
#define FMC_AR_FADDR_Msk                      (0x00007fffUL << FMC_AR_FADDR_Pos)                      /*!< FMC AR: FADDR Mask                      */

/* -----------------------------------  FMC_DR  ----------------------------------- */
#define FMC_DR_FDATA_Pos                      0                                                       /*!< FMC DR: FDATA Position                  */
#define FMC_DR_FDATA_Msk                      (0xffffffffUL << FMC_DR_FDATA_Pos)                      /*!< FMC DR: FDATA Mask                      */

/* -----------------------------------  FMC_TMR  ---------------------------------- */
#define FMC_TMR_TMR_Pos                       0                                                       /*!< FMC TMR: TMR Position                   */
#define FMC_TMR_TMR_Msk                       (0x0003ffffUL << FMC_TMR_TMR_Pos)                       /*!< FMC TMR: TMR Mask                       */

/* ----------------------------------  FMC_TICK  ---------------------------------- */
#define FMC_TICK_FTICK_Pos                    0                                                       /*!< FMC TICK: FTICK Position                */
#define FMC_TICK_FTICK_Msk                    (0xffffffffUL << FMC_TICK_FTICK_Pos)                    /*!< FMC TICK: FTICK Mask                    */

/* -----------------------------------  FMC_CRC  ---------------------------------- */
#define FMC_CRC_CRC_Pos                       0                                                       /*!< FMC CRC: CRC Position                   */
#define FMC_CRC_CRC_Msk                       (0x0000ffffUL << FMC_CRC_CRC_Pos)                       /*!< FMC CRC: CRC Mask                       */

/* -----------------------------------  FMC_CFG  ---------------------------------- */
#define FMC_CFG_TRIM_Pos                      0                                                       /*!< FMC CFG: TRIM Position                  */
#define FMC_CFG_TRIM_Msk                      (0x1fUL << FMC_CFG_TRIM_Pos)                            /*!< FMC CFG: TRIM Mask                      */
#define FMC_CFG_CRCEN_Pos                     6                                                       /*!< FMC CFG: CRCEN Position                 */
#define FMC_CFG_CRCEN_Msk                     (0x01UL << FMC_CFG_CRCEN_Pos)                           /*!< FMC CFG: CRCEN Mask                     */
#define FMC_CFG_CRCINIT_Pos                   7                                                       /*!< FMC CFG: CRCINIT Position               */
#define FMC_CFG_CRCINIT_Msk                   (0x01UL << FMC_CFG_CRCINIT_Pos)                         /*!< FMC CFG: CRCINIT Mask                   */
#define FMC_CFG_WAIT_Pos                      8                                                       /*!< FMC CFG: WAIT Position                  */
#define FMC_CFG_WAIT_Msk                      (0x03UL << FMC_CFG_WAIT_Pos)                            /*!< FMC CFG: WAIT Mask                      */
#define FMC_CFG_TESTCLK_Pos                   12                                                      /*!< FMC CFG: TESTCLK Position               */
#define FMC_CFG_TESTCLK_Msk                   (0x01UL << FMC_CFG_TESTCLK_Pos)                         /*!< FMC CFG: TESTCLK Mask                   */
#define FMC_CFG_HRESPD_Pos                    15                                                      /*!< FMC CFG: HRESPD Position                */
#define FMC_CFG_HRESPD_Msk                    (0x01UL << FMC_CFG_HRESPD_Pos)                          /*!< FMC CFG: HRESPD Mask                    */
#define FMC_CFG_WRITEKEY_Pos                  16                                                      /*!< FMC CFG: WRITEKEY Position              */
#define FMC_CFG_WRITEKEY_Msk                  (0x0000ffffUL << FMC_CFG_WRITEKEY_Pos)                  /*!< FMC CFG: WRITEKEY Mask                  */

/* ----------------------------------  FMC_HWID  ---------------------------------- */
#define FMC_HWID_FHWID_Pos                    0                                                       /*!< FMC HWID: FHWID Position                */
#define FMC_HWID_FHWID_Msk                    (0xffffffffUL << FMC_HWID_FHWID_Pos)                    /*!< FMC HWID: FHWID Mask                    */

/* ----------------------------------  FMC_SIZE  ---------------------------------- */
#define FMC_SIZE_FMSIZE_Pos                   0                                                       /*!< FMC SIZE: FMSIZE Position               */
#define FMC_SIZE_FMSIZE_Msk                   (0xffffffffUL << FMC_SIZE_FMSIZE_Pos)                   /*!< FMC SIZE: FMSIZE Mask                   */

/* ---------------------------------  FMC_BOOTCR  --------------------------------- */
#define FMC_BOOTCR_BOOTROM_Pos                0                                                       /*!< FMC BOOTCR: BOOTROM Position            */
#define FMC_BOOTCR_BOOTROM_Msk                (0x01UL << FMC_BOOTCR_BOOTROM_Pos)                      /*!< FMC BOOTCR: BOOTROM Mask                */
#define FMC_BOOTCR_SREMAP_Pos                 4                                                       /*!< FMC BOOTCR: SREMAP Position             */
#define FMC_BOOTCR_SREMAP_Msk                 (0x01UL << FMC_BOOTCR_SREMAP_Pos)                       /*!< FMC BOOTCR: SREMAP Mask                 */

/* ----------------------------------  FMC_WPROT  --------------------------------- */
#define FMC_WPROT_WP_Pos                      0                                                       /*!< FMC WPROT: WP Position                  */
#define FMC_WPROT_WP_Msk                      (0x0000ffffUL << FMC_WPROT_WP_Pos)                      /*!< FMC WPROT: WP Mask                      */
#define FMC_WPROT_WPEN_Pos                    24                                                      /*!< FMC WPROT: WPEN Position                */
#define FMC_WPROT_WPEN_Msk                    (0x000000ffUL << FMC_WPROT_WPEN_Pos)                    /*!< FMC WPROT: WPEN Mask                    */


/* ================================================================================ */
/* ================          struct 'WDT' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  WDT_CON  ---------------------------------- */
#define WDT_CON_WPRS_Pos                      0                                                       /*!< WDT CON: WPRS Position                  */
#define WDT_CON_WPRS_Msk                      (0x07UL << WDT_CON_WPRS_Pos)                            /*!< WDT CON: WPRS Mask                      */
#define WDT_CON_CKSEL_Pos                     3                                                       /*!< WDT CON: CKSEL Position                 */
#define WDT_CON_CKSEL_Msk                     (0x01UL << WDT_CON_CKSEL_Pos)                           /*!< WDT CON: CKSEL Mask                     */
#define WDT_CON_WDTEN_Pos                     4                                                       /*!< WDT CON: WDTEN Position                 */
#define WDT_CON_WDTEN_Msk                     (0x01UL << WDT_CON_WDTEN_Pos)                           /*!< WDT CON: WDTEN Mask                     */
#define WDT_CON_WDTRE_Pos                     6                                                       /*!< WDT CON: WDTRE Position                 */
#define WDT_CON_WDTRE_Msk                     (0x01UL << WDT_CON_WDTRE_Pos)                           /*!< WDT CON: WDTRE Mask                     */
#define WDT_CON_WDTIE_Pos                     7                                                       /*!< WDT CON: WDTIE Position                 */
#define WDT_CON_WDTIE_Msk                     (0x01UL << WDT_CON_WDTIE_Pos)                           /*!< WDT CON: WDTIE Mask                     */
#define WDT_CON_WUF_Pos                       8                                                       /*!< WDT CON: WUF Position                   */
#define WDT_CON_WUF_Msk                       (0x01UL << WDT_CON_WUF_Pos)                             /*!< WDT CON: WUF Mask                       */
#define WDT_CON_WDBG_Pos                      15                                                      /*!< WDT CON: WDBG Position                  */
#define WDT_CON_WDBG_Msk                      (0x01UL << WDT_CON_WDBG_Pos)                            /*!< WDT CON: WDBG Mask                      */


/* ================================================================================ */
/* ================           struct 'T0' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T0_CR1  ----------------------------------- */
#define T0_CR1_MODE_Pos                       0                                                       /*!< T0 CR1: MODE Position                   */
#define T0_CR1_MODE_Msk                       (0x03UL << T0_CR1_MODE_Pos)                             /*!< T0 CR1: MODE Mask                       */
#define T0_CR1_CLRMD_Pos                      2                                                       /*!< T0 CR1: CLRMD Position                  */
#define T0_CR1_CLRMD_Msk                      (0x03UL << T0_CR1_CLRMD_Pos)                            /*!< T0 CR1: CLRMD Mask                      */
#define T0_CR1_CKSEL_Pos                      4                                                       /*!< T0 CR1: CKSEL Position                  */
#define T0_CR1_CKSEL_Msk                      (0x07UL << T0_CR1_CKSEL_Pos)                            /*!< T0 CR1: CKSEL Mask                      */
#define T0_CR1_STARTLVL_Pos                   7                                                       /*!< T0 CR1: STARTLVL Position               */
#define T0_CR1_STARTLVL_Msk                   (0x01UL << T0_CR1_STARTLVL_Pos)                         /*!< T0 CR1: STARTLVL Mask                   */
#define T0_CR1_ADCTRGEN_Pos                   8                                                       /*!< T0 CR1: ADCTRGEN Position               */
#define T0_CR1_ADCTRGEN_Msk                   (0x01UL << T0_CR1_ADCTRGEN_Pos)                         /*!< T0 CR1: ADCTRGEN Mask                   */
#define T0_CR1_OUTPOL_Pos                     12                                                      /*!< T0 CR1: OUTPOL Position                 */
#define T0_CR1_OUTPOL_Msk                     (0x01UL << T0_CR1_OUTPOL_Pos)                           /*!< T0 CR1: OUTPOL Mask                     */
#define T0_CR1_UAO_Pos                        13                                                      /*!< T0 CR1: UAO Position                    */
#define T0_CR1_UAO_Msk                        (0x01UL << T0_CR1_UAO_Pos)                              /*!< T0 CR1: UAO Mask                        */
#define T0_CR1_CSYNC_Pos                      14                                                      /*!< T0 CR1: CSYNC Position                  */
#define T0_CR1_CSYNC_Msk                      (0x01UL << T0_CR1_CSYNC_Pos)                            /*!< T0 CR1: CSYNC Mask                      */
#define T0_CR1_SSYNC_Pos                      15                                                      /*!< T0 CR1: SSYNC Position                  */
#define T0_CR1_SSYNC_Msk                      (0x01UL << T0_CR1_SSYNC_Pos)                            /*!< T0 CR1: SSYNC Mask                      */

/* -----------------------------------  T0_CR2  ----------------------------------- */
#define T0_CR2_TEN_Pos                        0                                                       /*!< T0 CR2: TEN Position                    */
#define T0_CR2_TEN_Msk                        (0x01UL << T0_CR2_TEN_Pos)                              /*!< T0 CR2: TEN Mask                        */
#define T0_CR2_TCLR_Pos                       1                                                       /*!< T0 CR2: TCLR Position                   */
#define T0_CR2_TCLR_Msk                       (0x01UL << T0_CR2_TCLR_Pos)                             /*!< T0 CR2: TCLR Mask                       */

/* -----------------------------------  T0_PRS  ----------------------------------- */
#define T0_PRS_PRS_Pos                        0                                                       /*!< T0 PRS: PRS Position                    */
#define T0_PRS_PRS_Msk                        (0x000003ffUL << T0_PRS_PRS_Pos)                        /*!< T0 PRS: PRS Mask                        */

/* -----------------------------------  T0_GRA  ----------------------------------- */
#define T0_GRA_GRA_Pos                        0                                                       /*!< T0 GRA: GRA Position                    */
#define T0_GRA_GRA_Msk                        (0x0000ffffUL << T0_GRA_GRA_Pos)                        /*!< T0 GRA: GRA Mask                        */

/* -----------------------------------  T0_GRB  ----------------------------------- */
#define T0_GRB_GRB_Pos                        0                                                       /*!< T0 GRB: GRB Position                    */
#define T0_GRB_GRB_Msk                        (0x0000ffffUL << T0_GRB_GRB_Pos)                        /*!< T0 GRB: GRB Mask                        */

/* -----------------------------------  T0_CNT  ----------------------------------- */
#define T0_CNT_CNT_Pos                        0                                                       /*!< T0 CNT: CNT Position                    */
#define T0_CNT_CNT_Msk                        (0x0000ffffUL << T0_CNT_CNT_Pos)                        /*!< T0 CNT: CNT Mask                        */

/* ------------------------------------  T0_SR  ----------------------------------- */
#define T0_SR_OVF_Pos                         0                                                       /*!< T0 SR: OVF Position                     */
#define T0_SR_OVF_Msk                         (0x01UL << T0_SR_OVF_Pos)                               /*!< T0 SR: OVF Mask                         */
#define T0_SR_MFB_Pos                         1                                                       /*!< T0 SR: MFB Position                     */
#define T0_SR_MFB_Msk                         (0x01UL << T0_SR_MFB_Pos)                               /*!< T0 SR: MFB Mask                         */
#define T0_SR_MFA_Pos                         2                                                       /*!< T0 SR: MFA Position                     */
#define T0_SR_MFA_Msk                         (0x01UL << T0_SR_MFA_Pos)                               /*!< T0 SR: MFA Mask                         */

/* -----------------------------------  T0_IER  ----------------------------------- */
#define T0_IER_OVIE_Pos                       0                                                       /*!< T0 IER: OVIE Position                   */
#define T0_IER_OVIE_Msk                       (0x01UL << T0_IER_OVIE_Pos)                             /*!< T0 IER: OVIE Mask                       */
#define T0_IER_MBIE_Pos                       1                                                       /*!< T0 IER: MBIE Position                   */
#define T0_IER_MBIE_Msk                       (0x01UL << T0_IER_MBIE_Pos)                             /*!< T0 IER: MBIE Mask                       */
#define T0_IER_MAIE_Pos                       2                                                       /*!< T0 IER: MAIE Position                   */
#define T0_IER_MAIE_Msk                       (0x01UL << T0_IER_MAIE_Pos)                             /*!< T0 IER: MAIE Mask                       */


/* ================================================================================ */
/* ================           struct 'T1' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T1_CR1  ----------------------------------- */
#define T1_CR1_MODE_Pos                       0                                                       /*!< T1 CR1: MODE Position                   */
#define T1_CR1_MODE_Msk                       (0x03UL << T1_CR1_MODE_Pos)                             /*!< T1 CR1: MODE Mask                       */
#define T1_CR1_CLRMD_Pos                      2                                                       /*!< T1 CR1: CLRMD Position                  */
#define T1_CR1_CLRMD_Msk                      (0x03UL << T1_CR1_CLRMD_Pos)                            /*!< T1 CR1: CLRMD Mask                      */
#define T1_CR1_CKSEL_Pos                      4                                                       /*!< T1 CR1: CKSEL Position                  */
#define T1_CR1_CKSEL_Msk                      (0x07UL << T1_CR1_CKSEL_Pos)                            /*!< T1 CR1: CKSEL Mask                      */
#define T1_CR1_STARTLVL_Pos                   7                                                       /*!< T1 CR1: STARTLVL Position               */
#define T1_CR1_STARTLVL_Msk                   (0x01UL << T1_CR1_STARTLVL_Pos)                         /*!< T1 CR1: STARTLVL Mask                   */
#define T1_CR1_ADCTRGEN_Pos                   8                                                       /*!< T1 CR1: ADCTRGEN Position               */
#define T1_CR1_ADCTRGEN_Msk                   (0x01UL << T1_CR1_ADCTRGEN_Pos)                         /*!< T1 CR1: ADCTRGEN Mask                   */
#define T1_CR1_OUTPOL_Pos                     12                                                      /*!< T1 CR1: OUTPOL Position                 */
#define T1_CR1_OUTPOL_Msk                     (0x01UL << T1_CR1_OUTPOL_Pos)                           /*!< T1 CR1: OUTPOL Mask                     */
#define T1_CR1_UAO_Pos                        13                                                      /*!< T1 CR1: UAO Position                    */
#define T1_CR1_UAO_Msk                        (0x01UL << T1_CR1_UAO_Pos)                              /*!< T1 CR1: UAO Mask                        */
#define T1_CR1_CSYNC_Pos                      14                                                      /*!< T1 CR1: CSYNC Position                  */
#define T1_CR1_CSYNC_Msk                      (0x01UL << T1_CR1_CSYNC_Pos)                            /*!< T1 CR1: CSYNC Mask                      */
#define T1_CR1_SSYNC_Pos                      15                                                      /*!< T1 CR1: SSYNC Position                  */
#define T1_CR1_SSYNC_Msk                      (0x01UL << T1_CR1_SSYNC_Pos)                            /*!< T1 CR1: SSYNC Mask                      */

/* -----------------------------------  T1_CR2  ----------------------------------- */
#define T1_CR2_TEN_Pos                        0                                                       /*!< T1 CR2: TEN Position                    */
#define T1_CR2_TEN_Msk                        (0x01UL << T1_CR2_TEN_Pos)                              /*!< T1 CR2: TEN Mask                        */
#define T1_CR2_TCLR_Pos                       1                                                       /*!< T1 CR2: TCLR Position                   */
#define T1_CR2_TCLR_Msk                       (0x01UL << T1_CR2_TCLR_Pos)                             /*!< T1 CR2: TCLR Mask                       */

/* -----------------------------------  T1_PRS  ----------------------------------- */
#define T1_PRS_PRS_Pos                        0                                                       /*!< T1 PRS: PRS Position                    */
#define T1_PRS_PRS_Msk                        (0x000003ffUL << T1_PRS_PRS_Pos)                        /*!< T1 PRS: PRS Mask                        */

/* -----------------------------------  T1_GRA  ----------------------------------- */
#define T1_GRA_GRA_Pos                        0                                                       /*!< T1 GRA: GRA Position                    */
#define T1_GRA_GRA_Msk                        (0x0000ffffUL << T1_GRA_GRA_Pos)                        /*!< T1 GRA: GRA Mask                        */

/* -----------------------------------  T1_GRB  ----------------------------------- */
#define T1_GRB_GRB_Pos                        0                                                       /*!< T1 GRB: GRB Position                    */
#define T1_GRB_GRB_Msk                        (0x0000ffffUL << T1_GRB_GRB_Pos)                        /*!< T1 GRB: GRB Mask                        */

/* -----------------------------------  T1_CNT  ----------------------------------- */
#define T1_CNT_CNT_Pos                        0                                                       /*!< T1 CNT: CNT Position                    */
#define T1_CNT_CNT_Msk                        (0x0000ffffUL << T1_CNT_CNT_Pos)                        /*!< T1 CNT: CNT Mask                        */

/* ------------------------------------  T1_SR  ----------------------------------- */
#define T1_SR_OVF_Pos                         0                                                       /*!< T1 SR: OVF Position                     */
#define T1_SR_OVF_Msk                         (0x01UL << T1_SR_OVF_Pos)                               /*!< T1 SR: OVF Mask                         */
#define T1_SR_MFB_Pos                         1                                                       /*!< T1 SR: MFB Position                     */
#define T1_SR_MFB_Msk                         (0x01UL << T1_SR_MFB_Pos)                               /*!< T1 SR: MFB Mask                         */
#define T1_SR_MFA_Pos                         2                                                       /*!< T1 SR: MFA Position                     */
#define T1_SR_MFA_Msk                         (0x01UL << T1_SR_MFA_Pos)                               /*!< T1 SR: MFA Mask                         */

/* -----------------------------------  T1_IER  ----------------------------------- */
#define T1_IER_OVIE_Pos                       0                                                       /*!< T1 IER: OVIE Position                   */
#define T1_IER_OVIE_Msk                       (0x01UL << T1_IER_OVIE_Pos)                             /*!< T1 IER: OVIE Mask                       */
#define T1_IER_MBIE_Pos                       1                                                       /*!< T1 IER: MBIE Position                   */
#define T1_IER_MBIE_Msk                       (0x01UL << T1_IER_MBIE_Pos)                             /*!< T1 IER: MBIE Mask                       */
#define T1_IER_MAIE_Pos                       2                                                       /*!< T1 IER: MAIE Position                   */
#define T1_IER_MAIE_Msk                       (0x01UL << T1_IER_MAIE_Pos)                             /*!< T1 IER: MAIE Mask                       */


/* ================================================================================ */
/* ================           struct 'T2' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T2_CR1  ----------------------------------- */
#define T2_CR1_MODE_Pos                       0                                                       /*!< T2 CR1: MODE Position                   */
#define T2_CR1_MODE_Msk                       (0x03UL << T2_CR1_MODE_Pos)                             /*!< T2 CR1: MODE Mask                       */
#define T2_CR1_CLRMD_Pos                      2                                                       /*!< T2 CR1: CLRMD Position                  */
#define T2_CR1_CLRMD_Msk                      (0x03UL << T2_CR1_CLRMD_Pos)                            /*!< T2 CR1: CLRMD Mask                      */
#define T2_CR1_CKSEL_Pos                      4                                                       /*!< T2 CR1: CKSEL Position                  */
#define T2_CR1_CKSEL_Msk                      (0x07UL << T2_CR1_CKSEL_Pos)                            /*!< T2 CR1: CKSEL Mask                      */
#define T2_CR1_STARTLVL_Pos                   7                                                       /*!< T2 CR1: STARTLVL Position               */
#define T2_CR1_STARTLVL_Msk                   (0x01UL << T2_CR1_STARTLVL_Pos)                         /*!< T2 CR1: STARTLVL Mask                   */
#define T2_CR1_ADCTRGEN_Pos                   8                                                       /*!< T2 CR1: ADCTRGEN Position               */
#define T2_CR1_ADCTRGEN_Msk                   (0x01UL << T2_CR1_ADCTRGEN_Pos)                         /*!< T2 CR1: ADCTRGEN Mask                   */
#define T2_CR1_OUTPOL_Pos                     12                                                      /*!< T2 CR1: OUTPOL Position                 */
#define T2_CR1_OUTPOL_Msk                     (0x01UL << T2_CR1_OUTPOL_Pos)                           /*!< T2 CR1: OUTPOL Mask                     */
#define T2_CR1_UAO_Pos                        13                                                      /*!< T2 CR1: UAO Position                    */
#define T2_CR1_UAO_Msk                        (0x01UL << T2_CR1_UAO_Pos)                              /*!< T2 CR1: UAO Mask                        */
#define T2_CR1_CSYNC_Pos                      14                                                      /*!< T2 CR1: CSYNC Position                  */
#define T2_CR1_CSYNC_Msk                      (0x01UL << T2_CR1_CSYNC_Pos)                            /*!< T2 CR1: CSYNC Mask                      */
#define T2_CR1_SSYNC_Pos                      15                                                      /*!< T2 CR1: SSYNC Position                  */
#define T2_CR1_SSYNC_Msk                      (0x01UL << T2_CR1_SSYNC_Pos)                            /*!< T2 CR1: SSYNC Mask                      */

/* -----------------------------------  T2_CR2  ----------------------------------- */
#define T2_CR2_TEN_Pos                        0                                                       /*!< T2 CR2: TEN Position                    */
#define T2_CR2_TEN_Msk                        (0x01UL << T2_CR2_TEN_Pos)                              /*!< T2 CR2: TEN Mask                        */
#define T2_CR2_TCLR_Pos                       1                                                       /*!< T2 CR2: TCLR Position                   */
#define T2_CR2_TCLR_Msk                       (0x01UL << T2_CR2_TCLR_Pos)                             /*!< T2 CR2: TCLR Mask                       */

/* -----------------------------------  T2_PRS  ----------------------------------- */
#define T2_PRS_PRS_Pos                        0                                                       /*!< T2 PRS: PRS Position                    */
#define T2_PRS_PRS_Msk                        (0x000003ffUL << T2_PRS_PRS_Pos)                        /*!< T2 PRS: PRS Mask                        */

/* -----------------------------------  T2_GRA  ----------------------------------- */
#define T2_GRA_GRA_Pos                        0                                                       /*!< T2 GRA: GRA Position                    */
#define T2_GRA_GRA_Msk                        (0x0000ffffUL << T2_GRA_GRA_Pos)                        /*!< T2 GRA: GRA Mask                        */

/* -----------------------------------  T2_GRB  ----------------------------------- */
#define T2_GRB_GRB_Pos                        0                                                       /*!< T2 GRB: GRB Position                    */
#define T2_GRB_GRB_Msk                        (0x0000ffffUL << T2_GRB_GRB_Pos)                        /*!< T2 GRB: GRB Mask                        */

/* -----------------------------------  T2_CNT  ----------------------------------- */
#define T2_CNT_CNT_Pos                        0                                                       /*!< T2 CNT: CNT Position                    */
#define T2_CNT_CNT_Msk                        (0x0000ffffUL << T2_CNT_CNT_Pos)                        /*!< T2 CNT: CNT Mask                        */

/* ------------------------------------  T2_SR  ----------------------------------- */
#define T2_SR_OVF_Pos                         0                                                       /*!< T2 SR: OVF Position                     */
#define T2_SR_OVF_Msk                         (0x01UL << T2_SR_OVF_Pos)                               /*!< T2 SR: OVF Mask                         */
#define T2_SR_MFB_Pos                         1                                                       /*!< T2 SR: MFB Position                     */
#define T2_SR_MFB_Msk                         (0x01UL << T2_SR_MFB_Pos)                               /*!< T2 SR: MFB Mask                         */
#define T2_SR_MFA_Pos                         2                                                       /*!< T2 SR: MFA Position                     */
#define T2_SR_MFA_Msk                         (0x01UL << T2_SR_MFA_Pos)                               /*!< T2 SR: MFA Mask                         */

/* -----------------------------------  T2_IER  ----------------------------------- */
#define T2_IER_OVIE_Pos                       0                                                       /*!< T2 IER: OVIE Position                   */
#define T2_IER_OVIE_Msk                       (0x01UL << T2_IER_OVIE_Pos)                             /*!< T2 IER: OVIE Mask                       */
#define T2_IER_MBIE_Pos                       1                                                       /*!< T2 IER: MBIE Position                   */
#define T2_IER_MBIE_Msk                       (0x01UL << T2_IER_MBIE_Pos)                             /*!< T2 IER: MBIE Mask                       */
#define T2_IER_MAIE_Pos                       2                                                       /*!< T2 IER: MAIE Position                   */
#define T2_IER_MAIE_Msk                       (0x01UL << T2_IER_MAIE_Pos)                             /*!< T2 IER: MAIE Mask                       */


/* ================================================================================ */
/* ================           struct 'T3' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T3_CR1  ----------------------------------- */
#define T3_CR1_MODE_Pos                       0                                                       /*!< T3 CR1: MODE Position                   */
#define T3_CR1_MODE_Msk                       (0x03UL << T3_CR1_MODE_Pos)                             /*!< T3 CR1: MODE Mask                       */
#define T3_CR1_CLRMD_Pos                      2                                                       /*!< T3 CR1: CLRMD Position                  */
#define T3_CR1_CLRMD_Msk                      (0x03UL << T3_CR1_CLRMD_Pos)                            /*!< T3 CR1: CLRMD Mask                      */
#define T3_CR1_CKSEL_Pos                      4                                                       /*!< T3 CR1: CKSEL Position                  */
#define T3_CR1_CKSEL_Msk                      (0x07UL << T3_CR1_CKSEL_Pos)                            /*!< T3 CR1: CKSEL Mask                      */
#define T3_CR1_STARTLVL_Pos                   7                                                       /*!< T3 CR1: STARTLVL Position               */
#define T3_CR1_STARTLVL_Msk                   (0x01UL << T3_CR1_STARTLVL_Pos)                         /*!< T3 CR1: STARTLVL Mask                   */
#define T3_CR1_ADCTRGEN_Pos                   8                                                       /*!< T3 CR1: ADCTRGEN Position               */
#define T3_CR1_ADCTRGEN_Msk                   (0x01UL << T3_CR1_ADCTRGEN_Pos)                         /*!< T3 CR1: ADCTRGEN Mask                   */
#define T3_CR1_OUTPOL_Pos                     12                                                      /*!< T3 CR1: OUTPOL Position                 */
#define T3_CR1_OUTPOL_Msk                     (0x01UL << T3_CR1_OUTPOL_Pos)                           /*!< T3 CR1: OUTPOL Mask                     */
#define T3_CR1_UAO_Pos                        13                                                      /*!< T3 CR1: UAO Position                    */
#define T3_CR1_UAO_Msk                        (0x01UL << T3_CR1_UAO_Pos)                              /*!< T3 CR1: UAO Mask                        */
#define T3_CR1_CSYNC_Pos                      14                                                      /*!< T3 CR1: CSYNC Position                  */
#define T3_CR1_CSYNC_Msk                      (0x01UL << T3_CR1_CSYNC_Pos)                            /*!< T3 CR1: CSYNC Mask                      */
#define T3_CR1_SSYNC_Pos                      15                                                      /*!< T3 CR1: SSYNC Position                  */
#define T3_CR1_SSYNC_Msk                      (0x01UL << T3_CR1_SSYNC_Pos)                            /*!< T3 CR1: SSYNC Mask                      */

/* -----------------------------------  T3_CR2  ----------------------------------- */
#define T3_CR2_TEN_Pos                        0                                                       /*!< T3 CR2: TEN Position                    */
#define T3_CR2_TEN_Msk                        (0x01UL << T3_CR2_TEN_Pos)                              /*!< T3 CR2: TEN Mask                        */
#define T3_CR2_TCLR_Pos                       1                                                       /*!< T3 CR2: TCLR Position                   */
#define T3_CR2_TCLR_Msk                       (0x01UL << T3_CR2_TCLR_Pos)                             /*!< T3 CR2: TCLR Mask                       */

/* -----------------------------------  T3_PRS  ----------------------------------- */
#define T3_PRS_PRS_Pos                        0                                                       /*!< T3 PRS: PRS Position                    */
#define T3_PRS_PRS_Msk                        (0x000003ffUL << T3_PRS_PRS_Pos)                        /*!< T3 PRS: PRS Mask                        */

/* -----------------------------------  T3_GRA  ----------------------------------- */
#define T3_GRA_GRA_Pos                        0                                                       /*!< T3 GRA: GRA Position                    */
#define T3_GRA_GRA_Msk                        (0x0000ffffUL << T3_GRA_GRA_Pos)                        /*!< T3 GRA: GRA Mask                        */

/* -----------------------------------  T3_GRB  ----------------------------------- */
#define T3_GRB_GRB_Pos                        0                                                       /*!< T3 GRB: GRB Position                    */
#define T3_GRB_GRB_Msk                        (0x0000ffffUL << T3_GRB_GRB_Pos)                        /*!< T3 GRB: GRB Mask                        */

/* -----------------------------------  T3_CNT  ----------------------------------- */
#define T3_CNT_CNT_Pos                        0                                                       /*!< T3 CNT: CNT Position                    */
#define T3_CNT_CNT_Msk                        (0x0000ffffUL << T3_CNT_CNT_Pos)                        /*!< T3 CNT: CNT Mask                        */

/* ------------------------------------  T3_SR  ----------------------------------- */
#define T3_SR_OVF_Pos                         0                                                       /*!< T3 SR: OVF Position                     */
#define T3_SR_OVF_Msk                         (0x01UL << T3_SR_OVF_Pos)                               /*!< T3 SR: OVF Mask                         */
#define T3_SR_MFB_Pos                         1                                                       /*!< T3 SR: MFB Position                     */
#define T3_SR_MFB_Msk                         (0x01UL << T3_SR_MFB_Pos)                               /*!< T3 SR: MFB Mask                         */
#define T3_SR_MFA_Pos                         2                                                       /*!< T3 SR: MFA Position                     */
#define T3_SR_MFA_Msk                         (0x01UL << T3_SR_MFA_Pos)                               /*!< T3 SR: MFA Mask                         */

/* -----------------------------------  T3_IER  ----------------------------------- */
#define T3_IER_OVIE_Pos                       0                                                       /*!< T3 IER: OVIE Position                   */
#define T3_IER_OVIE_Msk                       (0x01UL << T3_IER_OVIE_Pos)                             /*!< T3 IER: OVIE Mask                       */
#define T3_IER_MBIE_Pos                       1                                                       /*!< T3 IER: MBIE Position                   */
#define T3_IER_MBIE_Msk                       (0x01UL << T3_IER_MBIE_Pos)                             /*!< T3 IER: MBIE Mask                       */
#define T3_IER_MAIE_Pos                       2                                                       /*!< T3 IER: MAIE Position                   */
#define T3_IER_MAIE_Msk                       (0x01UL << T3_IER_MAIE_Pos)                             /*!< T3 IER: MAIE Mask                       */


/* ================================================================================ */
/* ================          struct 'FRT' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  FRT_MR  ----------------------------------- */
#define FRT_MR_MIE_Pos                        0                                                       /*!< FRT MR: MIE Position                    */
#define FRT_MR_MIE_Msk                        (0x01UL << FRT_MR_MIE_Pos)                              /*!< FRT MR: MIE Mask                        */
#define FRT_MR_OVIE_Pos                       1                                                       /*!< FRT MR: OVIE Position                   */
#define FRT_MR_OVIE_Msk                       (0x01UL << FRT_MR_OVIE_Pos)                             /*!< FRT MR: OVIE Mask                       */
#define FRT_MR_MCD_Pos                        2                                                       /*!< FRT MR: MCD Position                    */
#define FRT_MR_MCD_Msk                        (0x01UL << FRT_MR_MCD_Pos)                              /*!< FRT MR: MCD Mask                        */
#define FRT_MR_CLKSEL_Pos                     4                                                       /*!< FRT MR: CLKSEL Position                 */
#define FRT_MR_CLKSEL_Msk                     (0x03UL << FRT_MR_CLKSEL_Pos)                           /*!< FRT MR: CLKSEL Mask                     */

/* -----------------------------------  FRT_CR  ----------------------------------- */
#define FRT_CR_EN_Pos                         0                                                       /*!< FRT CR: EN Position                     */
#define FRT_CR_EN_Msk                         (0x01UL << FRT_CR_EN_Pos)                               /*!< FRT CR: EN Mask                         */
#define FRT_CR_HOLD_Pos                       1                                                       /*!< FRT CR: HOLD Position                   */
#define FRT_CR_HOLD_Msk                       (0x01UL << FRT_CR_HOLD_Pos)                             /*!< FRT CR: HOLD Mask                       */
#define FRT_CR_CLR_Pos                        2                                                       /*!< FRT CR: CLR Position                    */
#define FRT_CR_CLR_Msk                        (0x01UL << FRT_CR_CLR_Pos)                              /*!< FRT CR: CLR Mask                        */
#define FRT_CR_RREQ_Pos                       3                                                       /*!< FRT CR: RREQ Position                   */
#define FRT_CR_RREQ_Msk                       (0x01UL << FRT_CR_RREQ_Pos)                             /*!< FRT CR: RREQ Mask                       */

/* -----------------------------------  FRT_SR  ----------------------------------- */
#define FRT_SR_MF_Pos                         0                                                       /*!< FRT SR: MF Position                     */
#define FRT_SR_MF_Msk                         (0x01UL << FRT_SR_MF_Pos)                               /*!< FRT SR: MF Mask                         */
#define FRT_SR_OVF_Pos                        1                                                       /*!< FRT SR: OVF Position                    */
#define FRT_SR_OVF_Msk                        (0x01UL << FRT_SR_OVF_Pos)                              /*!< FRT SR: OVF Mask                        */
#define FRT_SR_RACK_Pos                       2                                                       /*!< FRT SR: RACK Position                   */
#define FRT_SR_RACK_Msk                       (0x01UL << FRT_SR_RACK_Pos)                             /*!< FRT SR: RACK Mask                       */


/* ================================================================================ */
/* ================           struct 'U0' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  U0_RBR  ----------------------------------- */
#define U0_RBR_RBR_Pos                        0                                                       /*!< U0 RBR: RBR Position                    */
#define U0_RBR_RBR_Msk                        (0x000000ffUL << U0_RBR_RBR_Pos)                        /*!< U0 RBR: RBR Mask                        */

/* -----------------------------------  U0_THR  ----------------------------------- */
#define U0_THR_THR_Pos                        0                                                       /*!< U0 THR: THR Position                    */
#define U0_THR_THR_Msk                        (0x000000ffUL << U0_THR_THR_Pos)                        /*!< U0 THR: THR Mask                        */

/* -----------------------------------  U0_IER  ----------------------------------- */
#define U0_IER_DRIE_Pos                       0                                                       /*!< U0 IER: DRIE Position                   */
#define U0_IER_DRIE_Msk                       (0x01UL << U0_IER_DRIE_Pos)                             /*!< U0 IER: DRIE Mask                       */
#define U0_IER_THREIE_Pos                     1                                                       /*!< U0 IER: THREIE Position                 */
#define U0_IER_THREIE_Msk                     (0x01UL << U0_IER_THREIE_Pos)                           /*!< U0 IER: THREIE Mask                     */
#define U0_IER_RLSIE_Pos                      2                                                       /*!< U0 IER: RLSIE Position                  */
#define U0_IER_RLSIE_Msk                      (0x01UL << U0_IER_RLSIE_Pos)                            /*!< U0 IER: RLSIE Mask                      */

/* -----------------------------------  U0_IIR  ----------------------------------- */
#define U0_IIR_IPEN_Pos                       0                                                       /*!< U0 IIR: IPEN Position                   */
#define U0_IIR_IPEN_Msk                       (0x01UL << U0_IIR_IPEN_Pos)                             /*!< U0 IIR: IPEN Mask                       */
#define U0_IIR_IID_Pos                        1                                                       /*!< U0 IIR: IID Position                    */
#define U0_IIR_IID_Msk                        (0x07UL << U0_IIR_IID_Pos)                              /*!< U0 IIR: IID Mask                        */
#define U0_IIR_TXE_Pos                        4                                                       /*!< U0 IIR: TXE Position                    */
#define U0_IIR_TXE_Msk                        (0x01UL << U0_IIR_TXE_Pos)                              /*!< U0 IIR: TXE Mask                        */

/* -----------------------------------  U0_LCR  ----------------------------------- */
#define U0_LCR_DLEN_Pos                       0                                                       /*!< U0 LCR: DLEN Position                   */
#define U0_LCR_DLEN_Msk                       (0x03UL << U0_LCR_DLEN_Pos)                             /*!< U0 LCR: DLEN Mask                       */
#define U0_LCR_STOPBIT_Pos                    2                                                       /*!< U0 LCR: STOPBIT Position                */
#define U0_LCR_STOPBIT_Msk                    (0x01UL << U0_LCR_STOPBIT_Pos)                          /*!< U0 LCR: STOPBIT Mask                    */
#define U0_LCR_PEN_Pos                        3                                                       /*!< U0 LCR: PEN Position                    */
#define U0_LCR_PEN_Msk                        (0x01UL << U0_LCR_PEN_Pos)                              /*!< U0 LCR: PEN Mask                        */
#define U0_LCR_PARITY_Pos                     4                                                       /*!< U0 LCR: PARITY Position                 */
#define U0_LCR_PARITY_Msk                     (0x01UL << U0_LCR_PARITY_Pos)                           /*!< U0 LCR: PARITY Mask                     */
#define U0_LCR_STICKP_Pos                     5                                                       /*!< U0 LCR: STICKP Position                 */
#define U0_LCR_STICKP_Msk                     (0x01UL << U0_LCR_STICKP_Pos)                           /*!< U0 LCR: STICKP Mask                     */
#define U0_LCR_BREAK_Pos                      6                                                       /*!< U0 LCR: BREAK Position                  */
#define U0_LCR_BREAK_Msk                      (0x01UL << U0_LCR_BREAK_Pos)                            /*!< U0 LCR: BREAK Mask                      */

/* -----------------------------------  U0_DCR  ----------------------------------- */
#define U0_DCR_TXINV_Pos                      2                                                       /*!< U0 DCR: TXINV Position                  */
#define U0_DCR_TXINV_Msk                      (0x01UL << U0_DCR_TXINV_Pos)                            /*!< U0 DCR: TXINV Mask                      */
#define U0_DCR_RXINV_Pos                      3                                                       /*!< U0 DCR: RXINV Position                  */
#define U0_DCR_RXINV_Msk                      (0x01UL << U0_DCR_RXINV_Pos)                            /*!< U0 DCR: RXINV Mask                      */
#define U0_DCR_LBON_Pos                       4                                                       /*!< U0 DCR: LBON Position                   */
#define U0_DCR_LBON_Msk                       (0x01UL << U0_DCR_LBON_Pos)                             /*!< U0 DCR: LBON Mask                       */

/* -----------------------------------  U0_LSR  ----------------------------------- */
#define U0_LSR_DR_Pos                         0                                                       /*!< U0 LSR: DR Position                     */
#define U0_LSR_DR_Msk                         (0x01UL << U0_LSR_DR_Pos)                               /*!< U0 LSR: DR Mask                         */
#define U0_LSR_OE_Pos                         1                                                       /*!< U0 LSR: OE Position                     */
#define U0_LSR_OE_Msk                         (0x01UL << U0_LSR_OE_Pos)                               /*!< U0 LSR: OE Mask                         */
#define U0_LSR_PE_Pos                         2                                                       /*!< U0 LSR: PE Position                     */
#define U0_LSR_PE_Msk                         (0x01UL << U0_LSR_PE_Pos)                               /*!< U0 LSR: PE Mask                         */
#define U0_LSR_FE_Pos                         3                                                       /*!< U0 LSR: FE Position                     */
#define U0_LSR_FE_Msk                         (0x01UL << U0_LSR_FE_Pos)                               /*!< U0 LSR: FE Mask                         */
#define U0_LSR_BI_Pos                         4                                                       /*!< U0 LSR: BI Position                     */
#define U0_LSR_BI_Msk                         (0x01UL << U0_LSR_BI_Pos)                               /*!< U0 LSR: BI Mask                         */
#define U0_LSR_THRE_Pos                       5                                                       /*!< U0 LSR: THRE Position                   */
#define U0_LSR_THRE_Msk                       (0x01UL << U0_LSR_THRE_Pos)                             /*!< U0 LSR: THRE Mask                       */
#define U0_LSR_TEMT_Pos                       6                                                       /*!< U0 LSR: TEMT Position                   */
#define U0_LSR_TEMT_Msk                       (0x01UL << U0_LSR_TEMT_Pos)                             /*!< U0 LSR: TEMT Mask                       */

/* -----------------------------------  U0_BDR  ----------------------------------- */
#define U0_BDR_BDR_Pos                        0                                                       /*!< U0 BDR: BDR Position                    */
#define U0_BDR_BDR_Msk                        (0x0000ffffUL << U0_BDR_BDR_Pos)                        /*!< U0 BDR: BDR Mask                        */

/* -----------------------------------  U0_BFR  ----------------------------------- */
#define U0_BFR_BFR_Pos                        0                                                       /*!< U0 BFR: BFR Position                    */
#define U0_BFR_BFR_Msk                        (0x000000ffUL << U0_BFR_BFR_Pos)                        /*!< U0 BFR: BFR Mask                        */

/* -----------------------------------  U0_IDTR  ---------------------------------- */
#define U0_IDTR_WAITVAL_Pos                   0                                                       /*!< U0 IDTR: WAITVAL Position               */
#define U0_IDTR_WAITVAL_Msk                   (0x07UL << U0_IDTR_WAITVAL_Pos)                         /*!< U0 IDTR: WAITVAL Mask                   */
#define U0_IDTR_DMS_Pos                       6                                                       /*!< U0 IDTR: DMS Position                   */
#define U0_IDTR_DMS_Msk                       (0x01UL << U0_IDTR_DMS_Pos)                             /*!< U0 IDTR: DMS Mask                       */
#define U0_IDTR_SMS_Pos                       7                                                       /*!< U0 IDTR: SMS Position                   */
#define U0_IDTR_SMS_Msk                       (0x01UL << U0_IDTR_SMS_Pos)                             /*!< U0 IDTR: SMS Mask                       */


/* ================================================================================ */
/* ================           struct 'U1' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  U1_THR  ----------------------------------- */
#define U1_THR_THR_Pos                        0                                                       /*!< U1 THR: THR Position                    */
#define U1_THR_THR_Msk                        (0x000000ffUL << U1_THR_THR_Pos)                        /*!< U1 THR: THR Mask                        */

/* -----------------------------------  U1_RBR  ----------------------------------- */
#define U1_RBR_RBR_Pos                        0                                                       /*!< U1 RBR: RBR Position                    */
#define U1_RBR_RBR_Msk                        (0x000000ffUL << U1_RBR_RBR_Pos)                        /*!< U1 RBR: RBR Mask                        */

/* -----------------------------------  U1_IER  ----------------------------------- */
#define U1_IER_DRIE_Pos                       0                                                       /*!< U1 IER: DRIE Position                   */
#define U1_IER_DRIE_Msk                       (0x01UL << U1_IER_DRIE_Pos)                             /*!< U1 IER: DRIE Mask                       */
#define U1_IER_THREIE_Pos                     1                                                       /*!< U1 IER: THREIE Position                 */
#define U1_IER_THREIE_Msk                     (0x01UL << U1_IER_THREIE_Pos)                           /*!< U1 IER: THREIE Mask                     */
#define U1_IER_RLSIE_Pos                      2                                                       /*!< U1 IER: RLSIE Position                  */
#define U1_IER_RLSIE_Msk                      (0x01UL << U1_IER_RLSIE_Pos)                            /*!< U1 IER: RLSIE Mask                      */

/* -----------------------------------  U1_IIR  ----------------------------------- */
#define U1_IIR_IPEN_Pos                       0                                                       /*!< U1 IIR: IPEN Position                   */
#define U1_IIR_IPEN_Msk                       (0x01UL << U1_IIR_IPEN_Pos)                             /*!< U1 IIR: IPEN Mask                       */
#define U1_IIR_IID_Pos                        1                                                       /*!< U1 IIR: IID Position                    */
#define U1_IIR_IID_Msk                        (0x07UL << U1_IIR_IID_Pos)                              /*!< U1 IIR: IID Mask                        */
#define U1_IIR_TXE_Pos                        4                                                       /*!< U1 IIR: TXE Position                    */
#define U1_IIR_TXE_Msk                        (0x01UL << U1_IIR_TXE_Pos)                              /*!< U1 IIR: TXE Mask                        */

/* -----------------------------------  U1_LCR  ----------------------------------- */
#define U1_LCR_DLEN_Pos                       0                                                       /*!< U1 LCR: DLEN Position                   */
#define U1_LCR_DLEN_Msk                       (0x03UL << U1_LCR_DLEN_Pos)                             /*!< U1 LCR: DLEN Mask                       */
#define U1_LCR_STOPBIT_Pos                    2                                                       /*!< U1 LCR: STOPBIT Position                */
#define U1_LCR_STOPBIT_Msk                    (0x01UL << U1_LCR_STOPBIT_Pos)                          /*!< U1 LCR: STOPBIT Mask                    */
#define U1_LCR_PEN_Pos                        3                                                       /*!< U1 LCR: PEN Position                    */
#define U1_LCR_PEN_Msk                        (0x01UL << U1_LCR_PEN_Pos)                              /*!< U1 LCR: PEN Mask                        */
#define U1_LCR_PARITY_Pos                     4                                                       /*!< U1 LCR: PARITY Position                 */
#define U1_LCR_PARITY_Msk                     (0x01UL << U1_LCR_PARITY_Pos)                           /*!< U1 LCR: PARITY Mask                     */
#define U1_LCR_STICKP_Pos                     5                                                       /*!< U1 LCR: STICKP Position                 */
#define U1_LCR_STICKP_Msk                     (0x01UL << U1_LCR_STICKP_Pos)                           /*!< U1 LCR: STICKP Mask                     */
#define U1_LCR_BREAK_Pos                      6                                                       /*!< U1 LCR: BREAK Position                  */
#define U1_LCR_BREAK_Msk                      (0x01UL << U1_LCR_BREAK_Pos)                            /*!< U1 LCR: BREAK Mask                      */

/* -----------------------------------  U1_DCR  ----------------------------------- */
#define U1_DCR_TXINV_Pos                      2                                                       /*!< U1 DCR: TXINV Position                  */
#define U1_DCR_TXINV_Msk                      (0x01UL << U1_DCR_TXINV_Pos)                            /*!< U1 DCR: TXINV Mask                      */
#define U1_DCR_RXINV_Pos                      3                                                       /*!< U1 DCR: RXINV Position                  */
#define U1_DCR_RXINV_Msk                      (0x01UL << U1_DCR_RXINV_Pos)                            /*!< U1 DCR: RXINV Mask                      */
#define U1_DCR_LBON_Pos                       4                                                       /*!< U1 DCR: LBON Position                   */
#define U1_DCR_LBON_Msk                       (0x01UL << U1_DCR_LBON_Pos)                             /*!< U1 DCR: LBON Mask                       */

/* -----------------------------------  U1_LSR  ----------------------------------- */
#define U1_LSR_DR_Pos                         0                                                       /*!< U1 LSR: DR Position                     */
#define U1_LSR_DR_Msk                         (0x01UL << U1_LSR_DR_Pos)                               /*!< U1 LSR: DR Mask                         */
#define U1_LSR_OE_Pos                         1                                                       /*!< U1 LSR: OE Position                     */
#define U1_LSR_OE_Msk                         (0x01UL << U1_LSR_OE_Pos)                               /*!< U1 LSR: OE Mask                         */
#define U1_LSR_PE_Pos                         2                                                       /*!< U1 LSR: PE Position                     */
#define U1_LSR_PE_Msk                         (0x01UL << U1_LSR_PE_Pos)                               /*!< U1 LSR: PE Mask                         */
#define U1_LSR_FE_Pos                         3                                                       /*!< U1 LSR: FE Position                     */
#define U1_LSR_FE_Msk                         (0x01UL << U1_LSR_FE_Pos)                               /*!< U1 LSR: FE Mask                         */
#define U1_LSR_BI_Pos                         4                                                       /*!< U1 LSR: BI Position                     */
#define U1_LSR_BI_Msk                         (0x01UL << U1_LSR_BI_Pos)                               /*!< U1 LSR: BI Mask                         */
#define U1_LSR_THRE_Pos                       5                                                       /*!< U1 LSR: THRE Position                   */
#define U1_LSR_THRE_Msk                       (0x01UL << U1_LSR_THRE_Pos)                             /*!< U1 LSR: THRE Mask                       */
#define U1_LSR_TEMT_Pos                       6                                                       /*!< U1 LSR: TEMT Position                   */
#define U1_LSR_TEMT_Msk                       (0x01UL << U1_LSR_TEMT_Pos)                             /*!< U1 LSR: TEMT Mask                       */

/* -----------------------------------  U1_BDR  ----------------------------------- */
#define U1_BDR_BDR_Pos                        0                                                       /*!< U1 BDR: BDR Position                    */
#define U1_BDR_BDR_Msk                        (0x0000ffffUL << U1_BDR_BDR_Pos)                        /*!< U1 BDR: BDR Mask                        */

/* -----------------------------------  U1_BFR  ----------------------------------- */
#define U1_BFR_BFR_Pos                        0                                                       /*!< U1 BFR: BFR Position                    */
#define U1_BFR_BFR_Msk                        (0x000000ffUL << U1_BFR_BFR_Pos)                        /*!< U1 BFR: BFR Mask                        */

/* -----------------------------------  U1_IDTR  ---------------------------------- */
#define U1_IDTR_WAITVAL_Pos                   0                                                       /*!< U1 IDTR: WAITVAL Position               */
#define U1_IDTR_WAITVAL_Msk                   (0x07UL << U1_IDTR_WAITVAL_Pos)                         /*!< U1 IDTR: WAITVAL Mask                   */
#define U1_IDTR_DMS_Pos                       6                                                       /*!< U1 IDTR: DMS Position                   */
#define U1_IDTR_DMS_Msk                       (0x01UL << U1_IDTR_DMS_Pos)                             /*!< U1 IDTR: DMS Mask                       */
#define U1_IDTR_SMS_Pos                       7                                                       /*!< U1 IDTR: SMS Position                   */
#define U1_IDTR_SMS_Msk                       (0x01UL << U1_IDTR_SMS_Pos)                             /*!< U1 IDTR: SMS Mask                       */


/* ================================================================================ */
/* ================           struct 'SP' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  SP_RDR  ----------------------------------- */
#define SP_RDR_RDR_Pos                        0                                                       /*!< SP RDR: RDR Position                    */
#define SP_RDR_RDR_Msk                        (0x0001ffffUL << SP_RDR_RDR_Pos)                        /*!< SP RDR: RDR Mask                        */

/* -----------------------------------  SP_TDR  ----------------------------------- */
#define SP_TDR_TDR_Pos                        0                                                       /*!< SP TDR: TDR Position                    */
#define SP_TDR_TDR_Msk                        (0x0001ffffUL << SP_TDR_TDR_Pos)                        /*!< SP TDR: TDR Mask                        */

/* ------------------------------------  SP_CR  ----------------------------------- */
#define SP_CR_BITSZ_Pos                       0                                                       /*!< SP CR: BITSZ Position                   */
#define SP_CR_BITSZ_Msk                       (0x03UL << SP_CR_BITSZ_Pos)                             /*!< SP CR: BITSZ Mask                       */
#define SP_CR_CPOL_Pos                        2                                                       /*!< SP CR: CPOL Position                    */
#define SP_CR_CPOL_Msk                        (0x01UL << SP_CR_CPOL_Pos)                              /*!< SP CR: CPOL Mask                        */
#define SP_CR_CPHA_Pos                        3                                                       /*!< SP CR: CPHA Position                    */
#define SP_CR_CPHA_Msk                        (0x01UL << SP_CR_CPHA_Pos)                              /*!< SP CR: CPHA Mask                        */
#define SP_CR_MSBF_Pos                        4                                                       /*!< SP CR: MSBF Position                    */
#define SP_CR_MSBF_Msk                        (0x01UL << SP_CR_MSBF_Pos)                              /*!< SP CR: MSBF Mask                        */
#define SP_CR_MS_Pos                          5                                                       /*!< SP CR: MS Position                      */
#define SP_CR_MS_Msk                          (0x01UL << SP_CR_MS_Pos)                                /*!< SP CR: MS Mask                          */
#define SP_CR_SSPOL_Pos                       8                                                       /*!< SP CR: SSPOL Position                   */
#define SP_CR_SSPOL_Msk                       (0x01UL << SP_CR_SSPOL_Pos)                             /*!< SP CR: SSPOL Mask                       */
#define SP_CR_SSMO_Pos                        9                                                       /*!< SP CR: SSMO Position                    */
#define SP_CR_SSMO_Msk                        (0x01UL << SP_CR_SSMO_Pos)                              /*!< SP CR: SSMO Mask                        */
#define SP_CR_SSMASK_Pos                      10                                                      /*!< SP CR: SSMASK Position                  */
#define SP_CR_SSMASK_Msk                      (0x01UL << SP_CR_SSMASK_Pos)                            /*!< SP CR: SSMASK Mask                      */
#define SP_CR_LBE_Pos                         11                                                      /*!< SP CR: LBE Position                     */
#define SP_CR_LBE_Msk                         (0x01UL << SP_CR_LBE_Pos)                               /*!< SP CR: LBE Mask                         */
#define SP_CR_SSOUT_Pos                       12                                                      /*!< SP CR: SSOUT Position                   */
#define SP_CR_SSOUT_Msk                       (0x01UL << SP_CR_SSOUT_Pos)                             /*!< SP CR: SSOUT Mask                       */
#define SP_CR_SSMOD_Pos                       13                                                      /*!< SP CR: SSMOD Position                   */
#define SP_CR_SSMOD_Msk                       (0x01UL << SP_CR_SSMOD_Pos)                             /*!< SP CR: SSMOD Mask                       */
#define SP_CR_RXIE_Pos                        14                                                      /*!< SP CR: RXIE Position                    */
#define SP_CR_RXIE_Msk                        (0x01UL << SP_CR_RXIE_Pos)                              /*!< SP CR: RXIE Mask                        */
#define SP_CR_TXIE_Pos                        15                                                      /*!< SP CR: TXIE Position                    */
#define SP_CR_TXIE_Msk                        (0x01UL << SP_CR_TXIE_Pos)                              /*!< SP CR: TXIE Mask                        */
#define SP_CR_SSCIE_Pos                       16                                                      /*!< SP CR: SSCIE Position                   */
#define SP_CR_SSCIE_Msk                       (0x01UL << SP_CR_SSCIE_Pos)                             /*!< SP CR: SSCIE Mask                       */
#define SP_CR_RXBC_Pos                        19                                                      /*!< SP CR: RXBC Position                    */
#define SP_CR_RXBC_Msk                        (0x01UL << SP_CR_RXBC_Pos)                              /*!< SP CR: RXBC Mask                        */
#define SP_CR_TXBC_Pos                        20                                                      /*!< SP CR: TXBC Position                    */
#define SP_CR_TXBC_Msk                        (0x01UL << SP_CR_TXBC_Pos)                              /*!< SP CR: TXBC Mask                        */

/* ------------------------------------  SP_SR  ----------------------------------- */
#define SP_SR_RRDY_Pos                        0                                                       /*!< SP SR: RRDY Position                    */
#define SP_SR_RRDY_Msk                        (0x01UL << SP_SR_RRDY_Pos)                              /*!< SP SR: RRDY Mask                        */
#define SP_SR_TRDY_Pos                        1                                                       /*!< SP SR: TRDY Position                    */
#define SP_SR_TRDY_Msk                        (0x01UL << SP_SR_TRDY_Pos)                              /*!< SP SR: TRDY Mask                        */
#define SP_SR_TXIDLE_Pos                      2                                                       /*!< SP SR: TXIDLE Position                  */
#define SP_SR_TXIDLE_Msk                      (0x01UL << SP_SR_TXIDLE_Pos)                            /*!< SP SR: TXIDLE Mask                      */
#define SP_SR_UDRF_Pos                        3                                                       /*!< SP SR: UDRF Position                    */
#define SP_SR_UDRF_Msk                        (0x01UL << SP_SR_UDRF_Pos)                              /*!< SP SR: UDRF Mask                        */
#define SP_SR_OVRF_Pos                        4                                                       /*!< SP SR: OVRF Position                    */
#define SP_SR_OVRF_Msk                        (0x01UL << SP_SR_OVRF_Pos)                              /*!< SP SR: OVRF Mask                        */
#define SP_SR_SSON_Pos                        5                                                       /*!< SP SR: SSON Position                    */
#define SP_SR_SSON_Msk                        (0x01UL << SP_SR_SSON_Pos)                              /*!< SP SR: SSON Mask                        */
#define SP_SR_SSDET_Pos                       6                                                       /*!< SP SR: SSDET Position                   */
#define SP_SR_SSDET_Msk                       (0x01UL << SP_SR_SSDET_Pos)                             /*!< SP SR: SSDET Mask                       */

/* ------------------------------------  SP_BR  ----------------------------------- */
#define SP_BR_BR_Pos                          0                                                       /*!< SP BR: BR Position                      */
#define SP_BR_BR_Msk                          (0x0000ffffUL << SP_BR_BR_Pos)                          /*!< SP BR: BR Mask                          */

/* ------------------------------------  SP_EN  ----------------------------------- */
#define SP_EN_ENABLE_Pos                      0                                                       /*!< SP EN: ENABLE Position                  */
#define SP_EN_ENABLE_Msk                      (0x01UL << SP_EN_ENABLE_Pos)                            /*!< SP EN: ENABLE Mask                      */

/* ------------------------------------  SP_LR  ----------------------------------- */
#define SP_LR_STL_Pos                         0                                                       /*!< SP LR: STL Position                     */
#define SP_LR_STL_Msk                         (0x000000ffUL << SP_LR_STL_Pos)                         /*!< SP LR: STL Mask                         */
#define SP_LR_BTL_Pos                         8                                                       /*!< SP LR: BTL Position                     */
#define SP_LR_BTL_Msk                         (0x000000ffUL << SP_LR_BTL_Pos)                         /*!< SP LR: BTL Mask                         */
#define SP_LR_SPL_Pos                         16                                                      /*!< SP LR: SPL Position                     */
#define SP_LR_SPL_Msk                         (0x000000ffUL << SP_LR_SPL_Pos)                         /*!< SP LR: SPL Mask                         */


/* ================================================================================ */
/* ================           struct 'IC' Position & Mask          ================ */
/* ================================================================================ */


/* ------------------------------------  IC_DR  ----------------------------------- */
#define IC_DR_DR_Pos                          0                                                       /*!< IC DR: DR Position                      */
#define IC_DR_DR_Msk                          (0x000000ffUL << IC_DR_DR_Pos)                          /*!< IC DR: DR Mask                          */

/* ------------------------------------  IC_SR  ----------------------------------- */
#define IC_SR_RXACK_Pos                       0                                                       /*!< IC SR: RXACK Position                   */
#define IC_SR_RXACK_Msk                       (0x01UL << IC_SR_RXACK_Pos)                             /*!< IC SR: RXACK Mask                       */
#define IC_SR_TMODE_Pos                       1                                                       /*!< IC SR: TMODE Position                   */
#define IC_SR_TMODE_Msk                       (0x01UL << IC_SR_TMODE_Pos)                             /*!< IC SR: TMODE Mask                       */
#define IC_SR_BUSY_Pos                        2                                                       /*!< IC SR: BUSY Position                    */
#define IC_SR_BUSY_Msk                        (0x01UL << IC_SR_BUSY_Pos)                              /*!< IC SR: BUSY Mask                        */
#define IC_SR_MLOST_Pos                       3                                                       /*!< IC SR: MLOST Position                   */
#define IC_SR_MLOST_Msk                       (0x01UL << IC_SR_MLOST_Pos)                             /*!< IC SR: MLOST Mask                       */
#define IC_SR_SSEL_Pos                        4                                                       /*!< IC SR: SSEL Position                    */
#define IC_SR_SSEL_Msk                        (0x01UL << IC_SR_SSEL_Pos)                              /*!< IC SR: SSEL Mask                        */
#define IC_SR_STOP_Pos                        5                                                       /*!< IC SR: STOP Position                    */
#define IC_SR_STOP_Msk                        (0x01UL << IC_SR_STOP_Pos)                              /*!< IC SR: STOP Mask                        */
#define IC_SR_TEND_Pos                        6                                                       /*!< IC SR: TEND Position                    */
#define IC_SR_TEND_Msk                        (0x01UL << IC_SR_TEND_Pos)                              /*!< IC SR: TEND Mask                        */
#define IC_SR_GCALL_Pos                       7                                                       /*!< IC SR: GCALL Position                   */
#define IC_SR_GCALL_Msk                       (0x01UL << IC_SR_GCALL_Pos)                             /*!< IC SR: GCALL Mask                       */

/* -----------------------------------  IC_SAR  ----------------------------------- */
#define IC_SAR_GCEN_Pos                       0                                                       /*!< IC SAR: GCEN Position                   */
#define IC_SAR_GCEN_Msk                       (0x01UL << IC_SAR_GCEN_Pos)                             /*!< IC SAR: GCEN Mask                       */
#define IC_SAR_SVAD_Pos                       1                                                       /*!< IC SAR: SVAD Position                   */
#define IC_SAR_SVAD_Msk                       (0x7fUL << IC_SAR_SVAD_Pos)                             /*!< IC SAR: SVAD Mask                       */

/* ------------------------------------  IC_CR  ----------------------------------- */
#define IC_CR_START_Pos                       0                                                       /*!< IC CR: START Position                   */
#define IC_CR_START_Msk                       (0x01UL << IC_CR_START_Pos)                             /*!< IC CR: START Mask                       */
#define IC_CR_STOP_Pos                        1                                                       /*!< IC CR: STOP Position                    */
#define IC_CR_STOP_Msk                        (0x01UL << IC_CR_STOP_Pos)                              /*!< IC CR: STOP Mask                        */
#define IC_CR_ACKEN_Pos                       3                                                       /*!< IC CR: ACKEN Position                   */
#define IC_CR_ACKEN_Msk                       (0x01UL << IC_CR_ACKEN_Pos)                             /*!< IC CR: ACKEN Mask                       */
#define IC_CR_INTEN_Pos                       4                                                       /*!< IC CR: INTEN Position                   */
#define IC_CR_INTEN_Msk                       (0x01UL << IC_CR_INTEN_Pos)                             /*!< IC CR: INTEN Mask                       */
#define IC_CR_SOFTRST_Pos                     5                                                       /*!< IC CR: SOFTRST Position                 */
#define IC_CR_SOFTRST_Msk                     (0x01UL << IC_CR_SOFTRST_Pos)                           /*!< IC CR: SOFTRST Mask                     */
#define IC_CR_IIF_Pos                         7                                                       /*!< IC CR: IIF Position                     */
#define IC_CR_IIF_Msk                         (0x01UL << IC_CR_IIF_Pos)                               /*!< IC CR: IIF Mask                         */
#define IC_CR_INTDEL_Pos                      8                                                       /*!< IC CR: INTDEL Position                  */
#define IC_CR_INTDEL_Msk                      (0x03UL << IC_CR_INTDEL_Pos)                            /*!< IC CR: INTDEL Mask                      */

/* -----------------------------------  IC_SCLL  ---------------------------------- */
#define IC_SCLL_SCLL_Pos                      0                                                       /*!< IC SCLL: SCLL Position                  */
#define IC_SCLL_SCLL_Msk                      (0x0000ffffUL << IC_SCLL_SCLL_Pos)                      /*!< IC SCLL: SCLL Mask                      */

/* -----------------------------------  IC_SCLH  ---------------------------------- */
#define IC_SCLH_SCLH_Pos                      0                                                       /*!< IC SCLH: SCLH Position                  */
#define IC_SCLH_SCLH_Msk                      (0x0000ffffUL << IC_SCLH_SCLH_Pos)                      /*!< IC SCLH: SCLH Mask                      */

/* -----------------------------------  IC_SDH  ----------------------------------- */
#define IC_SDH_SDH_Pos                        0                                                       /*!< IC SDH: SDH Position                    */
#define IC_SDH_SDH_Msk                        (0x00007fffUL << IC_SDH_SDH_Pos)                        /*!< IC SDH: SDH Mask                        */


/* ================================================================================ */
/* ================           struct 'MP' Position & Mask          ================ */
/* ================================================================================ */


/* ------------------------------------  MP_MR  ----------------------------------- */
#define MP_MR_UPDOWN_Pos                      0                                                       /*!< MP MR: UPDOWN Position                  */
#define MP_MR_UPDOWN_Msk                      (0x01UL << MP_MR_UPDOWN_Pos)                            /*!< MP MR: UPDOWN Mask                      */
#define MP_MR_MCHMOD_Pos                      1                                                       /*!< MP MR: MCHMOD Position                  */
#define MP_MR_MCHMOD_Msk                      (0x03UL << MP_MR_MCHMOD_Pos)                            /*!< MP MR: MCHMOD Mask                      */
#define MP_MR_BUP_Pos                         4                                                       /*!< MP MR: BUP Position                     */
#define MP_MR_BUP_Msk                         (0x01UL << MP_MR_BUP_Pos)                               /*!< MP MR: BUP Mask                         */
#define MP_MR_TUP_Pos                         5                                                       /*!< MP MR: TUP Position                     */
#define MP_MR_TUP_Msk                         (0x01UL << MP_MR_TUP_Pos)                               /*!< MP MR: TUP Mask                         */
#define MP_MR_UAO_Pos                         7                                                       /*!< MP MR: UAO Position                     */
#define MP_MR_UAO_Msk                         (0x01UL << MP_MR_UAO_Pos)                               /*!< MP MR: UAO Mask                         */
#define MP_MR_MOTORB_Pos                      15                                                      /*!< MP MR: MOTORB Position                  */
#define MP_MR_MOTORB_Msk                      (0x01UL << MP_MR_MOTORB_Pos)                            /*!< MP MR: MOTORB Mask                      */

/* -----------------------------------  MP_OLR  ----------------------------------- */
#define MP_OLR_ULL_Pos                        0                                                       /*!< MP OLR: ULL Position                    */
#define MP_OLR_ULL_Msk                        (0x01UL << MP_OLR_ULL_Pos)                              /*!< MP OLR: ULL Mask                        */
#define MP_OLR_VLL_Pos                        1                                                       /*!< MP OLR: VLL Position                    */
#define MP_OLR_VLL_Msk                        (0x01UL << MP_OLR_VLL_Pos)                              /*!< MP OLR: VLL Mask                        */
#define MP_OLR_WLL_Pos                        2                                                       /*!< MP OLR: WLL Position                    */
#define MP_OLR_WLL_Msk                        (0x01UL << MP_OLR_WLL_Pos)                              /*!< MP OLR: WLL Mask                        */
#define MP_OLR_UHL_Pos                        3                                                       /*!< MP OLR: UHL Position                    */
#define MP_OLR_UHL_Msk                        (0x01UL << MP_OLR_UHL_Pos)                              /*!< MP OLR: UHL Mask                        */
#define MP_OLR_VHL_Pos                        4                                                       /*!< MP OLR: VHL Position                    */
#define MP_OLR_VHL_Msk                        (0x01UL << MP_OLR_VHL_Pos)                              /*!< MP OLR: VHL Mask                        */
#define MP_OLR_WHL_Pos                        5                                                       /*!< MP OLR: WHL Position                    */
#define MP_OLR_WHL_Msk                        (0x01UL << MP_OLR_WHL_Pos)                              /*!< MP OLR: WHL Mask                        */

/* -----------------------------------  MP_FOLR  ---------------------------------- */
#define MP_FOLR_ULFL_Pos                      0                                                       /*!< MP FOLR: ULFL Position                  */
#define MP_FOLR_ULFL_Msk                      (0x01UL << MP_FOLR_ULFL_Pos)                            /*!< MP FOLR: ULFL Mask                      */
#define MP_FOLR_VLFL_Pos                      1                                                       /*!< MP FOLR: VLFL Position                  */
#define MP_FOLR_VLFL_Msk                      (0x01UL << MP_FOLR_VLFL_Pos)                            /*!< MP FOLR: VLFL Mask                      */
#define MP_FOLR_WLFL_Pos                      2                                                       /*!< MP FOLR: WLFL Position                  */
#define MP_FOLR_WLFL_Msk                      (0x01UL << MP_FOLR_WLFL_Pos)                            /*!< MP FOLR: WLFL Mask                      */
#define MP_FOLR_UHFL_Pos                      3                                                       /*!< MP FOLR: UHFL Position                  */
#define MP_FOLR_UHFL_Msk                      (0x01UL << MP_FOLR_UHFL_Pos)                            /*!< MP FOLR: UHFL Mask                      */
#define MP_FOLR_VHFL_Pos                      4                                                       /*!< MP FOLR: VHFL Position                  */
#define MP_FOLR_VHFL_Msk                      (0x01UL << MP_FOLR_VHFL_Pos)                            /*!< MP FOLR: VHFL Mask                      */
#define MP_FOLR_WHFL_Pos                      5                                                       /*!< MP FOLR: WHFL Position                  */
#define MP_FOLR_WHFL_Msk                      (0x01UL << MP_FOLR_WHFL_Pos)                            /*!< MP FOLR: WHFL Mask                      */

/* -----------------------------------  MP_PRD  ----------------------------------- */
#define MP_PRD_PERIOD_Pos                     0                                                       /*!< MP PRD: PERIOD Position                 */
#define MP_PRD_PERIOD_Msk                     (0x0000ffffUL << MP_PRD_PERIOD_Pos)                     /*!< MP PRD: PERIOD Mask                     */

/* -----------------------------------  MP_DUH  ----------------------------------- */
#define MP_DUH_DUTY_Pos                       0                                                       /*!< MP DUH: DUTY Position                   */
#define MP_DUH_DUTY_Msk                       (0x0000ffffUL << MP_DUH_DUTY_Pos)                       /*!< MP DUH: DUTY Mask                       */

/* -----------------------------------  MP_DVH  ----------------------------------- */
#define MP_DVH_DUTY_Pos                       0                                                       /*!< MP DVH: DUTY Position                   */
#define MP_DVH_DUTY_Msk                       (0x0000ffffUL << MP_DVH_DUTY_Pos)                       /*!< MP DVH: DUTY Mask                       */

/* -----------------------------------  MP_DWH  ----------------------------------- */
#define MP_DWH_DUTY_Pos                       0                                                       /*!< MP DWH: DUTY Position                   */
#define MP_DWH_DUTY_Msk                       (0x0000ffffUL << MP_DWH_DUTY_Pos)                       /*!< MP DWH: DUTY Mask                       */

/* -----------------------------------  MP_DUL  ----------------------------------- */
#define MP_DUL_DUTY_Pos                       0                                                       /*!< MP DUL: DUTY Position                   */
#define MP_DUL_DUTY_Msk                       (0x0000ffffUL << MP_DUL_DUTY_Pos)                       /*!< MP DUL: DUTY Mask                       */

/* -----------------------------------  MP_DVL  ----------------------------------- */
#define MP_DVL_DUTY_Pos                       0                                                       /*!< MP DVL: DUTY Position                   */
#define MP_DVL_DUTY_Msk                       (0x0000ffffUL << MP_DVL_DUTY_Pos)                       /*!< MP DVL: DUTY Mask                       */

/* -----------------------------------  MP_DWL  ----------------------------------- */
#define MP_DWL_DUTY_Pos                       0                                                       /*!< MP DWL: DUTY Position                   */
#define MP_DWL_DUTY_Msk                       (0x0000ffffUL << MP_DWL_DUTY_Pos)                       /*!< MP DWL: DUTY Mask                       */

/* -----------------------------------  MP_CR1  ----------------------------------- */
#define MP_CR1_PWMEN_Pos                      0                                                       /*!< MP CR1: PWMEN Position                  */
#define MP_CR1_PWMEN_Msk                      (0x01UL << MP_CR1_PWMEN_Pos)                            /*!< MP CR1: PWMEN Mask                      */
#define MP_CR1_IRQN_Pos                       8                                                       /*!< MP CR1: IRQN Position                   */
#define MP_CR1_IRQN_Msk                       (0x07UL << MP_CR1_IRQN_Pos)                             /*!< MP CR1: IRQN Mask                       */

/* -----------------------------------  MP_CR2  ----------------------------------- */
#define MP_CR2_PSTART_Pos                     0                                                       /*!< MP CR2: PSTART Position                 */
#define MP_CR2_PSTART_Msk                     (0x01UL << MP_CR2_PSTART_Pos)                           /*!< MP CR2: PSTART Mask                     */
#define MP_CR2_HALT_Pos                       7                                                       /*!< MP CR2: HALT Position                   */
#define MP_CR2_HALT_Msk                       (0x01UL << MP_CR2_HALT_Pos)                             /*!< MP CR2: HALT Mask                       */

/* ------------------------------------  MP_SR  ----------------------------------- */
#define MP_SR_DULIF_Pos                       0                                                       /*!< MP SR: DULIF Position                   */
#define MP_SR_DULIF_Msk                       (0x01UL << MP_SR_DULIF_Pos)                             /*!< MP SR: DULIF Mask                       */
#define MP_SR_DVLIF_Pos                       1                                                       /*!< MP SR: DVLIF Position                   */
#define MP_SR_DVLIF_Msk                       (0x01UL << MP_SR_DVLIF_Pos)                             /*!< MP SR: DVLIF Mask                       */
#define MP_SR_DWLIF_Pos                       2                                                       /*!< MP SR: DWLIF Position                   */
#define MP_SR_DWLIF_Msk                       (0x01UL << MP_SR_DWLIF_Pos)                             /*!< MP SR: DWLIF Mask                       */
#define MP_SR_DUHIF_Pos                       3                                                       /*!< MP SR: DUHIF Position                   */
#define MP_SR_DUHIF_Msk                       (0x01UL << MP_SR_DUHIF_Pos)                             /*!< MP SR: DUHIF Mask                       */
#define MP_SR_DVHIF_Pos                       4                                                       /*!< MP SR: DVHIF Position                   */
#define MP_SR_DVHIF_Msk                       (0x01UL << MP_SR_DVHIF_Pos)                             /*!< MP SR: DVHIF Mask                       */
#define MP_SR_DWHIF_Pos                       5                                                       /*!< MP SR: DWHIF Position                   */
#define MP_SR_DWHIF_Msk                       (0x01UL << MP_SR_DWHIF_Pos)                             /*!< MP SR: DWHIF Mask                       */
#define MP_SR_BOTIRQ_Pos                      6                                                       /*!< MP SR: BOTIRQ Position                  */
#define MP_SR_BOTIRQ_Msk                      (0x01UL << MP_SR_BOTIRQ_Pos)                            /*!< MP SR: BOTIRQ Mask                      */
#define MP_SR_PRDIRQ_Pos                      7                                                       /*!< MP SR: PRDIRQ Position                  */
#define MP_SR_PRDIRQ_Msk                      (0x01UL << MP_SR_PRDIRQ_Pos)                            /*!< MP SR: PRDIRQ Mask                      */
#define MP_SR_IRQCNT_Pos                      12                                                      /*!< MP SR: IRQCNT Position                  */
#define MP_SR_IRQCNT_Msk                      (0x07UL << MP_SR_IRQCNT_Pos)                            /*!< MP SR: IRQCNT Mask                      */
#define MP_SR_DOWN_Pos                        15                                                      /*!< MP SR: DOWN Position                    */
#define MP_SR_DOWN_Msk                        (0x01UL << MP_SR_DOWN_Pos)                              /*!< MP SR: DOWN Mask                        */

/* -----------------------------------  MP_IER  ----------------------------------- */
#define MP_IER_ULIE_Pos                       0                                                       /*!< MP IER: ULIE Position                   */
#define MP_IER_ULIE_Msk                       (0x01UL << MP_IER_ULIE_Pos)                             /*!< MP IER: ULIE Mask                       */
#define MP_IER_VLIE_Pos                       1                                                       /*!< MP IER: VLIE Position                   */
#define MP_IER_VLIE_Msk                       (0x01UL << MP_IER_VLIE_Pos)                             /*!< MP IER: VLIE Mask                       */
#define MP_IER_WLIE_Pos                       2                                                       /*!< MP IER: WLIE Position                   */
#define MP_IER_WLIE_Msk                       (0x01UL << MP_IER_WLIE_Pos)                             /*!< MP IER: WLIE Mask                       */
#define MP_IER_UHIE_Pos                       3                                                       /*!< MP IER: UHIE Position                   */
#define MP_IER_UHIE_Msk                       (0x01UL << MP_IER_UHIE_Pos)                             /*!< MP IER: UHIE Mask                       */
#define MP_IER_VHIE_Pos                       4                                                       /*!< MP IER: VHIE Position                   */
#define MP_IER_VHIE_Msk                       (0x01UL << MP_IER_VHIE_Pos)                             /*!< MP IER: VHIE Mask                       */
#define MP_IER_WHIE_Pos                       5                                                       /*!< MP IER: WHIE Position                   */
#define MP_IER_WHIE_Msk                       (0x01UL << MP_IER_WHIE_Pos)                             /*!< MP IER: WHIE Mask                       */
#define MP_IER_BOTIE_Pos                      6                                                       /*!< MP IER: BOTIE Position                  */
#define MP_IER_BOTIE_Msk                      (0x01UL << MP_IER_BOTIE_Pos)                            /*!< MP IER: BOTIE Mask                      */
#define MP_IER_PRDIEN_Pos                     7                                                       /*!< MP IER: PRDIEN Position                 */
#define MP_IER_PRDIEN_Msk                     (0x01UL << MP_IER_PRDIEN_Pos)                           /*!< MP IER: PRDIEN Mask                     */

/* -----------------------------------  MP_CNT  ----------------------------------- */
#define MP_CNT_CNT_Pos                        0                                                       /*!< MP CNT: CNT Position                    */
#define MP_CNT_CNT_Msk                        (0x0000ffffUL << MP_CNT_CNT_Pos)                        /*!< MP CNT: CNT Mask                        */

/* -----------------------------------  MP_DTR  ----------------------------------- */
#define MP_DTR_DT_Pos                         0                                                       /*!< MP DTR: DT Position                     */
#define MP_DTR_DT_Msk                         (0x000000ffUL << MP_DTR_DT_Pos)                         /*!< MP DTR: DT Mask                         */
#define MP_DTR_DTCLK_Pos                      8                                                       /*!< MP DTR: DTCLK Position                  */
#define MP_DTR_DTCLK_Msk                      (0x01UL << MP_DTR_DTCLK_Pos)                            /*!< MP DTR: DTCLK Mask                      */
#define MP_DTR_PSHRT_Pos                      14                                                      /*!< MP DTR: PSHRT Position                  */
#define MP_DTR_PSHRT_Msk                      (0x01UL << MP_DTR_PSHRT_Pos)                            /*!< MP DTR: PSHRT Mask                      */
#define MP_DTR_DTEN_Pos                       15                                                      /*!< MP DTR: DTEN Position                   */
#define MP_DTR_DTEN_Msk                       (0x01UL << MP_DTR_DTEN_Pos)                             /*!< MP DTR: DTEN Mask                       */

/* -----------------------------------  MP_PCR0  ---------------------------------- */
#define MP_PCR0_ULPROTM_Pos                   0                                                       /*!< MP PCR0: ULPROTM Position               */
#define MP_PCR0_ULPROTM_Msk                   (0x01UL << MP_PCR0_ULPROTM_Pos)                         /*!< MP PCR0: ULPROTM Mask                   */
#define MP_PCR0_VLPROTM_Pos                   1                                                       /*!< MP PCR0: VLPROTM Position               */
#define MP_PCR0_VLPROTM_Msk                   (0x01UL << MP_PCR0_VLPROTM_Pos)                         /*!< MP PCR0: VLPROTM Mask                   */
#define MP_PCR0_WLPROTM_Pos                   2                                                       /*!< MP PCR0: WLPROTM Position               */
#define MP_PCR0_WLPROTM_Msk                   (0x01UL << MP_PCR0_WLPROTM_Pos)                         /*!< MP PCR0: WLPROTM Mask                   */
#define MP_PCR0_UHPROTM_Pos                   3                                                       /*!< MP PCR0: UHPROTM Position               */
#define MP_PCR0_UHPROTM_Msk                   (0x01UL << MP_PCR0_UHPROTM_Pos)                         /*!< MP PCR0: UHPROTM Mask                   */
#define MP_PCR0_VHPROTM_Pos                   4                                                       /*!< MP PCR0: VHPROTM Position               */
#define MP_PCR0_VHPROTM_Msk                   (0x01UL << MP_PCR0_VHPROTM_Pos)                         /*!< MP PCR0: VHPROTM Mask                   */
#define MP_PCR0_WHPROTM_Pos                   5                                                       /*!< MP PCR0: WHPROTM Position               */
#define MP_PCR0_WHPROTM_Msk                   (0x01UL << MP_PCR0_WHPROTM_Pos)                         /*!< MP PCR0: WHPROTM Mask                   */
#define MP_PCR0_PROTIE_Pos                    7                                                       /*!< MP PCR0: PROTIE Position                */
#define MP_PCR0_PROTIE_Msk                    (0x01UL << MP_PCR0_PROTIE_Pos)                          /*!< MP PCR0: PROTIE Mask                    */
#define MP_PCR0_PROTD_Pos                     8                                                       /*!< MP PCR0: PROTD Position                 */
#define MP_PCR0_PROTD_Msk                     (0x07UL << MP_PCR0_PROTD_Pos)                           /*!< MP PCR0: PROTD Mask                     */
#define MP_PCR0_PROTPOL_Pos                   14                                                      /*!< MP PCR0: PROTPOL Position               */
#define MP_PCR0_PROTPOL_Msk                   (0x01UL << MP_PCR0_PROTPOL_Pos)                         /*!< MP PCR0: PROTPOL Mask                   */
#define MP_PCR0_PROTEN_Pos                    15                                                      /*!< MP PCR0: PROTEN Position                */
#define MP_PCR0_PROTEN_Msk                    (0x01UL << MP_PCR0_PROTEN_Pos)                          /*!< MP PCR0: PROTEN Mask                    */

/* -----------------------------------  MP_PSR0  ---------------------------------- */
#define MP_PSR0_ULPROTF_Pos                   0                                                       /*!< MP PSR0: ULPROTF Position               */
#define MP_PSR0_ULPROTF_Msk                   (0x01UL << MP_PSR0_ULPROTF_Pos)                         /*!< MP PSR0: ULPROTF Mask                   */
#define MP_PSR0_VLPROTF_Pos                   1                                                       /*!< MP PSR0: VLPROTF Position               */
#define MP_PSR0_VLPROTF_Msk                   (0x01UL << MP_PSR0_VLPROTF_Pos)                         /*!< MP PSR0: VLPROTF Mask                   */
#define MP_PSR0_WLPROTF_Pos                   2                                                       /*!< MP PSR0: WLPROTF Position               */
#define MP_PSR0_WLPROTF_Msk                   (0x01UL << MP_PSR0_WLPROTF_Pos)                         /*!< MP PSR0: WLPROTF Mask                   */
#define MP_PSR0_UHPROTF_Pos                   3                                                       /*!< MP PSR0: UHPROTF Position               */
#define MP_PSR0_UHPROTF_Msk                   (0x01UL << MP_PSR0_UHPROTF_Pos)                         /*!< MP PSR0: UHPROTF Mask                   */
#define MP_PSR0_VHPROTF_Pos                   4                                                       /*!< MP PSR0: VHPROTF Position               */
#define MP_PSR0_VHPROTF_Msk                   (0x01UL << MP_PSR0_VHPROTF_Pos)                         /*!< MP PSR0: VHPROTF Mask                   */
#define MP_PSR0_WHPROTF_Pos                   5                                                       /*!< MP PSR0: WHPROTF Position               */
#define MP_PSR0_WHPROTF_Msk                   (0x01UL << MP_PSR0_WHPROTF_Pos)                         /*!< MP PSR0: WHPROTF Mask                   */
#define MP_PSR0_PROTIF_Pos                    7                                                       /*!< MP PSR0: PROTIF Position                */
#define MP_PSR0_PROTIF_Msk                    (0x01UL << MP_PSR0_PROTIF_Pos)                          /*!< MP PSR0: PROTIF Mask                    */
#define MP_PSR0_PROTKEY_Pos                   8                                                       /*!< MP PSR0: PROTKEY Position               */
#define MP_PSR0_PROTKEY_Msk                   (0x000000ffUL << MP_PSR0_PROTKEY_Pos)                   /*!< MP PSR0: PROTKEY Mask                   */

/* -----------------------------------  MP_PCR1  ---------------------------------- */
#define MP_PCR1_ULPROTM_Pos                   0                                                       /*!< MP PCR1: ULPROTM Position               */
#define MP_PCR1_ULPROTM_Msk                   (0x01UL << MP_PCR1_ULPROTM_Pos)                         /*!< MP PCR1: ULPROTM Mask                   */
#define MP_PCR1_VLPROTM_Pos                   1                                                       /*!< MP PCR1: VLPROTM Position               */
#define MP_PCR1_VLPROTM_Msk                   (0x01UL << MP_PCR1_VLPROTM_Pos)                         /*!< MP PCR1: VLPROTM Mask                   */
#define MP_PCR1_WLPROTM_Pos                   2                                                       /*!< MP PCR1: WLPROTM Position               */
#define MP_PCR1_WLPROTM_Msk                   (0x01UL << MP_PCR1_WLPROTM_Pos)                         /*!< MP PCR1: WLPROTM Mask                   */
#define MP_PCR1_UHPROTM_Pos                   3                                                       /*!< MP PCR1: UHPROTM Position               */
#define MP_PCR1_UHPROTM_Msk                   (0x01UL << MP_PCR1_UHPROTM_Pos)                         /*!< MP PCR1: UHPROTM Mask                   */
#define MP_PCR1_VHPROTM_Pos                   4                                                       /*!< MP PCR1: VHPROTM Position               */
#define MP_PCR1_VHPROTM_Msk                   (0x01UL << MP_PCR1_VHPROTM_Pos)                         /*!< MP PCR1: VHPROTM Mask                   */
#define MP_PCR1_WHPROTM_Pos                   5                                                       /*!< MP PCR1: WHPROTM Position               */
#define MP_PCR1_WHPROTM_Msk                   (0x01UL << MP_PCR1_WHPROTM_Pos)                         /*!< MP PCR1: WHPROTM Mask                   */
#define MP_PCR1_PROTIE_Pos                    7                                                       /*!< MP PCR1: PROTIE Position                */
#define MP_PCR1_PROTIE_Msk                    (0x01UL << MP_PCR1_PROTIE_Pos)                          /*!< MP PCR1: PROTIE Mask                    */
#define MP_PCR1_PROTD_Pos                     8                                                       /*!< MP PCR1: PROTD Position                 */
#define MP_PCR1_PROTD_Msk                     (0x07UL << MP_PCR1_PROTD_Pos)                           /*!< MP PCR1: PROTD Mask                     */
#define MP_PCR1_PROTPOL_Pos                   14                                                      /*!< MP PCR1: PROTPOL Position               */
#define MP_PCR1_PROTPOL_Msk                   (0x01UL << MP_PCR1_PROTPOL_Pos)                         /*!< MP PCR1: PROTPOL Mask                   */
#define MP_PCR1_PROTEN_Pos                    15                                                      /*!< MP PCR1: PROTEN Position                */
#define MP_PCR1_PROTEN_Msk                    (0x01UL << MP_PCR1_PROTEN_Pos)                          /*!< MP PCR1: PROTEN Mask                    */

/* -----------------------------------  MP_PSR1  ---------------------------------- */
#define MP_PSR1_ULPROTF_Pos                   0                                                       /*!< MP PSR1: ULPROTF Position               */
#define MP_PSR1_ULPROTF_Msk                   (0x01UL << MP_PSR1_ULPROTF_Pos)                         /*!< MP PSR1: ULPROTF Mask                   */
#define MP_PSR1_VLPROTF_Pos                   1                                                       /*!< MP PSR1: VLPROTF Position               */
#define MP_PSR1_VLPROTF_Msk                   (0x01UL << MP_PSR1_VLPROTF_Pos)                         /*!< MP PSR1: VLPROTF Mask                   */
#define MP_PSR1_WLPROTF_Pos                   2                                                       /*!< MP PSR1: WLPROTF Position               */
#define MP_PSR1_WLPROTF_Msk                   (0x01UL << MP_PSR1_WLPROTF_Pos)                         /*!< MP PSR1: WLPROTF Mask                   */
#define MP_PSR1_UHPROTF_Pos                   3                                                       /*!< MP PSR1: UHPROTF Position               */
#define MP_PSR1_UHPROTF_Msk                   (0x01UL << MP_PSR1_UHPROTF_Pos)                         /*!< MP PSR1: UHPROTF Mask                   */
#define MP_PSR1_VHPROTF_Pos                   4                                                       /*!< MP PSR1: VHPROTF Position               */
#define MP_PSR1_VHPROTF_Msk                   (0x01UL << MP_PSR1_VHPROTF_Pos)                         /*!< MP PSR1: VHPROTF Mask                   */
#define MP_PSR1_WHPROTF_Pos                   5                                                       /*!< MP PSR1: WHPROTF Position               */
#define MP_PSR1_WHPROTF_Msk                   (0x01UL << MP_PSR1_WHPROTF_Pos)                         /*!< MP PSR1: WHPROTF Mask                   */
#define MP_PSR1_PROTIF_Pos                    7                                                       /*!< MP PSR1: PROTIF Position                */
#define MP_PSR1_PROTIF_Msk                    (0x01UL << MP_PSR1_PROTIF_Pos)                          /*!< MP PSR1: PROTIF Mask                    */
#define MP_PSR1_PROTKEY_Pos                   8                                                       /*!< MP PSR1: PROTKEY Position               */
#define MP_PSR1_PROTKEY_Msk                   (0x000000ffUL << MP_PSR1_PROTKEY_Pos)                   /*!< MP PSR1: PROTKEY Mask                   */

/* -----------------------------------  MP_ATR1  ---------------------------------- */
#define MP_ATR1_ATCNT_Pos                     0                                                       /*!< MP ATR1: ATCNT Position                 */
#define MP_ATR1_ATCNT_Msk                     (0x0000ffffUL << MP_ATR1_ATCNT_Pos)                     /*!< MP ATR1: ATCNT Mask                     */
#define MP_ATR1_ATMOD_Pos                     16                                                      /*!< MP ATR1: ATMOD Position                 */
#define MP_ATR1_ATMOD_Msk                     (0x03UL << MP_ATR1_ATMOD_Pos)                           /*!< MP ATR1: ATMOD Mask                     */
#define MP_ATR1_ATUDT_Pos                     19                                                      /*!< MP ATR1: ATUDT Position                 */
#define MP_ATR1_ATUDT_Msk                     (0x01UL << MP_ATR1_ATUDT_Pos)                           /*!< MP ATR1: ATUDT Mask                     */

/* -----------------------------------  MP_ATR2  ---------------------------------- */
#define MP_ATR2_ATCNT_Pos                     0                                                       /*!< MP ATR2: ATCNT Position                 */
#define MP_ATR2_ATCNT_Msk                     (0x0000ffffUL << MP_ATR2_ATCNT_Pos)                     /*!< MP ATR2: ATCNT Mask                     */
#define MP_ATR2_ATMOD_Pos                     16                                                      /*!< MP ATR2: ATMOD Position                 */
#define MP_ATR2_ATMOD_Msk                     (0x03UL << MP_ATR2_ATMOD_Pos)                           /*!< MP ATR2: ATMOD Mask                     */
#define MP_ATR2_ATUDT_Pos                     19                                                      /*!< MP ATR2: ATUDT Position                 */
#define MP_ATR2_ATUDT_Msk                     (0x01UL << MP_ATR2_ATUDT_Pos)                           /*!< MP ATR2: ATUDT Mask                     */

/* -----------------------------------  MP_ATR3  ---------------------------------- */
#define MP_ATR3_ATCNT_Pos                     0                                                       /*!< MP ATR3: ATCNT Position                 */
#define MP_ATR3_ATCNT_Msk                     (0x0000ffffUL << MP_ATR3_ATCNT_Pos)                     /*!< MP ATR3: ATCNT Mask                     */
#define MP_ATR3_ATMOD_Pos                     16                                                      /*!< MP ATR3: ATMOD Position                 */
#define MP_ATR3_ATMOD_Msk                     (0x03UL << MP_ATR3_ATMOD_Pos)                           /*!< MP ATR3: ATMOD Mask                     */
#define MP_ATR3_ATUDT_Pos                     19                                                      /*!< MP ATR3: ATUDT Position                 */
#define MP_ATR3_ATUDT_Msk                     (0x01UL << MP_ATR3_ATUDT_Pos)                           /*!< MP ATR3: ATUDT Mask                     */

/* -----------------------------------  MP_ATR4  ---------------------------------- */
#define MP_ATR4_ATCNT_Pos                     0                                                       /*!< MP ATR4: ATCNT Position                 */
#define MP_ATR4_ATCNT_Msk                     (0x0000ffffUL << MP_ATR4_ATCNT_Pos)                     /*!< MP ATR4: ATCNT Mask                     */
#define MP_ATR4_ATMOD_Pos                     16                                                      /*!< MP ATR4: ATMOD Position                 */
#define MP_ATR4_ATMOD_Msk                     (0x03UL << MP_ATR4_ATMOD_Pos)                           /*!< MP ATR4: ATMOD Mask                     */
#define MP_ATR4_ATUDT_Pos                     19                                                      /*!< MP ATR4: ATUDT Position                 */
#define MP_ATR4_ATUDT_Msk                     (0x01UL << MP_ATR4_ATUDT_Pos)                           /*!< MP ATR4: ATUDT Mask                     */

/* -----------------------------------  MP_ATR5  ---------------------------------- */
#define MP_ATR5_ATCNT_Pos                     0                                                       /*!< MP ATR5: ATCNT Position                 */
#define MP_ATR5_ATCNT_Msk                     (0x0000ffffUL << MP_ATR5_ATCNT_Pos)                     /*!< MP ATR5: ATCNT Mask                     */
#define MP_ATR5_ATMOD_Pos                     16                                                      /*!< MP ATR5: ATMOD Position                 */
#define MP_ATR5_ATMOD_Msk                     (0x03UL << MP_ATR5_ATMOD_Pos)                           /*!< MP ATR5: ATMOD Mask                     */
#define MP_ATR5_ATUDT_Pos                     19                                                      /*!< MP ATR5: ATUDT Position                 */
#define MP_ATR5_ATUDT_Msk                     (0x01UL << MP_ATR5_ATUDT_Pos)                           /*!< MP ATR5: ATUDT Mask                     */

/* -----------------------------------  MP_ATR6  ---------------------------------- */
#define MP_ATR6_ATCNT_Pos                     0                                                       /*!< MP ATR6: ATCNT Position                 */
#define MP_ATR6_ATCNT_Msk                     (0x0000ffffUL << MP_ATR6_ATCNT_Pos)                     /*!< MP ATR6: ATCNT Mask                     */
#define MP_ATR6_ATMOD_Pos                     16                                                      /*!< MP ATR6: ATMOD Position                 */
#define MP_ATR6_ATMOD_Msk                     (0x03UL << MP_ATR6_ATMOD_Pos)                           /*!< MP ATR6: ATMOD Mask                     */
#define MP_ATR6_ATUDT_Pos                     19                                                      /*!< MP ATR6: ATUDT Position                 */
#define MP_ATR6_ATUDT_Msk                     (0x01UL << MP_ATR6_ATUDT_Pos)                           /*!< MP ATR6: ATUDT Mask                     */


/* ================================================================================ */
/* ================         struct 'DIV64' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  DIV64_CR  ---------------------------------- */
#define DIV64_CR_START_Pos                    0                                                       /*!< DIV64 CR: START Position                */
#define DIV64_CR_START_Msk                    (0x01UL << DIV64_CR_START_Pos)                          /*!< DIV64 CR: START Mask                    */
#define DIV64_CR_MODE_Pos                     4                                                       /*!< DIV64 CR: MODE Position                 */
#define DIV64_CR_MODE_Msk                     (0x01UL << DIV64_CR_MODE_Pos)                           /*!< DIV64 CR: MODE Mask                     */
#define DIV64_CR_DONE_Pos                     8                                                       /*!< DIV64 CR: DONE Position                 */
#define DIV64_CR_DONE_Msk                     (0x01UL << DIV64_CR_DONE_Pos)                           /*!< DIV64 CR: DONE Mask                     */
#define DIV64_CR_BUSY_Pos                     9                                                       /*!< DIV64 CR: BUSY Position                 */
#define DIV64_CR_BUSY_Msk                     (0x01UL << DIV64_CR_BUSY_Pos)                           /*!< DIV64 CR: BUSY Mask                     */
#define DIV64_CR_I_ERROR_Pos                  10                                                      /*!< DIV64 CR: I_ERROR Position              */
#define DIV64_CR_I_ERROR_Msk                  (0x01UL << DIV64_CR_I_ERROR_Pos)                        /*!< DIV64 CR: I_ERROR Mask                  */


/* ================================================================================ */
/* ================           struct 'AD' Position & Mask          ================ */
/* ================================================================================ */


/* ------------------------------------  AD_MR  ----------------------------------- */
#define AD_MR_TRGSEL_Pos                      0                                                       /*!< AD MR: TRGSEL Position                  */
#define AD_MR_TRGSEL_Msk                      (0x03UL << AD_MR_TRGSEL_Pos)                            /*!< AD MR: TRGSEL Mask                      */
#define AD_MR_ADMOD_Pos                       4                                                       /*!< AD MR: ADMOD Position                   */
#define AD_MR_ADMOD_Msk                       (0x03UL << AD_MR_ADMOD_Pos)                             /*!< AD MR: ADMOD Mask                       */
#define AD_MR_ARST_Pos                        6                                                       /*!< AD MR: ARST Position                    */
#define AD_MR_ARST_Msk                        (0x01UL << AD_MR_ARST_Pos)                              /*!< AD MR: ARST Mask                        */
#define AD_MR_ADEN_Pos                        7                                                       /*!< AD MR: ADEN Position                    */
#define AD_MR_ADEN_Msk                        (0x01UL << AD_MR_ADEN_Pos)                              /*!< AD MR: ADEN Mask                        */
#define AD_MR_SEQCNT_Pos                      8                                                       /*!< AD MR: SEQCNT Position                  */
#define AD_MR_SEQCNT_Msk                      (0x07UL << AD_MR_SEQCNT_Pos)                            /*!< AD MR: SEQCNT Mask                      */
#define AD_MR_STSEL_Pos                       12                                                      /*!< AD MR: STSEL Position                   */
#define AD_MR_STSEL_Msk                       (0x1fUL << AD_MR_STSEL_Pos)                             /*!< AD MR: STSEL Mask                       */

/* -----------------------------------  AD_CSCR  ---------------------------------- */
#define AD_CSCR_CACH_Pos                      0                                                       /*!< AD CSCR: CACH Position                  */
#define AD_CSCR_CACH_Msk                      (0x0fUL << AD_CSCR_CACH_Pos)                            /*!< AD CSCR: CACH Mask                      */
#define AD_CSCR_CSEQN_Pos                     4                                                       /*!< AD CSCR: CSEQN Position                 */
#define AD_CSCR_CSEQN_Msk                     (0x07UL << AD_CSCR_CSEQN_Pos)                           /*!< AD CSCR: CSEQN Mask                     */

/* -----------------------------------  AD_CCR  ----------------------------------- */
#define AD_CCR_CLKINVT_Pos                    5                                                       /*!< AD CCR: CLKINVT Position                */
#define AD_CCR_CLKINVT_Msk                    (0x01UL << AD_CCR_CLKINVT_Pos)                          /*!< AD CCR: CLKINVT Mask                    */
#define AD_CCR_EXTCLK_Pos                     6                                                       /*!< AD CCR: EXTCLK Position                 */
#define AD_CCR_EXTCLK_Msk                     (0x01UL << AD_CCR_EXTCLK_Pos)                           /*!< AD CCR: EXTCLK Mask                     */
#define AD_CCR_ADCPD_Pos                      7                                                       /*!< AD CCR: ADCPD Position                  */
#define AD_CCR_ADCPD_Msk                      (0x01UL << AD_CCR_ADCPD_Pos)                            /*!< AD CCR: ADCPD Mask                      */
#define AD_CCR_CLKDIV_Pos                     8                                                       /*!< AD CCR: CLKDIV Position                 */
#define AD_CCR_CLKDIV_Msk                     (0x7fUL << AD_CCR_CLKDIV_Pos)                           /*!< AD CCR: CLKDIV Mask                     */
#define AD_CCR_ADCPDA_Pos                     15                                                      /*!< AD CCR: ADCPDA Position                 */
#define AD_CCR_ADCPDA_Msk                     (0x01UL << AD_CCR_ADCPDA_Pos)                           /*!< AD CCR: ADCPDA Mask                     */

/* -----------------------------------  AD_TRG  ----------------------------------- */
#define AD_TRG_SEQTRG0_Pos                    0                                                       /*!< AD TRG: SEQTRG0 Position                */
#define AD_TRG_SEQTRG0_Msk                    (0x0fUL << AD_TRG_SEQTRG0_Pos)                          /*!< AD TRG: SEQTRG0 Mask                    */
#define AD_TRG_SEQTRG1_Pos                    4                                                       /*!< AD TRG: SEQTRG1 Position                */
#define AD_TRG_SEQTRG1_Msk                    (0x0fUL << AD_TRG_SEQTRG1_Pos)                          /*!< AD TRG: SEQTRG1 Mask                    */
#define AD_TRG_SEQTRG2_Pos                    8                                                       /*!< AD TRG: SEQTRG2 Position                */
#define AD_TRG_SEQTRG2_Msk                    (0x0fUL << AD_TRG_SEQTRG2_Pos)                          /*!< AD TRG: SEQTRG2 Mask                    */
#define AD_TRG_SEQTRG3_Pos                    12                                                      /*!< AD TRG: SEQTRG3 Position                */
#define AD_TRG_SEQTRG3_Msk                    (0x0fUL << AD_TRG_SEQTRG3_Pos)                          /*!< AD TRG: SEQTRG3 Mask                    */
#define AD_TRG_SEQTRG4_Pos                    16                                                      /*!< AD TRG: SEQTRG4 Position                */
#define AD_TRG_SEQTRG4_Msk                    (0x0fUL << AD_TRG_SEQTRG4_Pos)                          /*!< AD TRG: SEQTRG4 Mask                    */
#define AD_TRG_SEQTRG5_Pos                    20                                                      /*!< AD TRG: SEQTRG5 Position                */
#define AD_TRG_SEQTRG5_Msk                    (0x0fUL << AD_TRG_SEQTRG5_Pos)                          /*!< AD TRG: SEQTRG5 Mask                    */
#define AD_TRG_SEQTRG6_Pos                    24                                                      /*!< AD TRG: SEQTRG6 Position                */
#define AD_TRG_SEQTRG6_Msk                    (0x0fUL << AD_TRG_SEQTRG6_Pos)                          /*!< AD TRG: SEQTRG6 Mask                    */
#define AD_TRG_SEQTRG7_Pos                    28                                                      /*!< AD TRG: SEQTRG7 Position                */
#define AD_TRG_SEQTRG7_Msk                    (0x0fUL << AD_TRG_SEQTRG7_Pos)                          /*!< AD TRG: SEQTRG7 Mask                    */

/* -----------------------------------  AD_SCSR  ---------------------------------- */
#define AD_SCSR_SEQ0CH_Pos                    0                                                       /*!< AD SCSR: SEQ0CH Position                */
#define AD_SCSR_SEQ0CH_Msk                    (0x0fUL << AD_SCSR_SEQ0CH_Pos)                          /*!< AD SCSR: SEQ0CH Mask                    */
#define AD_SCSR_SEQ1CH_Pos                    4                                                       /*!< AD SCSR: SEQ1CH Position                */
#define AD_SCSR_SEQ1CH_Msk                    (0x0fUL << AD_SCSR_SEQ1CH_Pos)                          /*!< AD SCSR: SEQ1CH Mask                    */
#define AD_SCSR_SEQ2CH_Pos                    8                                                       /*!< AD SCSR: SEQ2CH Position                */
#define AD_SCSR_SEQ2CH_Msk                    (0x0fUL << AD_SCSR_SEQ2CH_Pos)                          /*!< AD SCSR: SEQ2CH Mask                    */
#define AD_SCSR_SEQ3CH_Pos                    12                                                      /*!< AD SCSR: SEQ3CH Position                */
#define AD_SCSR_SEQ3CH_Msk                    (0x0fUL << AD_SCSR_SEQ3CH_Pos)                          /*!< AD SCSR: SEQ3CH Mask                    */
#define AD_SCSR_SEQ4CH_Pos                    16                                                      /*!< AD SCSR: SEQ4CH Position                */
#define AD_SCSR_SEQ4CH_Msk                    (0x0fUL << AD_SCSR_SEQ4CH_Pos)                          /*!< AD SCSR: SEQ4CH Mask                    */
#define AD_SCSR_SEQ5CH_Pos                    20                                                      /*!< AD SCSR: SEQ5CH Position                */
#define AD_SCSR_SEQ5CH_Msk                    (0x0fUL << AD_SCSR_SEQ5CH_Pos)                          /*!< AD SCSR: SEQ5CH Mask                    */
#define AD_SCSR_SEQ6CH_Pos                    24                                                      /*!< AD SCSR: SEQ6CH Position                */
#define AD_SCSR_SEQ6CH_Msk                    (0x0fUL << AD_SCSR_SEQ6CH_Pos)                          /*!< AD SCSR: SEQ6CH Mask                    */
#define AD_SCSR_SEQ7CH_Pos                    28                                                      /*!< AD SCSR: SEQ7CH Position                */
#define AD_SCSR_SEQ7CH_Msk                    (0x0fUL << AD_SCSR_SEQ7CH_Pos)                          /*!< AD SCSR: SEQ7CH Mask                    */

/* ------------------------------------  AD_CR  ----------------------------------- */
#define AD_CR_ASTART_Pos                      0                                                       /*!< AD CR: ASTART Position                  */
#define AD_CR_ASTART_Msk                      (0x01UL << AD_CR_ASTART_Pos)                            /*!< AD CR: ASTART Mask                      */
#define AD_CR_ASTOP_Pos                       7                                                       /*!< AD CR: ASTOP Position                   */
#define AD_CR_ASTOP_Msk                       (0x01UL << AD_CR_ASTOP_Pos)                             /*!< AD CR: ASTOP Mask                       */

/* ------------------------------------  AD_SR  ----------------------------------- */
#define AD_SR_EOCIRQ_Pos                      0                                                       /*!< AD SR: EOCIRQ Position                  */
#define AD_SR_EOCIRQ_Msk                      (0x01UL << AD_SR_EOCIRQ_Pos)                            /*!< AD SR: EOCIRQ Mask                      */
#define AD_SR_EOSIRQ_Pos                      2                                                       /*!< AD SR: EOSIRQ Position                  */
#define AD_SR_EOSIRQ_Msk                      (0x01UL << AD_SR_EOSIRQ_Pos)                            /*!< AD SR: EOSIRQ Mask                      */
#define AD_SR_TRGIRQ_Pos                      3                                                       /*!< AD SR: TRGIRQ Position                  */
#define AD_SR_TRGIRQ_Msk                      (0x01UL << AD_SR_TRGIRQ_Pos)                            /*!< AD SR: TRGIRQ Mask                      */
#define AD_SR_ABUSY_Pos                       6                                                       /*!< AD SR: ABUSY Position                   */
#define AD_SR_ABUSY_Msk                       (0x01UL << AD_SR_ABUSY_Pos)                             /*!< AD SR: ABUSY Mask                       */
#define AD_SR_EOC_Pos                         7                                                       /*!< AD SR: EOC Position                     */
#define AD_SR_EOC_Msk                         (0x01UL << AD_SR_EOC_Pos)                               /*!< AD SR: EOC Mask                         */

/* -----------------------------------  AD_IER  ----------------------------------- */
#define AD_IER_EOCIRQE_Pos                    0                                                       /*!< AD IER: EOCIRQE Position                */
#define AD_IER_EOCIRQE_Msk                    (0x01UL << AD_IER_EOCIRQE_Pos)                          /*!< AD IER: EOCIRQE Mask                    */
#define AD_IER_EOSIRQE_Pos                    2                                                       /*!< AD IER: EOSIRQE Position                */
#define AD_IER_EOSIRQE_Msk                    (0x01UL << AD_IER_EOSIRQE_Pos)                          /*!< AD IER: EOSIRQE Mask                    */
#define AD_IER_TRGIRQE_Pos                    3                                                       /*!< AD IER: TRGIRQE Position                */
#define AD_IER_TRGIRQE_Msk                    (0x01UL << AD_IER_TRGIRQE_Pos)                          /*!< AD IER: TRGIRQE Mask                    */

/* -----------------------------------  AD_DR0  ----------------------------------- */
#define AD_DR0_ADCDATA_Pos                    4                                                       /*!< AD DR0: ADCDATA Position                */
#define AD_DR0_ADCDATA_Msk                    (0x00000fffUL << AD_DR0_ADCDATA_Pos)                    /*!< AD DR0: ADCDATA Mask                    */

/* -----------------------------------  AD_DR1  ----------------------------------- */
#define AD_DR1_ADCDATA_Pos                    4                                                       /*!< AD DR1: ADCDATA Position                */
#define AD_DR1_ADCDATA_Msk                    (0x00000fffUL << AD_DR1_ADCDATA_Pos)                    /*!< AD DR1: ADCDATA Mask                    */

/* -----------------------------------  AD_DR2  ----------------------------------- */
#define AD_DR2_ADCDATA_Pos                    4                                                       /*!< AD DR2: ADCDATA Position                */
#define AD_DR2_ADCDATA_Msk                    (0x00000fffUL << AD_DR2_ADCDATA_Pos)                    /*!< AD DR2: ADCDATA Mask                    */

/* -----------------------------------  AD_DR3  ----------------------------------- */
#define AD_DR3_ADCDATA_Pos                    4                                                       /*!< AD DR3: ADCDATA Position                */
#define AD_DR3_ADCDATA_Msk                    (0x00000fffUL << AD_DR3_ADCDATA_Pos)                    /*!< AD DR3: ADCDATA Mask                    */

/* -----------------------------------  AD_DR4  ----------------------------------- */
#define AD_DR4_ADCDATA_Pos                    4                                                       /*!< AD DR4: ADCDATA Position                */
#define AD_DR4_ADCDATA_Msk                    (0x00000fffUL << AD_DR4_ADCDATA_Pos)                    /*!< AD DR4: ADCDATA Mask                    */

/* -----------------------------------  AD_DR5  ----------------------------------- */
#define AD_DR5_ADCDATA_Pos                    4                                                       /*!< AD DR5: ADCDATA Position                */
#define AD_DR5_ADCDATA_Msk                    (0x00000fffUL << AD_DR5_ADCDATA_Pos)                    /*!< AD DR5: ADCDATA Mask                    */

/* -----------------------------------  AD_DR6  ----------------------------------- */
#define AD_DR6_ADCDATA_Pos                    4                                                       /*!< AD DR6: ADCDATA Position                */
#define AD_DR6_ADCDATA_Msk                    (0x00000fffUL << AD_DR6_ADCDATA_Pos)                    /*!< AD DR6: ADCDATA Mask                    */

/* -----------------------------------  AD_DR7  ----------------------------------- */
#define AD_DR7_ADCDATA_Pos                    4                                                       /*!< AD DR7: ADCDATA Position                */
#define AD_DR7_ADCDATA_Msk                    (0x00000fffUL << AD_DR7_ADCDATA_Pos)                    /*!< AD DR7: ADCDATA Mask                    */



/* ================================================================================ */
/* ================              Peripheral memory map             ================ */
/* ================================================================================ */

#define SCU_BASE                        0x40000000UL
#define PCA_BASE                        0x40001000UL
#define PCB_BASE                        0x40001100UL
#define PCC_BASE                        0x40001200UL
#define PCD_BASE                        0x40001300UL
#define PORTEN_BASE                     0x40001FF0UL
#define PA_BASE                         0x40002000UL
#define PB_BASE                         0x40002100UL
#define PC_BASE                         0x40002200UL
#define PD_BASE                         0x40002300UL
#define FMC_BASE                        0x40000100UL
#define WDT_BASE                        0x40000200UL
#define T0_BASE                         0x40003000UL
#define T1_BASE                         0x40003020UL
#define T2_BASE                         0x40003040UL
#define T3_BASE                         0x40003060UL
#define FRT_BASE                        0x40000600UL
#define U0_BASE                         0x40008000UL
#define U1_BASE                         0x40008100UL
#define SP_BASE                         0x40009000UL
#define IC_BASE                         0x4000A000UL
#define MP_BASE                         0x40004000UL
#define DIV64_BASE                      0x40000500UL
#define AD_BASE                         0x4000B000UL


/* ================================================================================ */
/* ================             Peripheral declaration             ================ */
/* ================================================================================ */

#define SCU                             ((SCU_Type                *) SCU_BASE)
#define PCA                             ((PCU_Type                *) PCA_BASE)
#define PCB                             ((PCU_Type                *) PCB_BASE)
#define PCC                             ((PCU_Type                *) PCC_BASE)
#define PCD                             ((PCU_Type                *) PCD_BASE)
#define PORTEN                          ((PORTEN_Type             *) PORTEN_BASE)
#define PA                              ((GPIO_Type                 *) PA_BASE)
#define PB                              ((GPIO_Type                 *) PB_BASE)
#define PC                              ((GPIO_Type                 *) PC_BASE)
#define PD                              ((GPIO_Type                 *) PD_BASE)
#define FM                              ((FMC_Type                *) FMC_BASE)
#define WDT                             ((WDT_Type                *) WDT_BASE)
#define T0                              ((TIMER_Type                 *) T0_BASE)
#define T1                              ((TIMER_Type                 *) T1_BASE)
#define T2                              ((TIMER_Type                 *) T2_BASE)
#define T3                              ((TIMER_Type                 *) T3_BASE)
#define FRT                             ((FRT_Type                *) FRT_BASE)
#define U0                              ((UART_Type                 *) U0_BASE)
#define U1                              ((UART_Type                 *) U1_BASE)
#define SP                              ((SPI_Type                 *) SP_BASE)
#define IC                              ((IIC_Type                 *) IC_BASE)
#define MP                              ((MPWM_Type                 *) MP_BASE)
#define DIV64                           ((DIV64_Type              *) DIV64_BASE)
#define AD                              ((ADC_Type                 *) AD_BASE)


/** @} */ /* End of group Device_Peripheral_Registers */
/** @} */ /* End of group AC30M1x164 */
/** @} */ /* End of group ABOV Semiconductor Co., Ltd. */

#ifdef __cplusplus
}
#endif


#endif  /* AC30M1x164_H */

